#define CAUSE_LABEL "Cause"
#define RESOLUTION_LABEL "Resolution"

#define SK_TRIPDESC_1 "DC Bus Undervoltage"
#define SK_TRIPDESC_2 "DC Bus Overvoltage"
#define SK_TRIPDESC_3 "AC Instantaneous Overcurrent"
#define SK_TRIPDESC_4 "Braking Resistor Instantaneous Current"
#define SK_TRIPDESC_6 "External Trip"
#define SK_TRIPDESC_7 "Overspeed"
#define SK_TRIPDESC_18 "Auto-tune Stopped Before Completion"
#define SK_TRIPDESC_19 "I^2 t on Braking Resistor"
#define SK_TRIPDESC_20 "I^2 t on Drive Output Current"
#define SK_TRIPDESC_21 "Drive Overheat 1 (Thermal Model)"
#define SK_TRIPDESC_22 "Drive Overheat 2 (Heatsink Temperature)"
#define SK_TRIPDESC_24 "Motor Thermistor"
#define SK_TRIPDESC_26 "+24V or Digital Output Overload"
#define SK_TRIPDESC_27 "Drive Overheat 3 (Thermal Model)"
#define SK_TRIPDESC_28 "Current Loss on Analog Input 2 (Current Mode)"
#define SK_TRIPDESC_30 "Serial Comms Timeout"
#define SK_TRIPDESC_31 "Internal Drive EEPROM Failure"
#define SK_TRIPDESC_32 "High Input Voltage Phase Imbalance"
#define SK_TRIPDESC_33 "Failure to Measure Motor Resistance"
#define SK_TRIPDESC_35 "Trip Initiated from Control Word"
#define SK_TRIPDESC_40 "User Trip 40"
#define SK_TRIPDESC_41 "User Trip 41"
#define SK_TRIPDESC_42 "User Trip 42"
#define SK_TRIPDESC_43 "User Trip 43"
#define SK_TRIPDESC_44 "User Trip 44"
#define SK_TRIPDESC_45 "User Trip 45"
#define SK_TRIPDESC_46 "User Trip 46"
#define SK_TRIPDESC_47 "User Trip 47"
#define SK_TRIPDESC_48 "User Trip 48"
#define SK_TRIPDESC_49 "User Trip 49"
#define SK_TRIPDESC_50 "User Trip 50"
#define SK_TRIPDESC_51 "User Trip 51"
#define SK_TRIPDESC_52 "User Trip 52"
#define SK_TRIPDESC_53 "User Trip 53"
#define SK_TRIPDESC_54 "User Trip 54"
#define SK_TRIPDESC_55 "User Trip 55"
#define SK_TRIPDESC_56 "User Trip 56"
#define SK_TRIPDESC_57 "User Trip 57"
#define SK_TRIPDESC_58 "User Trip 58"
#define SK_TRIPDESC_59 "User Trip 59"
#define SK_TRIPDESC_60 "User Trip 60"
#define SK_TRIPDESC_61 "User Trip 61"
#define SK_TRIPDESC_62 "User Trip 62"
#define SK_TRIPDESC_63 "User Trip 63"
#define SK_TRIPDESC_64 "User Trip 64"
#define SK_TRIPDESC_65 "User Trip 65"
#define SK_TRIPDESC_66 "User Trip 66"
#define SK_TRIPDESC_67 "User Trip 67"
#define SK_TRIPDESC_68 "User Trip 68"
#define SK_TRIPDESC_69 "User Trip 69"
#define SK_TRIPDESC_70 "User Trip 70"
#define SK_TRIPDESC_71 "User Trip 71"
#define SK_TRIPDESC_72 "User Trip 72"
#define SK_TRIPDESC_73 "User Trip 73"
#define SK_TRIPDESC_74 "User Trip 74"
#define SK_TRIPDESC_75 "User Trip 75"
#define SK_TRIPDESC_76 "User Trip 76"
#define SK_TRIPDESC_77 "User Trip 77"
#define SK_TRIPDESC_78 "User Trip 78"
#define SK_TRIPDESC_79 "User Trip 79"
#define SK_TRIPDESC_80 "User Trip 80"
#define SK_TRIPDESC_81 "User Trip 81"
#define SK_TRIPDESC_82 "User Trip 82"
#define SK_TRIPDESC_83 "User Trip 83"
#define SK_TRIPDESC_84 "User Trip 84"
#define SK_TRIPDESC_85 "User Trip 85"
#define SK_TRIPDESC_86 "User Trip 86"
#define SK_TRIPDESC_87 "User Trip 87"
#define SK_TRIPDESC_88 "User Trip 88"
#define SK_TRIPDESC_89 "User Trip 89"
#define SK_TRIPDESC_90 "PLC Ladder Program: Divide By Zero"
#define SK_TRIPDESC_91 "PLC Ladder Program: Access Non-existant Par"
#define SK_TRIPDESC_92 "PLC Ladder Program: Write to Read Only Par"
#define SK_TRIPDESC_94 "PLC Ladder Program: Write Out of Range"
#define SK_TRIPDESC_95 "PLC Ladder Program: Virtual Memory Stack Overflow"
#define SK_TRIPDESC_96 "PLC Ladder Program: Invalid System Call"
#define SK_TRIPDESC_97 "PLC Ladder Program: No Logic Stick"
#define SK_TRIPDESC_98 "PLC Ladder Program: Invalid Instruction"
#define SK_TRIPDESC_99 "PLC Ladder Program: Invalid Function Block Argument"
#define SK_TRIPDESC_102 "Power Module Rectifier Overtemperature"
#define SK_TRIPDESC_182 "SmartStick Error: File Corrupted"
#define SK_TRIPDESC_183 "SmartStick Error: Data Does Not Exist"
#define SK_TRIPDESC_185 "SmartStick Error: Read/Write Failure"
#define SK_TRIPDESC_186 "SmartStick Error: Rating Change"
#define SK_TRIPDESC_189 "Overload on Current Loop Input"
#define SK_TRIPDESC_199 "Destination Parameter Clash"
#define SK_TRIPDESC_200 "Option Module Hardware Fault"
#define SK_TRIPDESC_201 "Option Module Watchdog Timeout"
#define SK_TRIPDESC_202 "Option Module Runtime Error"
#define SK_TRIPDESC_203 "Option Module Not Fitted"
#define SK_TRIPDESC_204 "Option Module Different Fitted"
#define SK_TRIPDESC_220 "Hardware Fault: Power Stage Code Error"
#define SK_TRIPDESC_221 "Hardware Fault: Power Stage Unrecognized Frame Size"
#define SK_TRIPDESC_222 "Hardware Fault: OI Failure at Power Up"
#define SK_TRIPDESC_223 "Hardware Fault:DSP Software Overrun"
#define SK_TRIPDESC_225 "Hardware Fault: DSP Communication Failure"
#define SK_TRIPDESC_226 "Hardware Fault: Soft Start Relay Failed to Close"
#define SK_TRIPDESC_227 "Hardware Fault: Power Stage Thermistor Fault"
#define SK_TRIPDESC_228 "Hardware Fault: Power Circuit Therm 2 or 3 Fault"
#define SK_TRIPDESC_229 "Hardware Fault: Fan Failure"
#define SK_TRIPDESC_230 "Hardware Fault: DCCT Wire Break"
#define SK_TRIPDESC_231 "Hardware Fault: Auxiliary Fan Failure from Power Module"
#define SK_TRIPDESC_232 "Hardware Fault: Power Circuit Temperature Feedback Multiplexor Failure"
