MANUFACTURER 0x8A, DEVICE_TYPE 2, DEVICE_REVISION 1, DD_REVISION 1

#define PROFIBUS

#ifndef PROFIBUS
// Following header files removed for Profibus, but are needed for HART tokenization
#include "bi_codes.h"
#include "macros.ddl"
#include "NAMUR_Mods.ddl"
#endif



// *** DO NOT REORDER THESE #include'ed HEADER FILES ***


// DRIVE VARIABLE STRINGS  (AUTO)
#include "sk_drvvarstrings.h"

// SLOT VARIABLE STRINGS  (AUTO)
#include "sk_slotvarstrings.h"

// DRIVE VARIABLE STRINGS  (AUTO)
#include "sk_drvvarhlpstrings.h"

// SLOT VARIABLE STRINGS  (AUTO)
#include "sk_slotvarhlpstrings.h"

// ENUMS STRINGS  (AUTO)
#include "sk_enumstrings.h"

// TRIP STRINGS  (AUTO)
#include "sk_tripstrings.h"

// UNITS STRINGS  (AUTO)
#include "sk_unitstrings.h"

// #DEFINE'ED CODE SECTIONS  (MANUAL)
#include "sk_codesections.h"

// READ/WRITE METHODS  (MANUAL)
#include "sk_read_write_methods.h"

// DRIVE READ/WRITE COMMAND BUILDERS  (AUTO)
#include "sk_drv_rdwrtcmds.h"

// SLOT READ/WRITE COMMAND BUILDERS (AUTO)
#include "sk_slot_rdwrtcmds.h"

// DRIVE VARIABLES  (AUTO)
#include "sk_drvvars.h"

// SLOT VARIABLES  (AUTO)
#include "sk_slotvars.h"

// IMAGE DEFINITIONS (MANUAL)
#include "sk_imagedefinitions.h"

// USER INTERFACE (MANUAL)
#include "sk_userinterface.h"

// GENERAL VARIABLES AND METHOD VARIABLES (MANUAL)
#include "sk_localvariables.h"

// GENERAL METHODS  (MANUAL)
#include "sk_methods.h"

// RELATIONS  (MANUAL)
#include "sk_relations.h"