#define  ENUMID72_VAL0_MNEMONIC  "Off"
#define  ENUMID72_VAL0_HELP  "Off"
#define  ENUMID72_VAL1_MNEMONIC  "On"
#define  ENUMID72_VAL1_HELP  "On"
#define  ENUMID73_VAL0_MNEMONIC  "A1.A2"
#define  ENUMID73_VAL0_HELP  "Analogue inputs"
#define  ENUMID73_VAL1_MNEMONIC  "A1.Pr"
#define  ENUMID73_VAL1_HELP  "Analogue input 1 / preset speed"
#define  ENUMID73_VAL2_MNEMONIC  "A2.Pr"
#define  ENUMID73_VAL2_HELP  "Analogue input 2 / preset speed"
#define  ENUMID73_VAL3_MNEMONIC  "Pr"
#define  ENUMID73_VAL3_HELP  "Preset References"
#define  ENUMID73_VAL4_MNEMONIC  "PAd"
#define  ENUMID73_VAL4_HELP  "Keypad"
#define  ENUMID73_VAL5_MNEMONIC  "Prc"
#define  ENUMID73_VAL5_HELP  "Precision Reference"
#define  ENUMID74_VAL0_MNEMONIC  "rSEt"
#define  ENUMID74_VAL0_HELP  "Zero"
#define  ENUMID74_VAL1_MNEMONIC  "LASt"
#define  ENUMID74_VAL1_HELP  "Last value used"
#define  ENUMID74_VAL2_MNEMONIC  "PrS1"
#define  ENUMID74_VAL2_HELP  "Preset 1 (Pr 1.21)"
#define  ENUMID75_VAL0_MNEMONIC  "Ld"
#define  ENUMID75_VAL1_MNEMONIC  "A"
#define  ENUMID77_VAL0_MNEMONIC  "Ur S"
#define  ENUMID77_VAL0_HELP  "Measured on start"
#define  ENUMID77_VAL1_MNEMONIC  "Ur"
#define  ENUMID77_VAL1_HELP  "No measurement"
#define  ENUMID77_VAL2_MNEMONIC  "Fd"
#define  ENUMID77_VAL2_HELP  "Fixed boost mode"
#define  ENUMID77_VAL3_MNEMONIC  "Ur Auto"
#define  ENUMID77_VAL3_HELP  "Measured on first enable"
#define  ENUMID77_VAL4_MNEMONIC  "Ur I"
#define  ENUMID77_VAL4_HELP  "Measured at power-up"
#define  ENUMID77_VAL5_MNEMONIC  "SrE"
#define  ENUMID77_VAL5_HELP  "Square law characteristic"
#define  ENUMID78_VAL0_MNEMONIC  "3"
#define  ENUMID78_VAL0_HELP  "3kHz"
#define  ENUMID78_VAL1_MNEMONIC  "4"
#define  ENUMID78_VAL1_HELP  "4kHz"
#define  ENUMID78_VAL2_MNEMONIC  "6"
#define  ENUMID78_VAL2_HELP  "6kHz"
#define  ENUMID78_VAL3_MNEMONIC  "8"
#define  ENUMID78_VAL3_HELP  "8kHz"
#define  ENUMID78_VAL4_MNEMONIC  "12"
#define  ENUMID78_VAL4_HELP  "12kHz"
#define  ENUMID78_VAL5_MNEMONIC  "16"
#define  ENUMID78_VAL5_HELP  "16kHz"
#define  ENUMID79_VAL0_MNEMONIC  "Fr"
#define  ENUMID79_VAL0_HELP  "Drive output in Hz"
#define  ENUMID79_VAL1_MNEMONIC  "SP"
#define  ENUMID79_VAL1_HELP  "Motor speed in RPM"
#define  ENUMID79_VAL2_MNEMONIC  "Cd"
#define  ENUMID79_VAL2_HELP  "Machine speed in cust. defined units"
#define  ENUMID80_VAL0_MNEMONIC  "0-20"
#define  ENUMID80_VAL0_HELP  "0-20mA"
#define  ENUMID80_VAL1_MNEMONIC  "20-0"
#define  ENUMID80_VAL1_HELP  "20-0mA"
#define  ENUMID80_VAL2_MNEMONIC  "4-20.tr"
#define  ENUMID80_VAL2_HELP  "4-20mA (trip on loss)"
#define  ENUMID80_VAL3_MNEMONIC  "20-4.tr"
#define  ENUMID80_VAL3_HELP  "20-4mA (trip on loss)"
#define  ENUMID80_VAL4_MNEMONIC  "4-20"
#define  ENUMID80_VAL4_HELP  "4-20mA"
#define  ENUMID80_VAL5_MNEMONIC  "20-4"
#define  ENUMID80_VAL5_HELP  "20-4mA"
#define  ENUMID80_VAL6_MNEMONIC  "Volt"
#define  ENUMID80_VAL6_HELP  "Voltage mode"
#define  ENUMID81_VAL0_MNEMONIC  "0-20"
#define  ENUMID81_VAL0_HELP  "0-20mA"
#define  ENUMID81_VAL1_MNEMONIC  "20-0"
#define  ENUMID81_VAL1_HELP  "20-0mA"
#define  ENUMID81_VAL2_MNEMONIC  "4-20.tr"
#define  ENUMID81_VAL2_HELP  "4-20mA (trip on loss)"
#define  ENUMID81_VAL3_MNEMONIC  "20-4.tr"
#define  ENUMID81_VAL3_HELP  "20-4mA (trip on loss)"
#define  ENUMID81_VAL4_MNEMONIC  "4-20"
#define  ENUMID81_VAL4_HELP  "4-20mA"
#define  ENUMID81_VAL5_MNEMONIC  "20-4"
#define  ENUMID81_VAL5_HELP  "20-4mA"
#define  ENUMID81_VAL6_MNEMONIC  "Volt"
#define  ENUMID81_VAL6_HELP  "Voltage mode"
#define  ENUMID81_VAL7_MNEMONIC  "th.SC"
#define  ENUMID81_VAL7_HELP  "Thermistor (trip on short circuit)"
#define  ENUMID81_VAL8_MNEMONIC  "th"
#define  ENUMID81_VAL8_HELP  "Thermistor"
#define  ENUMID81_VAL9_MNEMONIC  "th.diSP"
#define  ENUMID81_VAL9_HELP  "Thermistor (display only)"
#define  ENUMID82_VAL0_MNEMONIC  "Volt"
#define  ENUMID82_VAL0_HELP  "Voltage mode"
#define  ENUMID82_VAL1_MNEMONIC  "0-20"
#define  ENUMID82_VAL1_HELP  "0-20mA"
#define  ENUMID82_VAL2_MNEMONIC  "4-20"
#define  ENUMID82_VAL2_HELP  "4-20mA"
#define  ENUMID82_VAL3_MNEMONIC  "H.Spd"
#define  ENUMID82_VAL3_HELP  "High-speed up-date mode"
#define  ENUMID83_VAL0_MNEMONIC  "Fr"
#define  ENUMID83_VAL0_HELP  "Output frequency (5.01)"
#define  ENUMID83_VAL1_MNEMONIC  "Ld"
#define  ENUMID83_VAL1_HELP  "Active current (4.02)"
#define  ENUMID83_VAL2_MNEMONIC  "Adv"
#define  ENUMID83_VAL2_HELP  "No action"
#define  ENUMID84_VAL0_MNEMONIC  "no trip"
#define  ENUMID84_VAL0_HELP  "no trip"
#define  ENUMID84_VAL1_MNEMONIC  "UU"
#define  ENUMID84_VAL1_HELP  "DC Bus under voltage"
#define  ENUMID84_VAL2_MNEMONIC  "OU"
#define  ENUMID84_VAL2_HELP  "DC Bus over voltage"
#define  ENUMID84_VAL3_MNEMONIC  "OI.AC"
#define  ENUMID84_VAL3_HELP  "AC instantaneous current trip"
#define  ENUMID84_VAL4_MNEMONIC  "OI.br"
#define  ENUMID84_VAL4_HELP  "Braking resistor instantaneous current trip"
#define  ENUMID84_VAL5_MNEMONIC  "PS"
#define  ENUMID84_VAL5_HELP  "Power supply trip"
#define  ENUMID84_VAL6_MNEMONIC  "Et"
#define  ENUMID84_VAL6_HELP  "External trip"
#define  ENUMID84_VAL7_MNEMONIC  "O.SPd"
#define  ENUMID84_VAL7_HELP  "Overspeed"
#define  ENUMID84_VAL8_MNEMONIC  "PS.10V"
#define  ENUMID84_VAL8_HELP  "10V power supply current > 10mA"
#define  ENUMID84_VAL9_MNEMONIC  "PS.24V"
#define  ENUMID84_VAL9_HELP  "24V internal power supply overload"
#define  ENUMID84_VAL10_MNEMONIC  "t010"
#define  ENUMID84_VAL10_HELP  "User trip 10 in Applications module"
#define  ENUMID84_VAL11_MNEMONIC  "tunE1"
#define  ENUMID84_VAL11_HELP  "Position f/b did not change during autotune"
#define  ENUMID84_VAL12_MNEMONIC  "tunE2"
#define  ENUMID84_VAL12_HELP  "Position f/b direction incorrect during autotune"
#define  ENUMID84_VAL13_MNEMONIC  "tunE3"
#define  ENUMID84_VAL13_HELP  "Encoder commutation signals incorrect during autotune"
#define  ENUMID84_VAL14_MNEMONIC  "tunE4"
#define  ENUMID84_VAL14_HELP  "Encoder U commutation signal fail during autotune"
#define  ENUMID84_VAL15_MNEMONIC  "tunE5"
#define  ENUMID84_VAL15_HELP  "Encoder V commutation signal fail during autotune"
#define  ENUMID84_VAL16_MNEMONIC  "tunE6"
#define  ENUMID84_VAL16_HELP  "Encoder W commutation signal fail during autotune"
#define  ENUMID84_VAL17_MNEMONIC  "tunE7"
#define  ENUMID84_VAL17_HELP  "Motor no of poles set incorrectly"
#define  ENUMID84_VAL18_MNEMONIC  "tunE"
#define  ENUMID84_VAL18_HELP  "Autotune stopped before completion"
#define  ENUMID84_VAL19_MNEMONIC  "It.br"
#define  ENUMID84_VAL19_HELP  "Braking resistor overload timed out"
#define  ENUMID84_VAL20_MNEMONIC  "It.AC"
#define  ENUMID84_VAL20_HELP  "Output current overload timed out"
#define  ENUMID84_VAL21_MNEMONIC  "O.ht1"
#define  ENUMID84_VAL21_HELP  "Overheat (Drive thermal model protection)"
#define  ENUMID84_VAL22_MNEMONIC  "O.ht2"
#define  ENUMID84_VAL22_HELP  "Overheat (Heat sink thermistor protection)"
#define  ENUMID84_VAL23_MNEMONIC  "O.CtL"
#define  ENUMID84_VAL23_HELP  "Drive control board over temperature"
#define  ENUMID84_VAL24_MNEMONIC  "th"
#define  ENUMID84_VAL24_HELP  "Motor thermistor trip"
#define  ENUMID84_VAL25_MNEMONIC  "thS"
#define  ENUMID84_VAL25_HELP  "Motor thermistor short circuit"
#define  ENUMID84_VAL26_MNEMONIC  "O.Ld1"
#define  ENUMID84_VAL26_HELP  "Overload on digital output: 24V & digital current > 200mA"
#define  ENUMID84_VAL27_MNEMONIC  "t027"
#define  ENUMID84_VAL27_HELP  "User trip 27 in Applications module"
#define  ENUMID84_VAL28_MNEMONIC  "cL2"
#define  ENUMID84_VAL28_HELP  "Analog input 2 current loss"
#define  ENUMID84_VAL29_MNEMONIC  "cL3"
#define  ENUMID84_VAL29_HELP  "Analog input 3 current loss"
#define  ENUMID84_VAL30_MNEMONIC  "SCL"
#define  ENUMID84_VAL30_HELP  "Serial comms loss to remote keypad"
#define  ENUMID84_VAL31_MNEMONIC  "EEF"
#define  ENUMID84_VAL31_HELP  "EEPROM failure"
#define  ENUMID84_VAL32_MNEMONIC  "Ph"
#define  ENUMID84_VAL32_HELP  "AC voltage input phase loss or large supply imbalance"
#define  ENUMID84_VAL33_MNEMONIC  "rS"
#define  ENUMID84_VAL33_HELP  "Resistance measurement failure"
#define  ENUMID84_VAL34_MNEMONIC  "PAd"
#define  ENUMID84_VAL34_HELP  "Keypad removed during speed ref transfer"
#define  ENUMID84_VAL35_MNEMONIC  "CL.bit"
#define  ENUMID84_VAL35_HELP  "Trip initiated from control word"
#define  ENUMID84_VAL36_MNEMONIC  "t036"
#define  ENUMID84_VAL36_HELP  "User trip 36 in Applications module"
#define  ENUMID84_VAL37_MNEMONIC  "t037"
#define  ENUMID84_VAL37_HELP  "User trip 37 in Applications module"
#define  ENUMID84_VAL38_MNEMONIC  "t038"
#define  ENUMID84_VAL38_HELP  "User trip 38 in Applications module"
#define  ENUMID84_VAL39_MNEMONIC  "L.SYNC"
#define  ENUMID84_VAL39_HELP  "Regen sinusoidal rectifier sync failure"
#define  ENUMID84_VAL40_MNEMONIC  "t040"
#define  ENUMID84_VAL40_HELP  "User trip 40 in Applications module"
#define  ENUMID84_VAL41_MNEMONIC  "t041"
#define  ENUMID84_VAL41_HELP  "User trip 41 in Applications module"
#define  ENUMID84_VAL42_MNEMONIC  "t042"
#define  ENUMID84_VAL42_HELP  "User trip 42 in Applications module"
#define  ENUMID84_VAL43_MNEMONIC  "t043"
#define  ENUMID84_VAL43_HELP  "User trip 43 in Applications module"
#define  ENUMID84_VAL44_MNEMONIC  "t044"
#define  ENUMID84_VAL44_HELP  "User trip 44 in Applications module"
#define  ENUMID84_VAL45_MNEMONIC  "t045"
#define  ENUMID84_VAL45_HELP  "User trip 45 in Applications module"
#define  ENUMID84_VAL46_MNEMONIC  "t046"
#define  ENUMID84_VAL46_HELP  "User trip 46 in Applications module"
#define  ENUMID84_VAL47_MNEMONIC  "t047"
#define  ENUMID84_VAL47_HELP  "User trip 47 in Applications module"
#define  ENUMID84_VAL48_MNEMONIC  "t048"
#define  ENUMID84_VAL48_HELP  "User trip 48 in Applications module"
#define  ENUMID84_VAL49_MNEMONIC  "t049"
#define  ENUMID84_VAL49_HELP  "User trip 49 in Applications module"
#define  ENUMID84_VAL50_MNEMONIC  "t050"
#define  ENUMID84_VAL50_HELP  "User trip 50 in Applications module"
#define  ENUMID84_VAL51_MNEMONIC  "t051"
#define  ENUMID84_VAL51_HELP  "User trip 51 in Applications module"
#define  ENUMID84_VAL52_MNEMONIC  "t052"
#define  ENUMID84_VAL52_HELP  "User trip 52 in Applications module"
#define  ENUMID84_VAL53_MNEMONIC  "t053"
#define  ENUMID84_VAL53_HELP  "User trip 53 in Applications module"
#define  ENUMID84_VAL54_MNEMONIC  "t054"
#define  ENUMID84_VAL54_HELP  "User trip 54 in Applications module"
#define  ENUMID84_VAL55_MNEMONIC  "t055"
#define  ENUMID84_VAL55_HELP  "User trip 55 in Applications module"
#define  ENUMID84_VAL56_MNEMONIC  "t056"
#define  ENUMID84_VAL56_HELP  "User trip 56 in Applications module"
#define  ENUMID84_VAL57_MNEMONIC  "t057"
#define  ENUMID84_VAL57_HELP  "User trip 57 in Applications module"
#define  ENUMID84_VAL58_MNEMONIC  "t058"
#define  ENUMID84_VAL58_HELP  "User trip 58 in Applications module"
#define  ENUMID84_VAL59_MNEMONIC  "t059"
#define  ENUMID84_VAL59_HELP  "User trip 59 in Applications module"
#define  ENUMID84_VAL60_MNEMONIC  "t060"
#define  ENUMID84_VAL60_HELP  "User trip 60 in Applications module"
#define  ENUMID84_VAL61_MNEMONIC  "t061"
#define  ENUMID84_VAL61_HELP  "User trip 61 in Applications module"
#define  ENUMID84_VAL62_MNEMONIC  "t062"
#define  ENUMID84_VAL62_HELP  "User trip 62 in Applications module"
#define  ENUMID84_VAL63_MNEMONIC  "t063"
#define  ENUMID84_VAL63_HELP  "User trip 63 in Applications module"
#define  ENUMID84_VAL64_MNEMONIC  "t064"
#define  ENUMID84_VAL64_HELP  "User trip 64 in Applications module"
#define  ENUMID84_VAL65_MNEMONIC  "t065"
#define  ENUMID84_VAL65_HELP  "User trip 65 in Applications module"
#define  ENUMID84_VAL66_MNEMONIC  "t066"
#define  ENUMID84_VAL66_HELP  "User trip 66 in Applications module"
#define  ENUMID84_VAL67_MNEMONIC  "t067"
#define  ENUMID84_VAL67_HELP  "User trip 67 in Applications module"
#define  ENUMID84_VAL68_MNEMONIC  "t068"
#define  ENUMID84_VAL68_HELP  "User trip 68 in Applications module"
#define  ENUMID84_VAL69_MNEMONIC  "t069"
#define  ENUMID84_VAL69_HELP  "User trip 69 in Applications module"
#define  ENUMID84_VAL70_MNEMONIC  "t070"
#define  ENUMID84_VAL70_HELP  "User trip 70 in Applications module"
#define  ENUMID84_VAL71_MNEMONIC  "t071"
#define  ENUMID84_VAL71_HELP  "User trip 71 in Applications module"
#define  ENUMID84_VAL72_MNEMONIC  "t072"
#define  ENUMID84_VAL72_HELP  "User trip 72 in Applications module"
#define  ENUMID84_VAL73_MNEMONIC  "t073"
#define  ENUMID84_VAL73_HELP  "User trip 73 in Applications module"
#define  ENUMID84_VAL74_MNEMONIC  "t074"
#define  ENUMID84_VAL74_HELP  "User trip 74 in Applications module"
#define  ENUMID84_VAL75_MNEMONIC  "t075"
#define  ENUMID84_VAL75_HELP  "User trip 75 in Applications module"
#define  ENUMID84_VAL76_MNEMONIC  "t076"
#define  ENUMID84_VAL76_HELP  "User trip 76 in Applications module"
#define  ENUMID84_VAL77_MNEMONIC  "t077"
#define  ENUMID84_VAL77_HELP  "User trip 77 in Applications module"
#define  ENUMID84_VAL78_MNEMONIC  "t078"
#define  ENUMID84_VAL78_HELP  "User trip 78 in Applications module"
#define  ENUMID84_VAL79_MNEMONIC  "t079"
#define  ENUMID84_VAL79_HELP  "User trip 79 in Applications module"
#define  ENUMID84_VAL80_MNEMONIC  "t080"
#define  ENUMID84_VAL80_HELP  "User trip 80 in Applications module"
#define  ENUMID84_VAL81_MNEMONIC  "t082"
#define  ENUMID84_VAL81_HELP  "User trip 81 in Applications module"
#define  ENUMID84_VAL82_MNEMONIC  "t082"
#define  ENUMID84_VAL82_HELP  "User trip 82 in Applications module"
#define  ENUMID84_VAL83_MNEMONIC  "t083"
#define  ENUMID84_VAL83_HELP  "User trip 83 in Applications module"
#define  ENUMID84_VAL84_MNEMONIC  "t084"
#define  ENUMID84_VAL84_HELP  "User trip 84 in Applications module"
#define  ENUMID84_VAL85_MNEMONIC  "t085"
#define  ENUMID84_VAL85_HELP  "User trip 85 in Applications module"
#define  ENUMID84_VAL86_MNEMONIC  "t086"
#define  ENUMID84_VAL86_HELP  "User trip 86 in Applications module"
#define  ENUMID84_VAL87_MNEMONIC  "t087"
#define  ENUMID84_VAL87_HELP  "User trip 87 in Applications module"
#define  ENUMID84_VAL88_MNEMONIC  "t088"
#define  ENUMID84_VAL88_HELP  "User trip 88 in Applications module"
#define  ENUMID84_VAL89_MNEMONIC  "t089"
#define  ENUMID84_VAL89_HELP  "User trip 89 in Applications module"
#define  ENUMID84_VAL90_MNEMONIC  "t090"
#define  ENUMID84_VAL90_HELP  "User trip 90 in Applications module"
#define  ENUMID84_VAL91_MNEMONIC  "t091"
#define  ENUMID84_VAL91_HELP  "User trip 91 in Applications module"
#define  ENUMID84_VAL92_MNEMONIC  "t092"
#define  ENUMID84_VAL92_HELP  "User trip 92 in Applications module"
#define  ENUMID84_VAL93_MNEMONIC  "t093"
#define  ENUMID84_VAL93_HELP  "User trip 93 in Applications module"
#define  ENUMID84_VAL94_MNEMONIC  "t094"
#define  ENUMID84_VAL94_HELP  "User trip 94 in Applications module"
#define  ENUMID84_VAL95_MNEMONIC  "t095"
#define  ENUMID84_VAL95_HELP  "User trip 95 in Applications module"
#define  ENUMID84_VAL96_MNEMONIC  "t096"
#define  ENUMID84_VAL96_HELP  "User trip 96 in Applications module"
#define  ENUMID84_VAL97_MNEMONIC  "t097"
#define  ENUMID84_VAL97_HELP  "User trip 97 in Applications module"
#define  ENUMID84_VAL98_MNEMONIC  "t098"
#define  ENUMID84_VAL98_HELP  "User trip 98 in Applications module"
#define  ENUMID84_VAL99_MNEMONIC  "t099"
#define  ENUMID84_VAL99_HELP  "User trip 99 in Applications module"
#define  ENUMID84_VAL100_MNEMONIC  "t100"
#define  ENUMID84_VAL100_HELP  "User trip 100 in Applications module"
#define  ENUMID84_VAL101_MNEMONIC  "1.PH"
#define  ENUMID84_VAL101_HELP  "Phase loss trip on module 1"
#define  ENUMID84_VAL102_MNEMONIC  "2.PH"
#define  ENUMID84_VAL102_HELP  "Phase loss trip on module 2"
#define  ENUMID84_VAL103_MNEMONIC  "3.PH"
#define  ENUMID84_VAL103_HELP  "Phase loss trip on module 3"
#define  ENUMID84_VAL104_MNEMONIC  "4.PH"
#define  ENUMID84_VAL104_HELP  "Phase loss trip on module 4"
#define  ENUMID84_VAL105_MNEMONIC  "5.PH"
#define  ENUMID84_VAL105_HELP  "Phase loss trip on module 5"
#define  ENUMID84_VAL106_MNEMONIC  "6.PH"
#define  ENUMID84_VAL106_HELP  "Phase loss trip on module 6"
#define  ENUMID84_VAL107_MNEMONIC  "7.PH"
#define  ENUMID84_VAL107_HELP  "Phase loss trip on module 7"
#define  ENUMID84_VAL108_MNEMONIC  "8.PH"
#define  ENUMID84_VAL108_HELP  "Phase loss trip on module 8"
#define  ENUMID84_VAL109_MNEMONIC  "t109"
#define  ENUMID84_VAL109_HELP  "User trip 109 in Applications module"
#define  ENUMID84_VAL110_MNEMONIC  "t110"
#define  ENUMID84_VAL110_HELP  "User trip 110 in Applications module"
#define  ENUMID84_VAL111_MNEMONIC  "1.OIAC"
#define  ENUMID84_VAL111_HELP  "Instantaneous output over current on module 1"
#define  ENUMID84_VAL112_MNEMONIC  "2.OIAC"
#define  ENUMID84_VAL112_HELP  "Instantaneous output over current on module 2"
#define  ENUMID84_VAL113_MNEMONIC  "3.OIAC"
#define  ENUMID84_VAL113_HELP  "Instantaneous output over current on module 3"
#define  ENUMID84_VAL114_MNEMONIC  "4.OIAC"
#define  ENUMID84_VAL114_HELP  "Instantaneous output over current on module 4"
#define  ENUMID84_VAL115_MNEMONIC  "5.OIAC"
#define  ENUMID84_VAL115_HELP  "Instantaneous output over current on module 5"
#define  ENUMID84_VAL116_MNEMONIC  "6.OIAC"
#define  ENUMID84_VAL116_HELP  "Instantaneous output over current on module 6"
#define  ENUMID84_VAL117_MNEMONIC  "7.OIAC"
#define  ENUMID84_VAL117_HELP  "Instantaneous output over current on module 7"
#define  ENUMID84_VAL118_MNEMONIC  "8.OIAC"
#define  ENUMID84_VAL118_HELP  "Instantaneous output over current on module 8"
#define  ENUMID84_VAL119_MNEMONIC  "t119"
#define  ENUMID84_VAL119_HELP  "User trip 119 in Applications module"
#define  ENUMID84_VAL120_MNEMONIC  "t120"
#define  ENUMID84_VAL120_HELP  "User trip 120 in Applications module"
#define  ENUMID84_VAL121_MNEMONIC  "1.Oht2"
#define  ENUMID84_VAL121_HELP  "Heatsink overtemperature detected - module 1"
#define  ENUMID84_VAL122_MNEMONIC  "2.Oht2"
#define  ENUMID84_VAL122_HELP  "Heatsink overtemperature detected - module 2"
#define  ENUMID84_VAL123_MNEMONIC  "3.Oht2"
#define  ENUMID84_VAL123_HELP  "Heatsink overtemperature detected - module 3"
#define  ENUMID84_VAL124_MNEMONIC  "4.Oht2"
#define  ENUMID84_VAL124_HELP  "Heatsink overtemperature detected - module 4"
#define  ENUMID84_VAL125_MNEMONIC  "5.Oht2"
#define  ENUMID84_VAL125_HELP  "Heatsink overtemperature detected - module 5"
#define  ENUMID84_VAL126_MNEMONIC  "6.Oht2"
#define  ENUMID84_VAL126_HELP  "Heatsink overtemperature detected - module 6"
#define  ENUMID84_VAL127_MNEMONIC  "7.Oht2"
#define  ENUMID84_VAL127_HELP  "Heatsink overtemperature detected - module 7"
#define  ENUMID84_VAL128_MNEMONIC  "8.Oht2"
#define  ENUMID84_VAL128_HELP  "Heatsink overtemperature detected - module 8"
#define  ENUMID84_VAL129_MNEMONIC  "t129"
#define  ENUMID84_VAL129_HELP  "User trip 129 in Applications module"
#define  ENUMID84_VAL130_MNEMONIC  "t130"
#define  ENUMID84_VAL130_HELP  "User trip 130 in Applications module"
#define  ENUMID84_VAL131_MNEMONIC  "1.PS"
#define  ENUMID84_VAL131_HELP  "Internal power supply fault - module 1"
#define  ENUMID84_VAL132_MNEMONIC  "2.PS"
#define  ENUMID84_VAL132_HELP  "Internal power supply fault - module 2"
#define  ENUMID84_VAL133_MNEMONIC  "3.PS"
#define  ENUMID84_VAL133_HELP  "Internal power supply fault - module 3"
#define  ENUMID84_VAL134_MNEMONIC  "4.PS"
#define  ENUMID84_VAL134_HELP  "Internal power supply fault - module 4"
#define  ENUMID84_VAL135_MNEMONIC  "5.PS"
#define  ENUMID84_VAL135_HELP  "Internal power supply fault - module 5"
#define  ENUMID84_VAL136_MNEMONIC  "6.PS"
#define  ENUMID84_VAL136_HELP  "Internal power supply fault - module 6"
#define  ENUMID84_VAL137_MNEMONIC  "7.PS"
#define  ENUMID84_VAL137_HELP  "Internal power supply fault - module 7"
#define  ENUMID84_VAL138_MNEMONIC  "8.PS"
#define  ENUMID84_VAL138_HELP  "Internal power supply fault - module 8"
#define  ENUMID84_VAL139_MNEMONIC  "t139"
#define  ENUMID84_VAL139_HELP  "User trip 139 in Applications module"
#define  ENUMID84_VAL140_MNEMONIC  "t140"
#define  ENUMID84_VAL140_HELP  "User trip 140 in Applications module"
#define  ENUMID84_VAL141_MNEMONIC  "1.OIBr"
#define  ENUMID84_VAL141_HELP  "Braking IGBT over current - module 1"
#define  ENUMID84_VAL142_MNEMONIC  "2.OIBr"
#define  ENUMID84_VAL142_HELP  "Braking IGBT over current - module 2"
#define  ENUMID84_VAL143_MNEMONIC  "3.OIBr"
#define  ENUMID84_VAL143_HELP  "Braking IGBT over current - module 3"
#define  ENUMID84_VAL144_MNEMONIC  "4.OIBr"
#define  ENUMID84_VAL144_HELP  "Braking IGBT over current - module 4"
#define  ENUMID84_VAL145_MNEMONIC  "5.OIBr"
#define  ENUMID84_VAL145_HELP  "Braking IGBT over current - module 5"
#define  ENUMID84_VAL146_MNEMONIC  "6.OIBr"
#define  ENUMID84_VAL146_HELP  "Braking IGBT over current - module 6"
#define  ENUMID84_VAL147_MNEMONIC  "7.OIBr"
#define  ENUMID84_VAL147_HELP  "Braking IGBT over current - module 7"
#define  ENUMID84_VAL148_MNEMONIC  "8.OIBr"
#define  ENUMID84_VAL148_HELP  "Braking IGBT over current - module 8"
#define  ENUMID84_VAL149_MNEMONIC  "t149"
#define  ENUMID84_VAL149_HELP  "User trip 149 in Applications module"
#define  ENUMID84_VAL150_MNEMONIC  "t150"
#define  ENUMID84_VAL150_HELP  "User trip 150 in Applications module"
#define  ENUMID84_VAL151_MNEMONIC  "1.OV"
#define  ENUMID84_VAL151_HELP  "DC link voltage exceeded peak for 30s - module 1"
#define  ENUMID84_VAL152_MNEMONIC  "2.OV"
#define  ENUMID84_VAL152_HELP  "DC link voltage exceeded peak for 30s - module 2"
#define  ENUMID84_VAL153_MNEMONIC  "3.OV"
#define  ENUMID84_VAL153_HELP  "DC link voltage exceeded peak for 30s - module 3"
#define  ENUMID84_VAL154_MNEMONIC  "4.OV"
#define  ENUMID84_VAL154_HELP  "DC link voltage exceeded peak for 30s - module 4"
#define  ENUMID84_VAL155_MNEMONIC  "5.OV"
#define  ENUMID84_VAL155_HELP  "DC link voltage exceeded peak for 30s - module 5"
#define  ENUMID84_VAL156_MNEMONIC  "6.OV"
#define  ENUMID84_VAL156_HELP  "DC link voltage exceeded peak for 30s - module 6"
#define  ENUMID84_VAL157_MNEMONIC  "7.OV"
#define  ENUMID84_VAL157_HELP  "DC link voltage exceeded peak for 30s - module 7"
#define  ENUMID84_VAL158_MNEMONIC  "8.OV"
#define  ENUMID84_VAL158_HELP  "DC link voltage exceeded peak for 30s - module 8"
#define  ENUMID84_VAL159_MNEMONIC  "t159"
#define  ENUMID84_VAL159_HELP  "User trip 159 in Applications module"
#define  ENUMID84_VAL160_MNEMONIC  "t160"
#define  ENUMID84_VAL160_HELP  "User trip 160 in Applications module"
#define  ENUMID84_VAL161_MNEMONIC  "t161"
#define  ENUMID84_VAL161_HELP  "User trip 161 in Applications module"
#define  ENUMID84_VAL162_MNEMONIC  "t162"
#define  ENUMID84_VAL162_HELP  "User trip 162 in Applications module"
#define  ENUMID84_VAL163_MNEMONIC  "t163"
#define  ENUMID84_VAL163_HELP  "User trip 163 in Applications module"
#define  ENUMID84_VAL164_MNEMONIC  "t164"
#define  ENUMID84_VAL164_HELP  "User trip 164 in Applications module"
#define  ENUMID84_VAL165_MNEMONIC  "t165"
#define  ENUMID84_VAL165_HELP  "User trip 165 in Applications module"
#define  ENUMID84_VAL166_MNEMONIC  "t166"
#define  ENUMID84_VAL166_HELP  "User trip 166 in Applications module"
#define  ENUMID84_VAL167_MNEMONIC  "t167"
#define  ENUMID84_VAL167_HELP  "User trip 167 in Applications module"
#define  ENUMID84_VAL168_MNEMONIC  "t168"
#define  ENUMID84_VAL168_HELP  "User trip 168 in Applications module"
#define  ENUMID84_VAL169_MNEMONIC  "t169"
#define  ENUMID84_VAL169_HELP  "User trip 169 in Applications module"
#define  ENUMID84_VAL170_MNEMONIC  "t170"
#define  ENUMID84_VAL170_HELP  "User trip 170 in Applications module"
#define  ENUMID84_VAL171_MNEMONIC  "Uflt"
#define  ENUMID84_VAL171_HELP  "Unidentified fault"
#define  ENUMID84_VAL172_MNEMONIC  "t172"
#define  ENUMID84_VAL172_HELP  "User trip 172 in Applications module"
#define  ENUMID84_VAL173_MNEMONIC  "t173"
#define  ENUMID84_VAL173_HELP  "User trip 173 in Applications module"
#define  ENUMID84_VAL174_MNEMONIC  "t174"
#define  ENUMID84_VAL174_HELP  "User trip 174 in Applications module"
#define  ENUMID84_VAL175_MNEMONIC  "t175"
#define  ENUMID84_VAL175_HELP  "User trip 175 in Applications module"
#define  ENUMID84_VAL176_MNEMONIC  "t176"
#define  ENUMID84_VAL176_HELP  "User trip 176 in Applications module"
#define  ENUMID84_VAL177_MNEMONIC  "t177"
#define  ENUMID84_VAL177_HELP  "User trip 177 in Applications module"
#define  ENUMID84_VAL178_MNEMONIC  "ENP.Er"
#define  ENUMID84_VAL178_HELP  "Data error from electronic nameplate in f/b device"
#define  ENUMID84_VAL179_MNEMONIC  "C.Chg"
#define  ENUMID84_VAL179_HELP  "Smartcard trip - location already has data"
#define  ENUMID84_VAL180_MNEMONIC  "C.Optn"
#define  ENUMID84_VAL180_HELP  "Smartcard trip - source & destination drive modules different"
#define  ENUMID84_VAL181_MNEMONIC  "C.rdo"
#define  ENUMID84_VAL181_HELP  "Smartcard trip - read-only bit set"
#define  ENUMID84_VAL182_MNEMONIC  "C.Err"
#define  ENUMID84_VAL182_HELP  "Smartcard trip - data corrupted"
#define  ENUMID84_VAL183_MNEMONIC  "C.dat"
#define  ENUMID84_VAL183_HELP  "Smartcard trip - location already has data"
#define  ENUMID84_VAL184_MNEMONIC  "C.Full"
#define  ENUMID84_VAL184_HELP  "Smartcard trip - smartcard full"
#define  ENUMID84_VAL185_MNEMONIC  "C.Acc"
#define  ENUMID84_VAL185_HELP  "Smartcard trip - read/write fail"
#define  ENUMID84_VAL186_MNEMONIC  "C.rtg"
#define  ENUMID84_VAL186_HELP  "Smartcard trip - attempting to change dest drive ratings"
#define  ENUMID84_VAL187_MNEMONIC  "C.Typ"
#define  ENUMID84_VAL187_HELP  "Smartcard trip - parameter set not compatible with drive"
#define  ENUMID84_VAL188_MNEMONIC  "C.cpr"
#define  ENUMID84_VAL188_HELP  "Smartcard trip - values stored in drive & smartcard are different"
#define  ENUMID84_VAL189_MNEMONIC  "Enc1"
#define  ENUMID84_VAL189_HELP  "Drive encoder trip: power supply overload"
#define  ENUMID84_VAL190_MNEMONIC  "Enc2"
#define  ENUMID84_VAL190_HELP  "Drive encoder trip: wire break"
#define  ENUMID84_VAL191_MNEMONIC  "Enc3"
#define  ENUMID84_VAL191_HELP  "Drive encoder trip: UVW phase offset incorrect"
#define  ENUMID84_VAL192_MNEMONIC  "Enc4"
#define  ENUMID84_VAL192_HELP  "Drive encoder trip: feedback device comms failure"
#define  ENUMID84_VAL193_MNEMONIC  "Enc5"
#define  ENUMID84_VAL193_HELP  "Drive encoder trip: checksum or CRC error"
#define  ENUMID84_VAL194_MNEMONIC  "Enc6"
#define  ENUMID84_VAL194_HELP  "Drive encoder trip: encoder has indicated an error"
#define  ENUMID84_VAL195_MNEMONIC  "Enc7"
#define  ENUMID84_VAL195_HELP  "Drive encoder trip: initialization failed"
#define  ENUMID84_VAL196_MNEMONIC  "Enc8"
#define  ENUMID84_VAL196_HELP  "Drive encoder trip: auto config on power up failed"
#define  ENUMID84_VAL197_MNEMONIC  "Enc9"
#define  ENUMID84_VAL197_HELP  "Drive encoder trip: missing speed / feedback module"
#define  ENUMID84_VAL198_MNEMONIC  "t198"
#define  ENUMID84_VAL198_HELP  "User trip 198 in Applications module"
#define  ENUMID84_VAL199_MNEMONIC  "DESt"
#define  ENUMID84_VAL199_HELP  "Two or more params writing to same destination param"
#define  ENUMID84_VAL200_MNEMONIC  "SL1.HF"
#define  ENUMID84_VAL200_HELP  "Solutions module slot 1: hardware fault"
#define  ENUMID84_VAL201_MNEMONIC  "SL1.tO"
#define  ENUMID84_VAL201_HELP  "Solutions module slot 1: watchdog timeout"
#define  ENUMID84_VAL202_MNEMONIC  "SL1.Er"
#define  ENUMID84_VAL202_HELP  "Solutions module slot 1: error detected"
#define  ENUMID84_VAL203_MNEMONIC  "SL1.nF"
#define  ENUMID84_VAL203_HELP  "Solutions module slot 1: module removed"
#define  ENUMID84_VAL204_MNEMONIC  "SL1.dF"
#define  ENUMID84_VAL204_HELP  "Solutions module slot 1: module changed"
#define  ENUMID84_VAL205_MNEMONIC  "SL2.HF"
#define  ENUMID84_VAL205_HELP  "Solutions module slot 2: hardware fault"
#define  ENUMID84_VAL206_MNEMONIC  "SL2.tO"
#define  ENUMID84_VAL206_HELP  "Solutions module slot 2: watchdog timeout"
#define  ENUMID84_VAL207_MNEMONIC  "SL2.Er"
#define  ENUMID84_VAL207_HELP  "Solutions module slot 2: error detected"
#define  ENUMID84_VAL208_MNEMONIC  "SL2.nF"
#define  ENUMID84_VAL208_HELP  "Solutions module slot 2: module removed"
#define  ENUMID84_VAL209_MNEMONIC  "SL2.dF"
#define  ENUMID84_VAL209_HELP  "Solutions module slot 2: module changed"
#define  ENUMID84_VAL210_MNEMONIC  "SL3.HF"
#define  ENUMID84_VAL210_HELP  "Solutions module slot 3: hardware fault"
#define  ENUMID84_VAL211_MNEMONIC  "SL3.tO"
#define  ENUMID84_VAL211_HELP  "Solutions module slot 3: watchdog timeout"
#define  ENUMID84_VAL212_MNEMONIC  "SL3.Er"
#define  ENUMID84_VAL212_HELP  "Solutions module slot 3: error detected"
#define  ENUMID84_VAL213_MNEMONIC  "SL3.nF"
#define  ENUMID84_VAL213_HELP  "Solutions module slot 3: module removed"
#define  ENUMID84_VAL214_MNEMONIC  "SL3.dF"
#define  ENUMID84_VAL214_HELP  "Solutions module slot 3: module changed"
#define  ENUMID84_VAL215_MNEMONIC  "SL.rtd"
#define  ENUMID84_VAL215_HELP  "Solutions module trip: mode changed"
#define  ENUMID84_VAL216_MNEMONIC  "t216"
#define  ENUMID84_VAL216_HELP  "User trip 216 in Applications module"
#define  ENUMID84_VAL217_MNEMONIC  "t217"
#define  ENUMID84_VAL217_HELP  "User trip 217 in Applications module"
#define  ENUMID84_VAL218_MNEMONIC  "t218"
#define  ENUMID84_VAL218_HELP  "User trip 218 in Applications module"
#define  ENUMID84_VAL219_MNEMONIC  "t219"
#define  ENUMID84_VAL219_HELP  "User trip 219 in Applications module"
#define  ENUMID84_VAL220_MNEMONIC  "HF20"
#define  ENUMID84_VAL220_HELP  "Power stage recognition: serial code error"
#define  ENUMID84_VAL221_MNEMONIC  "HF21"
#define  ENUMID84_VAL221_HELP  "Power stage recognition: unrecognized frame size"
#define  ENUMID84_VAL222_MNEMONIC  "HF22"
#define  ENUMID84_VAL222_HELP  "Power stage recognition: multi-module frame size mismatch"
#define  ENUMID84_VAL223_MNEMONIC  "HF23"
#define  ENUMID84_VAL223_HELP  "Power stage recognition: multi-module voltage rating mismatch"
#define  ENUMID84_VAL224_MNEMONIC  "HF24"
#define  ENUMID84_VAL224_HELP  "Power stage recognition: unrecognized drive size"
#define  ENUMID84_VAL225_MNEMONIC  "HF25"
#define  ENUMID84_VAL225_HELP  "Current feedback offset error"
#define  ENUMID84_VAL226_MNEMONIC  "HF26"
#define  ENUMID84_VAL226_HELP  "Soft start relay failed to close"
#define  ENUMID84_VAL227_MNEMONIC  "HF27"
#define  ENUMID84_VAL227_HELP  "Power stage thermistor 1 fault"
#define  ENUMID84_VAL228_MNEMONIC  "HF28"
#define  ENUMID84_VAL228_HELP  "Power stage thermistor 2 fault"
#define  ENUMID84_VAL229_MNEMONIC  "HF29"
#define  ENUMID84_VAL229_HELP  "Control board thermistor fault"
#define  ENUMID84_VAL230_MNEMONIC  "HF30"
#define  ENUMID84_VAL230_HELP  "Hardware fault 30"
#define  ENUMID85_VAL0_MNEMONIC  "ANSI"
#define  ENUMID85_VAL0_HELP  "ANSI mode"
#define  ENUMID85_VAL1_MNEMONIC  "rtu"
#define  ENUMID85_VAL1_HELP  "CT-RTU mode"
#define  ENUMID85_VAL2_MNEMONIC  "F.bus"
#define  ENUMID85_VAL2_HELP  "Fieldbus mode"
#define  ENUMID86_VAL0_MNEMONIC  "300"
#define  ENUMID86_VAL0_HELP  "300 Baud"
#define  ENUMID86_VAL1_MNEMONIC  "600"
#define  ENUMID86_VAL1_HELP  "600 Baud"
#define  ENUMID86_VAL2_MNEMONIC  "1200"
#define  ENUMID86_VAL2_HELP  "1200 Baud"
#define  ENUMID86_VAL3_MNEMONIC  "2400"
#define  ENUMID86_VAL3_HELP  "2400 Baud"
#define  ENUMID86_VAL4_MNEMONIC  "4800"
#define  ENUMID86_VAL4_HELP  "4800 Baud"
#define  ENUMID86_VAL5_MNEMONIC  "9600"
#define  ENUMID86_VAL5_HELP  "9600 Baud"
#define  ENUMID86_VAL6_MNEMONIC  "19200"
#define  ENUMID86_VAL6_HELP  "19200 Baud"
#define  ENUMID86_VAL7_MNEMONIC  "38400"
#define  ENUMID86_VAL7_HELP  "38400 Baud"
#define  ENUMID87_VAL0_MNEMONIC  "C SE"
#define  ENUMID87_VAL0_HELP  "Commader SE"
#define  ENUMID87_VAL1_MNEMONIC  "OPEn LP"
#define  ENUMID87_VAL1_HELP  "Open-loop"
#define  ENUMID87_VAL2_MNEMONIC  "CL VECt"
#define  ENUMID87_VAL2_HELP  "Closed-loop vector"
#define  ENUMID87_VAL3_MNEMONIC  "SErVO"
#define  ENUMID87_VAL3_HELP  "Closed-loop servo"
#define  ENUMID87_VAL4_MNEMONIC  "REgEn"
#define  ENUMID87_VAL4_HELP  "Regen"
#define  ENUMID87_VAL5_MNEMONIC  "UnUSEd"
#define  ENUMID87_VAL6_MNEMONIC  "UnUSEd"
#define  ENUMID87_VAL7_MNEMONIC  "UnUSEd"
#define  ENUMID88_VAL0_MNEMONIC  "200"
#define  ENUMID88_VAL1_MNEMONIC  "400"
#define  ENUMID88_VAL2_MNEMONIC  "600"
#define  ENUMID88_VAL3_MNEMONIC  "690"
#define  ENUMID89_VAL0_MNEMONIC  "nonE"
#define  ENUMID89_VAL0_HELP  "None"
#define  ENUMID89_VAL1_MNEMONIC  "rEAd"
#define  ENUMID89_VAL1_HELP  "Read"
#define  ENUMID89_VAL2_MNEMONIC  "Prog"
#define  ENUMID89_VAL2_HELP  "Program"
#define  ENUMID89_VAL3_MNEMONIC  "AutO"
#define  ENUMID89_VAL3_HELP  "Auto"
#define  ENUMID89_VAL4_MNEMONIC  "boot"
#define  ENUMID89_VAL4_HELP  "Boot"
#define  ENUMID90_VAL0_MNEMONIC  "nonE"
#define  ENUMID90_VAL0_HELP  "None"
#define  ENUMID90_VAL1_MNEMONIC  "Eur"
#define  ENUMID90_VAL1_HELP  "European 50Hz defaults"
#define  ENUMID90_VAL2_MNEMONIC  "USA"
#define  ENUMID90_VAL2_HELP  "USA 60Hz defaults"
#define  ENUMID90_VAL3_MNEMONIC  "FAIL"
#define  ENUMID90_VAL3_HELP  "Attempted to load defaults when drive active"
#define  ENUMID91_VAL0_MNEMONIC  "L1"
#define  ENUMID91_VAL0_HELP  "Level 1"
#define  ENUMID91_VAL1_MNEMONIC  "L2"
#define  ENUMID91_VAL1_HELP  "Level 2"
#define  ENUMID91_VAL2_MNEMONIC  "Loc"
#define  ENUMID91_VAL2_HELP  "Lock after reset"
#define  ENUMID92_VAL0_MNEMONIC  "5V"
#define  ENUMID92_VAL0_HELP  "5Volts"
#define  ENUMID92_VAL1_MNEMONIC  "8V"
#define  ENUMID92_VAL1_HELP  "8Volts"
#define  ENUMID92_VAL2_MNEMONIC  "15V"
#define  ENUMID92_VAL2_HELP  "15Volts"
#define  ENUMID93_VAL0_MNEMONIC  "100"
#define  ENUMID93_VAL1_MNEMONIC  "200"
#define  ENUMID93_VAL2_MNEMONIC  "300"
#define  ENUMID93_VAL3_MNEMONIC  "400"
#define  ENUMID93_VAL4_MNEMONIC  "500"
#define  ENUMID93_VAL5_MNEMONIC  "1000"
#define  ENUMID93_VAL6_MNEMONIC  "1500"
#define  ENUMID93_VAL7_MNEMONIC  "2000"
#define  ENUMID94_VAL0_MNEMONIC  "Ab"
#define  ENUMID94_VAL0_HELP  "Quadrature incremental"
#define  ENUMID94_VAL1_MNEMONIC  "Fd"
#define  ENUMID94_VAL1_HELP  "Incremental with F/D output"
#define  ENUMID94_VAL2_MNEMONIC  "Fr"
#define  ENUMID94_VAL2_HELP  "Incremental with F/R output"
#define  ENUMID94_VAL3_MNEMONIC  "Ab.Servo"
#define  ENUMID94_VAL3_HELP  "Quadrature incremental with commutation"
#define  ENUMID94_VAL4_MNEMONIC  "Fd.Servo"
#define  ENUMID94_VAL4_HELP  "Incremental with F/D and commutation outputs"
#define  ENUMID94_VAL5_MNEMONIC  "Fr.Servo"
#define  ENUMID94_VAL5_HELP  "Incremental with F/R and commutation outputs"
#define  ENUMID94_VAL6_MNEMONIC  "SC"
#define  ENUMID94_VAL6_HELP  "SinCos"
#define  ENUMID94_VAL7_MNEMONIC  "SC.Hiper"
#define  ENUMID94_VAL7_HELP  "SinCos with HiperFace"
#define  ENUMID94_VAL8_MNEMONIC  "EnDAt"
#define  ENUMID94_VAL8_HELP  "EnDAt"
#define  ENUMID94_VAL9_MNEMONIC  "SC.EnDAt"
#define  ENUMID94_VAL9_HELP  "SinCos with EnDAt"
#define  ENUMID94_VAL10_MNEMONIC  "SSI"
#define  ENUMID94_VAL10_HELP  "SSI"
#define  ENUMID94_VAL11_MNEMONIC  "SC.SSI"
#define  ENUMID94_VAL11_HELP  "SinCos with SSI"
#define  ENUMID95_VAL0_MNEMONIC  "Auto"
#define  ENUMID95_VAL1_MNEMONIC  "2 pole"
#define  ENUMID95_VAL2_MNEMONIC  "4 pole"
#define  ENUMID95_VAL3_MNEMONIC  "6 pole"
#define  ENUMID95_VAL4_MNEMONIC  "8 pole"
#define  ENUMID95_VAL5_MNEMONIC  "10 pole"
#define  ENUMID95_VAL6_MNEMONIC  "12 pole"
#define  ENUMID95_VAL7_MNEMONIC  "14 pole"
#define  ENUMID95_VAL8_MNEMONIC  "16 pole"
#define  ENUMID95_VAL9_MNEMONIC  "18 pole"
#define  ENUMID95_VAL10_MNEMONIC  "20 pole"
#define  ENUMID95_VAL11_MNEMONIC  "22 pole"
#define  ENUMID95_VAL12_MNEMONIC  "24 pole"
#define  ENUMID95_VAL13_MNEMONIC  "26 pole"
#define  ENUMID95_VAL14_MNEMONIC  "28 pole"
#define  ENUMID95_VAL15_MNEMONIC  "30 pole"
#define  ENUMID95_VAL16_MNEMONIC  "32 pole"
#define  ENUMID95_VAL17_MNEMONIC  "34 pole"
#define  ENUMID95_VAL18_MNEMONIC  "36 pole"
#define  ENUMID95_VAL19_MNEMONIC  "38 pole"
#define  ENUMID95_VAL20_MNEMONIC  "40 pole"
#define  ENUMID95_VAL21_MNEMONIC  "42 pole"
#define  ENUMID95_VAL22_MNEMONIC  "44 pole"
#define  ENUMID95_VAL23_MNEMONIC  "46 pole"
#define  ENUMID95_VAL24_MNEMONIC  "48 pole"
#define  ENUMID95_VAL25_MNEMONIC  "50 pole"
#define  ENUMID95_VAL26_MNEMONIC  "52 pole"
#define  ENUMID95_VAL27_MNEMONIC  "54 pole"
#define  ENUMID95_VAL28_MNEMONIC  "56 pole"
#define  ENUMID95_VAL29_MNEMONIC  "58 pole"
#define  ENUMID95_VAL30_MNEMONIC  "60 pole"
#define  ENUMID95_VAL31_MNEMONIC  "62 pole"
#define  ENUMID95_VAL32_MNEMONIC  "64 pole"
#define  ENUMID95_VAL33_MNEMONIC  "66 pole"
#define  ENUMID95_VAL34_MNEMONIC  "68 pole"
#define  ENUMID95_VAL35_MNEMONIC  "70 pole"
#define  ENUMID95_VAL36_MNEMONIC  "72 pole"
#define  ENUMID95_VAL37_MNEMONIC  "74 pole"
#define  ENUMID95_VAL38_MNEMONIC  "76 pole"
#define  ENUMID95_VAL39_MNEMONIC  "78 pole"
#define  ENUMID95_VAL40_MNEMONIC  "80 pole"
#define  ENUMID95_VAL41_MNEMONIC  "82 pole"
#define  ENUMID95_VAL42_MNEMONIC  "84 pole"
#define  ENUMID95_VAL43_MNEMONIC  "86 pole"
#define  ENUMID95_VAL44_MNEMONIC  "88 pole"
#define  ENUMID95_VAL45_MNEMONIC  "90 pole"
#define  ENUMID95_VAL46_MNEMONIC  "92 pole"
#define  ENUMID95_VAL47_MNEMONIC  "94 pole"
#define  ENUMID95_VAL48_MNEMONIC  "96 pole"
#define  ENUMID95_VAL49_MNEMONIC  "98 pole"
#define  ENUMID95_VAL50_MNEMONIC  "100 pole"
#define  ENUMID95_VAL51_MNEMONIC  "102 pole"
#define  ENUMID95_VAL52_MNEMONIC  "104 pole"
#define  ENUMID95_VAL53_MNEMONIC  "106 pole"
#define  ENUMID95_VAL54_MNEMONIC  "108 pole"
#define  ENUMID95_VAL55_MNEMONIC  "110 pole"
#define  ENUMID95_VAL56_MNEMONIC  "112 pole"
#define  ENUMID95_VAL57_MNEMONIC  "114 pole"
#define  ENUMID95_VAL58_MNEMONIC  "116 pole"
#define  ENUMID95_VAL59_MNEMONIC  "118 pole"
#define  ENUMID95_VAL60_MNEMONIC  "120 pole"
#define  ENUMID96_VAL0_MNEMONIC  "ANSI"
#define  ENUMID96_VAL1_MNEMONIC  "rtu"
#define  ENUMID97_VAL0_MNEMONIC  "300"
#define  ENUMID97_VAL0_HELP  "300 Baud"
#define  ENUMID97_VAL1_MNEMONIC  "600"
#define  ENUMID97_VAL1_HELP  "600 Baud"
#define  ENUMID97_VAL2_MNEMONIC  "1200"
#define  ENUMID97_VAL2_HELP  "1200 Baud"
#define  ENUMID97_VAL3_MNEMONIC  "2400"
#define  ENUMID97_VAL3_HELP  "2400 Baud"
#define  ENUMID97_VAL4_MNEMONIC  "4800"
#define  ENUMID97_VAL4_HELP  "4800 Baud"
#define  ENUMID97_VAL5_MNEMONIC  "9600"
#define  ENUMID97_VAL5_HELP  "9600 Baud"
#define  ENUMID97_VAL6_MNEMONIC  "19200"
#define  ENUMID97_VAL6_HELP  "19200 Baud"
#define  ENUMID97_VAL7_MNEMONIC  "38400"
#define  ENUMID97_VAL7_HELP  "38400 Baud"
#define  ENUMID97_VAL8_MNEMONIC  "57600"
#define  ENUMID97_VAL8_HELP  "57600 Baud"
#define  ENUMID97_VAL9_MNEMONIC  "115200"
#define  ENUMID97_VAL9_HELP  "115200 Baud"
#define  ENUMID98_VAL0_MNEMONIC  "200"
#define  ENUMID98_VAL1_MNEMONIC  "400"
#define  ENUMID98_VAL2_MNEMONIC  "575"
#define  ENUMID98_VAL3_MNEMONIC  "690"
#define  ENUMID99_VAL0_MNEMONIC  "FrEE"
#define  ENUMID99_VAL1_MNEMONIC  "3C.SE"
#define  ENUMID99_VAL2_MNEMONIC  "3OPEn.LP"
#define  ENUMID99_VAL3_MNEMONIC  "3CL.VECt"
#define  ENUMID99_VAL4_MNEMONIC  "3SErVO"
#define  ENUMID99_VAL5_MNEMONIC  "3rEgEn"
#define  ENUMID99_VAL6_MNEMONIC  "3UnUSEd"
#define  ENUMID99_VAL7_MNEMONIC  "3UnUSEd"
#define  ENUMID99_VAL8_MNEMONIC  "3UnUSEd"
#define  ENUMID99_VAL9_MNEMONIC  "4C.SE"
#define  ENUMID99_VAL10_MNEMONIC  "4OPEn.LP"
#define  ENUMID99_VAL11_MNEMONIC  "4CL.VECt"
#define  ENUMID99_VAL12_MNEMONIC  "4SERVO"
#define  ENUMID99_VAL13_MNEMONIC  "4REgEn"
#define  ENUMID99_VAL14_MNEMONIC  "4UnUSEd"
#define  ENUMID99_VAL15_MNEMONIC  "4UnUSEd"
#define  ENUMID99_VAL16_MNEMONIC  "4UnUSEd"
#define  ENUMID99_VAL17_MNEMONIC  "LaDDEr"
#define  ENUMID99_VAL18_MNEMONIC  "Option"
#define  ENUMID101_VAL0_MNEMONIC  "Drive"
#define  ENUMID101_VAL1_MNEMONIC  "Slot1"
#define  ENUMID101_VAL2_MNEMONIC  "Slot2"
#define  ENUMID101_VAL3_MNEMONIC  "Slot3"
#define  ENUMID102_VAL0_MNEMONIC  "None"
#define  ENUMID102_VAL1_MNEMONIC  "Stop"
#define  ENUMID102_VAL2_MNEMONIC  "Run"
#define  ENUMID102_VAL3_MNEMONIC  "Trip"
#define  ENUMID103_VAL0_MNEMONIC  "5.000"
#define  ENUMID103_VAL1_MNEMONIC  "2.500"
#define  ENUMID103_VAL2_MNEMONIC  "1.250"
#define  ENUMID103_VAL3_MNEMONIC  "0.625"
#define  ENUMID104_VAL0_MNEMONIC  "SYNC"
#define  ENUMID104_VAL1_MNEMONIC  "Ph"
#define  ENUMID104_VAL2_MNEMONIC  "Fr.Lo"
#define  ENUMID104_VAL3_MNEMONIC  "Fr.Hi"
#define  ENUMID104_VAL4_MNEMONIC  "PLL.ST"
#define  ENUMID104_VAL5_MNEMONIC  "PLL.run"
#define  ENUMID105_VAL0_MNEMONIC  "rESYnC"
#define  ENUMID105_VAL1_MNEMONIC  "del.triP"
#define  ENUMID105_VAL2_MNEMONIC  "triP"
#define  ENUMID106_VAL0_MNEMONIC  "StndHD"
#define  ENUMID106_VAL1_MNEMONIC  "FASt"
#define  ENUMID106_VAL2_MNEMONIC  "Stnd.Ct"
#define  ENUMID107_VAL0_MNEMONIC  "2 pole"
#define  ENUMID107_VAL1_MNEMONIC  "4 pole"
#define  ENUMID107_VAL2_MNEMONIC  "6 pole"
#define  ENUMID107_VAL3_MNEMONIC  "8 pole"
#define  ENUMID107_VAL4_MNEMONIC  "10 pole"
#define  ENUMID107_VAL5_MNEMONIC  "12 pole"
#define  ENUMID107_VAL6_MNEMONIC  "14 pole"
#define  ENUMID107_VAL7_MNEMONIC  "16 pole"
#define  ENUMID107_VAL8_MNEMONIC  "18 pole"
#define  ENUMID107_VAL9_MNEMONIC  "20 pole"
#define  ENUMID107_VAL10_MNEMONIC  "22 pole"
#define  ENUMID107_VAL11_MNEMONIC  "24 pole"
#define  ENUMID107_VAL12_MNEMONIC  "26 pole"
#define  ENUMID107_VAL13_MNEMONIC  "28 pole"
#define  ENUMID107_VAL14_MNEMONIC  "30 pole"
#define  ENUMID107_VAL15_MNEMONIC  "32 pole"
#define  ENUMID108_VAL0_MNEMONIC  "COASt"
#define  ENUMID108_VAL0_HELP  "Coast to stop"
#define  ENUMID108_VAL1_MNEMONIC  "rP"
#define  ENUMID108_VAL1_HELP  "Ramp to stop"
#define  ENUMID108_VAL2_MNEMONIC  "rP.dcI"
#define  ENUMID108_VAL2_HELP  "Ramp followed by DC injection"
#define  ENUMID108_VAL3_MNEMONIC  "dcI"
#define  ENUMID108_VAL3_HELP  "DC injection with zero speed detection"
#define  ENUMID108_VAL4_MNEMONIC  "td.dcI"
#define  ENUMID108_VAL4_HELP  "Timed DC injection stop"
#define  ENUMID108_VAL5_MNEMONIC  "diS"
#define  ENUMID108_VAL5_HELP  "Disabled"
#define  ENUMID109_VAL0_MNEMONIC  "COASt"
#define  ENUMID109_VAL0_HELP  "Cost to stop"
#define  ENUMID109_VAL1_MNEMONIC  "rP"
#define  ENUMID109_VAL1_HELP  "Ramp to stop"
#define  ENUMID109_VAL2_MNEMONIC  "no.rP"
#define  ENUMID109_VAL2_HELP  "No ramp"
#define  ENUMID109_VAL3_MNEMONIC  "rP-POS"
#define  ENUMID109_VAL3_HELP  "Stop and orientate"
#define  ENUMID110_VAL0_MNEMONIC  "diS"
#define  ENUMID110_VAL0_HELP  "Disabled"
#define  ENUMID110_VAL1_MNEMONIC  "ALYS"
#define  ENUMID110_VAL1_HELP  "Always"
#define  ENUMID110_VAL2_MNEMONIC  "Pd.dP"
#define  ENUMID110_VAL2_HELP  "Power down dependant"
#define  ENUMID111_VAL0_MNEMONIC  "diS"
#define  ENUMID111_VAL0_HELP  "Disabled"
#define  ENUMID111_VAL1_MNEMONIC  "StoP"
#define  ENUMID111_VAL1_HELP  "Stop"
#define  ENUMID111_VAL2_MNEMONIC  "ridE.th"
#define  ENUMID111_VAL2_HELP  "Ride-through"
#define  ENUMID112_VAL0_MNEMONIC  "VoLt"
#define  ENUMID112_VAL0_HELP  "Voltage"
#define  ENUMID112_VAL1_MNEMONIC  "0 - 20"
#define  ENUMID112_VAL1_HELP  "0-20mA"
#define  ENUMID112_VAL2_MNEMONIC  "20 - 0"
#define  ENUMID112_VAL2_HELP  "20-0mA"
#define  ENUMID112_VAL3_MNEMONIC  "4-20.tr"
#define  ENUMID112_VAL3_HELP  "4-20mA (trip on loss)"
#define  ENUMID112_VAL4_MNEMONIC  "20-4.tr"
#define  ENUMID112_VAL4_HELP  "20-4mA (trip on loss)"
#define  ENUMID112_VAL5_MNEMONIC  "4-20.Lo"
#define  ENUMID112_VAL5_HELP  "4-20mA (min/low speed on loss)"
#define  ENUMID112_VAL6_MNEMONIC  "20-4.Lo"
#define  ENUMID112_VAL6_HELP  "20-4mA (min/low speed on loss)"
#define  ENUMID112_VAL7_MNEMONIC  "4-20.Pr"
#define  ENUMID112_VAL7_HELP  "4-20mA (previous speed on loss)"
#define  ENUMID112_VAL8_MNEMONIC  "20-4.Pr"
#define  ENUMID112_VAL8_HELP  "20-4mA (previous speed on loss)"
#define  ENUMID113_VAL0_MNEMONIC  "VoLt"
#define  ENUMID113_VAL0_HELP  "Voltage"
#define  ENUMID113_VAL1_MNEMONIC  "0 - 20"
#define  ENUMID113_VAL1_HELP  "0-20mA"
#define  ENUMID113_VAL2_MNEMONIC  "20 - 0"
#define  ENUMID113_VAL2_HELP  "20-0mA"
#define  ENUMID113_VAL3_MNEMONIC  "4-20.tr"
#define  ENUMID113_VAL3_HELP  "4-20mA (trip on loss)"
#define  ENUMID113_VAL4_MNEMONIC  "20-4.tr"
#define  ENUMID113_VAL4_HELP  "20-4mA (trip on loss)"
#define  ENUMID113_VAL5_MNEMONIC  "4-20.Lo"
#define  ENUMID113_VAL5_HELP  "4-20mA (min/low speed on loss)"
#define  ENUMID113_VAL6_MNEMONIC  "20-4.Lo"
#define  ENUMID113_VAL6_HELP  "20-4mA (min/low speed on loss)"
#define  ENUMID113_VAL7_MNEMONIC  "4-20.Pr"
#define  ENUMID113_VAL7_HELP  "4-20mA (previous speed on loss)"
#define  ENUMID113_VAL8_MNEMONIC  "20-4.Pr"
#define  ENUMID113_VAL8_HELP  "20-4mA (previous speed on loss)"
#define  ENUMID113_VAL9_MNEMONIC  "th.SC"
#define  ENUMID113_VAL9_HELP  "Thermistor (trip on short circuit)"
#define  ENUMID113_VAL10_MNEMONIC  "th"
#define  ENUMID113_VAL10_HELP  "Thermistor"
#define  ENUMID114_VAL0_MNEMONIC  "VoLt"
#define  ENUMID114_VAL0_HELP  "Voltage"
#define  ENUMID114_VAL1_MNEMONIC  "0-20"
#define  ENUMID114_VAL1_HELP  "0-20mA"
#define  ENUMID114_VAL2_MNEMONIC  "4-20"
#define  ENUMID114_VAL2_HELP  "4-20mA"
#define  ENUMID115_VAL0_MNEMONIC  "ANSI 2"
#define  ENUMID115_VAL0_HELP  "ANSI (2-wire)"
#define  ENUMID115_VAL1_MNEMONIC  "ANSI 4"
#define  ENUMID115_VAL1_HELP  "ANSI (4-wire)"
#define  ENUMID115_VAL2_MNEMONIC  "OUtPUt"
#define  ENUMID115_VAL2_HELP  "Output mode"
#define  ENUMID115_VAL3_MNEMONIC  "INPUt"
#define  ENUMID115_VAL3_HELP  "Input mode"
#define  ENUMID116_VAL0_MNEMONIC  "4800"
#define  ENUMID116_VAL1_MNEMONIC  "9600"
#define  ENUMID116_VAL2_MNEMONIC  "19200"
#define  ENUMID116_VAL3_MNEMONIC  "2400"
#define  ENUMID117_VAL0_MNEMONIC  "OPEn.LP"
#define  ENUMID117_VAL0_HELP  "Open-loop"
#define  ENUMID117_VAL1_MNEMONIC  "CL.VECt"
#define  ENUMID117_VAL1_HELP  "Closed-loop Vector"
#define  ENUMID117_VAL2_MNEMONIC  "SErVO"
#define  ENUMID117_VAL2_HELP  "Closed-loop Servo"
#define  ENUMID117_VAL3_MNEMONIC  "REGEn"
#define  ENUMID117_VAL3_HELP  "Regen"
#define  ENUMID118_VAL0_MNEMONIC  "Off"
#define  ENUMID118_VAL1_MNEMONIC  "On"
#define  ENUMID119_VAL0_MNEMONIC  "FASt"
#define  ENUMID119_VAL0_HELP  "Fast ramp"
#define  ENUMID119_VAL1_MNEMONIC  "Std"
#define  ENUMID119_VAL1_HELP  "Standard ramp"
#define  ENUMID119_VAL2_MNEMONIC  "Std.HV"
#define  ENUMID119_VAL2_HELP  "Standard ramp with voltage boost"
#define  ENUMID119_VAL3_MNEMONIC  "FSt.HV"
#define  ENUMID119_VAL3_HELP  "Fast ramp with voltage boost"
#define  ENUMID120_VAL0_MNEMONIC  "Drive"
#define  ENUMID120_VAL1_MNEMONIC  "Slot1"
#define  ENUMID120_VAL2_MNEMONIC  "Slot2"
#define  ENUMID120_VAL3_MNEMONIC  "Slot3"
#define  ENUMID120_VAL4_MNEMONIC  "Local"
#define  ENUMID122_VAL0_MNEMONIC  "0"
#define  ENUMID122_VAL1_MNEMONIC  "1"
#define  ENUMID122_VAL2_MNEMONIC  "2"
#define  ENUMID122_VAL3_MNEMONIC  "4"
#define  ENUMID122_VAL4_MNEMONIC  "8"
#define  ENUMID122_VAL5_MNEMONIC  "16"
#define  ENUMID123_VAL0_MNEMONIC  "3"
#define  ENUMID123_VAL1_MNEMONIC  "4.5"
#define  ENUMID123_VAL2_MNEMONIC  "6"
#define  ENUMID123_VAL3_MNEMONIC  "9"
#define  ENUMID123_VAL4_MNEMONIC  "12"
#define  ENUMID124_VAL0_MNEMONIC  "Host"
#define  ENUMID124_VAL0_HELP  "Host mode"
#define  ENUMID124_VAL1_MNEMONIC  "Pos.Only"
#define  ENUMID124_VAL1_HELP  "Position only mode"
#define  ENUMID124_VAL2_MNEMONIC  "S.AlonE"
#define  ENUMID124_VAL2_HELP  "M'Ax mode"
#define  ENUMID124_VAL3_MNEMONIC  "FiEld.bS"
#define  ENUMID124_VAL3_HELP  "Fieldbus mode"
#define  ENUMID125_VAL0_MNEMONIC  "diS"
#define  ENUMID125_VAL0_HELP  "Disable"
#define  ENUMID125_VAL1_MNEMONIC  "rEL"
#define  ENUMID125_VAL1_HELP  "Control brake via relay"
#define  ENUMID125_VAL2_MNEMONIC  "d IO"
#define  ENUMID125_VAL2_HELP  "Control brake via Digital I/O"
#define  ENUMID125_VAL3_MNEMONIC  "USEr"
#define  ENUMID125_VAL3_HELP  "Brake control, user programmable"
#define  ENUMID126_VAL0_MNEMONIC  "diSAblEd"
#define  ENUMID126_VAL0_HELP  "Disabled"
#define  ENUMID126_VAL1_MNEMONIC  "0.25"
#define  ENUMID126_VAL1_HELP  "250us sample time"
#define  ENUMID126_VAL2_MNEMONIC  "0.5"
#define  ENUMID126_VAL2_HELP  "500us sample time"
#define  ENUMID126_VAL3_MNEMONIC  "1"
#define  ENUMID126_VAL3_HELP  "1ms sample time"
#define  ENUMID126_VAL4_MNEMONIC  "2"
#define  ENUMID126_VAL4_HELP  "2ms sample time"
#define  ENUMID126_VAL5_MNEMONIC  "4"
#define  ENUMID126_VAL5_HELP  "4ms sample time"
#define  ENUMID126_VAL6_MNEMONIC  "8"
#define  ENUMID126_VAL6_HELP  "8ms sample time"
#define  ENUMID127_VAL0_MNEMONIC  "Ab"
#define  ENUMID127_VAL0_HELP  "Quadrature"
#define  ENUMID127_VAL1_MNEMONIC  "Fd"
#define  ENUMID127_VAL1_HELP  "Frequency and direction"
#define  ENUMID127_VAL2_MNEMONIC  "SSI.Gray"
#define  ENUMID127_VAL2_HELP  "SSI output in Gray code"
#define  ENUMID127_VAL3_MNEMONIC  "SSI.Bin"
#define  ENUMID127_VAL3_HELP  "SSI output in binary code"
#define  ENUMID128_VAL0_MNEMONIC  "Speed"
#define  ENUMID128_VAL0_HELP  "Speed control mode"
#define  ENUMID128_VAL1_MNEMONIC  "Torque"
#define  ENUMID128_VAL1_HELP  "Torque control"
#define  ENUMID128_VAL2_MNEMONIC  "Speed ovr"
#define  ENUMID128_VAL2_HELP  "Torque control with speed override"
#define  ENUMID128_VAL3_MNEMONIC  "Coiler"
#define  ENUMID128_VAL3_HELP  "Coiler/uncoiler mode"
#define  ENUMID128_VAL4_MNEMONIC  "Feed fwd"
#define  ENUMID128_VAL4_HELP  "Speed control with torque feed-forward"
#define  ENUMID129_VAL0_MNEMONIC  "Ur_S"
#define  ENUMID129_VAL1_MNEMONIC  "Ur_I"
#define  ENUMID129_VAL2_MNEMONIC  "Ur"
#define  ENUMID129_VAL3_MNEMONIC  "Fd"
#define  ENUMID130_VAL0_MNEMONIC  "300"
#define  ENUMID130_VAL1_MNEMONIC  "600"
#define  ENUMID130_VAL2_MNEMONIC  "1200"
#define  ENUMID130_VAL3_MNEMONIC  "2400"
#define  ENUMID130_VAL4_MNEMONIC  "4800"
#define  ENUMID130_VAL5_MNEMONIC  "9600"
#define  ENUMID130_VAL6_MNEMONIC  "19200"
#define  ENUMID130_VAL7_MNEMONIC  "38400"
#define  ENUMID130_VAL8_MNEMONIC  "76800"
#define  ENUMID131_VAL0_MNEMONIC  "0"
#define  ENUMID131_VAL0_HELP  "Select input 1"
#define  ENUMID131_VAL1_MNEMONIC  "1"
#define  ENUMID131_VAL1_HELP  "Select input 2"
#define  ENUMID131_VAL2_MNEMONIC  "2"
#define  ENUMID131_VAL2_HELP  "Add"
#define  ENUMID131_VAL3_MNEMONIC  "3"
#define  ENUMID131_VAL3_HELP  "Subtract"
#define  ENUMID131_VAL4_MNEMONIC  "4"
#define  ENUMID131_VAL4_HELP  "Multiply"
#define  ENUMID131_VAL5_MNEMONIC  "5"
#define  ENUMID131_VAL5_HELP  "Divide"
#define  ENUMID131_VAL6_MNEMONIC  "6"
#define  ENUMID131_VAL6_HELP  "Time constant"
#define  ENUMID131_VAL7_MNEMONIC  "7"
#define  ENUMID131_VAL7_HELP  "Linear ramp"
#define  ENUMID131_VAL8_MNEMONIC  "8"
#define  ENUMID131_VAL8_HELP  "Modulus"
#define  ENUMID131_VAL9_MNEMONIC  "9"
#define  ENUMID131_VAL9_HELP  "Powers"
#define  ENUMID132_VAL0_MNEMONIC  "0"
#define  ENUMID132_VAL0_HELP  "Position controller disabled"
#define  ENUMID132_VAL1_MNEMONIC  "1"
#define  ENUMID132_VAL1_HELP  "Rigid position control feed forward"
#define  ENUMID132_VAL2_MNEMONIC  "2"
#define  ENUMID132_VAL2_HELP  "Rigid position control"
#define  ENUMID132_VAL3_MNEMONIC  "3"
#define  ENUMID132_VAL3_HELP  "Control feed forward"
#define  ENUMID132_VAL4_MNEMONIC  "4"
#define  ENUMID132_VAL4_HELP  "Non-rigid position control"
#define  ENUMID132_VAL5_MNEMONIC  "5"
#define  ENUMID132_VAL5_HELP  "Orientation on stop"
#define  ENUMID132_VAL6_MNEMONIC  "6"
#define  ENUMID132_VAL6_HELP  "Orientation on stop when drv disabled"
#define  ENUMID133_VAL0_MNEMONIC  "COASt"
#define  ENUMID133_VAL0_HELP  "Coast to stop"
#define  ENUMID133_VAL1_MNEMONIC  "rP"
#define  ENUMID133_VAL1_HELP  "Ramp to stop"
#define  ENUMID133_VAL2_MNEMONIC  "no.rP"
#define  ENUMID133_VAL2_HELP  "No ramp"
#define  ENUMID134_VAL0_MNEMONIC  "0"
#define  ENUMID134_VAL0_HELP  "0 ms"
#define  ENUMID134_VAL1_MNEMONIC  "1"
#define  ENUMID134_VAL1_HELP  "1 ms"
#define  ENUMID134_VAL2_MNEMONIC  "2"
#define  ENUMID134_VAL2_HELP  "2 ms"
#define  ENUMID134_VAL3_MNEMONIC  "4"
#define  ENUMID134_VAL3_HELP  "4 ms"
#define  ENUMID134_VAL4_MNEMONIC  "8"
#define  ENUMID134_VAL4_HELP  "8 ms"
#define  ENUMID134_VAL5_MNEMONIC  "16"
#define  ENUMID134_VAL5_HELP  "16 ms"
#define  ENUMID135_VAL0_MNEMONIC  "0"
#define  ENUMID135_VAL0_HELP  "Position feedback"
#define  ENUMID135_VAL1_MNEMONIC  "1"
#define  ENUMID135_VAL1_HELP  "No position feedback"
#define  ENUMID135_VAL2_MNEMONIC  "2"
#define  ENUMID135_VAL2_HELP  "No max speed limit"
#define  ENUMID135_VAL3_MNEMONIC  "3"
#define  ENUMID135_VAL3_HELP  "No feedback and no max speed limit"
#define  ENUMID136_VAL0_MNEMONIC  "0"
#define  ENUMID136_VAL0_HELP  "Disable optimiser"
#define  ENUMID136_VAL1_MNEMONIC  "1"
#define  ENUMID136_VAL1_HELP  "Low gain optimiser"
#define  ENUMID136_VAL2_MNEMONIC  "2"
#define  ENUMID136_VAL2_HELP  "High gain optimiser"
#define  ENUMID137_VAL0_MNEMONIC  "0"
#define  ENUMID137_VAL1_MNEMONIC  "2"
#define  ENUMID137_VAL2_MNEMONIC  "4"
#define  ENUMID137_VAL3_MNEMONIC  "8"
#define  ENUMID137_VAL4_MNEMONIC  "16"
#define  ENUMID137_VAL5_MNEMONIC  "32"
#define  ENUMID137_VAL6_MNEMONIC  "64"
#define  ENUMID137_VAL7_MNEMONIC  "128"
#define  ENUMID137_VAL8_MNEMONIC  "256"
#define  ENUMID137_VAL9_MNEMONIC  "512"
#define  ENUMID137_VAL10_MNEMONIC  "1024"
#define  ENUMID137_VAL11_MNEMONIC  "2048"
#define  ENUMID137_VAL12_MNEMONIC  "4096"
#define  ENUMID137_VAL13_MNEMONIC  "8192"
#define  ENUMID137_VAL14_MNEMONIC  "16384"
#define  ENUMID137_VAL15_MNEMONIC  "32768"
#define  ENUMID138_VAL0_MNEMONIC  "0"
#define  ENUMID138_VAL0_HELP  "Terminal input"
#define  ENUMID138_VAL1_MNEMONIC  "1"
#define  ENUMID138_VAL1_HELP  "Analogue input ref 1"
#define  ENUMID138_VAL2_MNEMONIC  "2"
#define  ENUMID138_VAL2_HELP  "Analogue input ref 2"
#define  ENUMID138_VAL3_MNEMONIC  "3"
#define  ENUMID138_VAL3_HELP  "Preset reference"
#define  ENUMID138_VAL4_MNEMONIC  "4"
#define  ENUMID138_VAL4_HELP  "Keypad reference"
#define  ENUMID138_VAL5_MNEMONIC  "5"
#define  ENUMID138_VAL5_HELP  "Precision reference"
#define  ENUMID139_VAL0_MNEMONIC  "0"
#define  ENUMID139_VAL0_HELP  "3:1"
#define  ENUMID139_VAL1_MNEMONIC  "1"
#define  ENUMID139_VAL1_HELP  "2:1"
#define  ENUMID139_VAL2_MNEMONIC  "2"
#define  ENUMID139_VAL2_HELP  "2:1"
#define  ENUMID140_VAL0_MNEMONIC  "0"
#define  ENUMID140_VAL0_HELP  "2 pole"
#define  ENUMID140_VAL1_MNEMONIC  "1"
#define  ENUMID140_VAL1_HELP  "4 pole"
#define  ENUMID140_VAL2_MNEMONIC  "2"
#define  ENUMID140_VAL2_HELP  "6 pole"
#define  ENUMID140_VAL3_MNEMONIC  "3"
#define  ENUMID140_VAL3_HELP  "8 pole"
#define  ENUMID140_VAL4_MNEMONIC  "4"
#define  ENUMID140_VAL4_HELP  "8 pole"
#define  ENUMID140_VAL5_MNEMONIC  "5"
#define  ENUMID140_VAL5_HELP  "8 pole"
#define  ENUMID140_VAL6_MNEMONIC  "6"
#define  ENUMID140_VAL6_HELP  "8 pole"
#define  ENUMID140_VAL7_MNEMONIC  "7"
#define  ENUMID140_VAL7_HELP  "8 pole"
#define  ENUMID140_VAL8_MNEMONIC  "8"
#define  ENUMID140_VAL8_HELP  "8 pole"
#define  ENUMID140_VAL9_MNEMONIC  "9"
#define  ENUMID140_VAL9_HELP  "8 pole"
#define  ENUMID140_VAL10_MNEMONIC  "10"
#define  ENUMID140_VAL10_HELP  "8 pole"
#define  ENUMID140_VAL11_MNEMONIC  "11"
#define  ENUMID140_VAL11_HELP  "8 pole"
#define  ENUMID140_VAL12_MNEMONIC  "12"
#define  ENUMID140_VAL12_HELP  "8 pole"
#define  ENUMID141_VAL0_MNEMONIC  "no trip"
#define  ENUMID141_VAL0_HELP  "no trip"
#define  ENUMID141_VAL1_MNEMONIC  "UU"
#define  ENUMID141_VAL1_HELP  "DC Link under voltage"
#define  ENUMID141_VAL2_MNEMONIC  "OU"
#define  ENUMID141_VAL2_HELP  "DC Link over voltage"
#define  ENUMID141_VAL3_MNEMONIC  "OI.AC"
#define  ENUMID141_VAL3_HELP  "AC instantaneous over current"
#define  ENUMID141_VAL4_MNEMONIC  "OI.br"
#define  ENUMID141_VAL4_HELP  "Braking resistor instantaneous current trip"
#define  ENUMID141_VAL5_MNEMONIC  "PS"
#define  ENUMID141_VAL5_HELP  "Internal drive power supply trip"
#define  ENUMID141_VAL6_MNEMONIC  "Et"
#define  ENUMID141_VAL6_HELP  "External trip"
#define  ENUMID141_VAL7_MNEMONIC  "O.SPd"
#define  ENUMID141_VAL7_HELP  "Overspeed"
#define  ENUMID141_VAL8_MNEMONIC  "PS.10V"
#define  ENUMID141_VAL8_HELP  "10V user power supply overload"
#define  ENUMID141_VAL9_MNEMONIC  "PS.24V"
#define  ENUMID141_VAL9_HELP  "24V internal power supply overload"
#define  ENUMID141_VAL10_MNEMONIC  "t010"
#define  ENUMID141_VAL10_HELP  "User trip 10 in Applications module"
#define  ENUMID141_VAL11_MNEMONIC  "tunE1"
#define  ENUMID141_VAL11_HELP  "Position f/b did not change during autotune"
#define  ENUMID141_VAL12_MNEMONIC  "tunE2"
#define  ENUMID141_VAL12_HELP  "Position f/b direction incorrect during autotune"
#define  ENUMID141_VAL13_MNEMONIC  "tunE3"
#define  ENUMID141_VAL13_HELP  "Encoder commutation signals incorrect during autotune"
#define  ENUMID141_VAL14_MNEMONIC  "tunE4"
#define  ENUMID141_VAL14_HELP  "Encoder U commutation signal fail during autotune"
#define  ENUMID141_VAL15_MNEMONIC  "tunE5"
#define  ENUMID141_VAL15_HELP  "Encoder V commutation signal fail during autotune"
#define  ENUMID141_VAL16_MNEMONIC  "tunE6"
#define  ENUMID141_VAL16_HELP  "Encoder W commutation signal fail during autotune"
#define  ENUMID141_VAL17_MNEMONIC  "tunE7"
#define  ENUMID141_VAL17_HELP  "Motor no of poles set incorrectly"
#define  ENUMID141_VAL18_MNEMONIC  "tunE"
#define  ENUMID141_VAL18_HELP  "Autotune stopped before completion"
#define  ENUMID141_VAL19_MNEMONIC  "It.br"
#define  ENUMID141_VAL19_HELP  "Braking resistor overload timed out"
#define  ENUMID141_VAL20_MNEMONIC  "It.AC"
#define  ENUMID141_VAL20_HELP  "Output current overload timed out"
#define  ENUMID141_VAL21_MNEMONIC  "O.ht1"
#define  ENUMID141_VAL21_HELP  "Overheat (Drive thermal model protection)"
#define  ENUMID141_VAL22_MNEMONIC  "O.ht2"
#define  ENUMID141_VAL22_HELP  "Overheat (Heat sink thermistor protection)"
#define  ENUMID141_VAL23_MNEMONIC  "O.CtL"
#define  ENUMID141_VAL23_HELP  "Drive control board over temperature"
#define  ENUMID141_VAL24_MNEMONIC  "th"
#define  ENUMID141_VAL24_HELP  "Motor thermistor trip"
#define  ENUMID141_VAL25_MNEMONIC  "thS"
#define  ENUMID141_VAL25_HELP  "Motor thermistor short circuit"
#define  ENUMID141_VAL26_MNEMONIC  "O.Ld1"
#define  ENUMID141_VAL26_HELP  "Overload on digital output: 24V & digital current > 200mA"
#define  ENUMID141_VAL27_MNEMONIC  "O.ht3"
#define  ENUMID141_VAL27_HELP  "Drive overheat based on thermal model"
#define  ENUMID141_VAL28_MNEMONIC  "cL2"
#define  ENUMID141_VAL28_HELP  "Analog input 2 current loss"
#define  ENUMID141_VAL29_MNEMONIC  "cL3"
#define  ENUMID141_VAL29_HELP  "Analog input 3 current loss"
#define  ENUMID141_VAL30_MNEMONIC  "SCL"
#define  ENUMID141_VAL30_HELP  "Serial comms loss to remote keypad"
#define  ENUMID141_VAL31_MNEMONIC  "EEF"
#define  ENUMID141_VAL31_HELP  "EEPROM failure"
#define  ENUMID141_VAL32_MNEMONIC  "Ph"
#define  ENUMID141_VAL32_HELP  "AC voltage input phase loss or large supply imbalance"
#define  ENUMID141_VAL33_MNEMONIC  "RS"
#define  ENUMID141_VAL33_HELP  "Resistance measurement failure"
#define  ENUMID141_VAL34_MNEMONIC  "PAd"
#define  ENUMID141_VAL34_HELP  "Keypad removed during speed ref transfer"
#define  ENUMID141_VAL35_MNEMONIC  "CL.bit"
#define  ENUMID141_VAL35_HELP  "Trip initiated from control word"
#define  ENUMID141_VAL36_MNEMONIC  "SAVE.Er"
#define  ENUMID141_VAL36_HELP  "Power was removed when parameters were being saved"
#define  ENUMID141_VAL37_MNEMONIC  "t037"
#define  ENUMID141_VAL37_HELP  "User trip 37 in Applications module"
#define  ENUMID141_VAL38_MNEMONIC  "t038"
#define  ENUMID141_VAL38_HELP  "User trip 38 in Applications module"
#define  ENUMID141_VAL39_MNEMONIC  "L.SYNC"
#define  ENUMID141_VAL39_HELP  "Regen sinusoidal rectifier sync failure"
#define  ENUMID141_VAL40_MNEMONIC  "t040"
#define  ENUMID141_VAL40_HELP  "User trip 40 in Applications module"
#define  ENUMID141_VAL41_MNEMONIC  "t041"
#define  ENUMID141_VAL41_HELP  "User trip 41 in Applications module"
#define  ENUMID141_VAL42_MNEMONIC  "t042"
#define  ENUMID141_VAL42_HELP  "User trip 42 in Applications module"
#define  ENUMID141_VAL43_MNEMONIC  "t043"
#define  ENUMID141_VAL43_HELP  "User trip 43 in Applications module"
#define  ENUMID141_VAL44_MNEMONIC  "t044"
#define  ENUMID141_VAL44_HELP  "User trip 44 in Applications module"
#define  ENUMID141_VAL45_MNEMONIC  "t045"
#define  ENUMID141_VAL45_HELP  "User trip 45 in Applications module"
#define  ENUMID141_VAL46_MNEMONIC  "t046"
#define  ENUMID141_VAL46_HELP  "User trip 46 in Applications module"
#define  ENUMID141_VAL47_MNEMONIC  "t047"
#define  ENUMID141_VAL47_HELP  "User trip 47 in Applications module"
#define  ENUMID141_VAL48_MNEMONIC  "t048"
#define  ENUMID141_VAL48_HELP  "User trip 48 in Applications module"
#define  ENUMID141_VAL49_MNEMONIC  "t049"
#define  ENUMID141_VAL49_HELP  "User trip 49 in Applications module"
#define  ENUMID141_VAL50_MNEMONIC  "t050"
#define  ENUMID141_VAL50_HELP  "User trip 50 in Applications module"
#define  ENUMID141_VAL51_MNEMONIC  "t051"
#define  ENUMID141_VAL51_HELP  "User trip 51 in Applications module"
#define  ENUMID141_VAL52_MNEMONIC  "t052"
#define  ENUMID141_VAL52_HELP  "User trip 52 in Applications module"
#define  ENUMID141_VAL53_MNEMONIC  "t053"
#define  ENUMID141_VAL53_HELP  "User trip 53 in Applications module"
#define  ENUMID141_VAL54_MNEMONIC  "t054"
#define  ENUMID141_VAL54_HELP  "User trip 54 in Applications module"
#define  ENUMID141_VAL55_MNEMONIC  "t055"
#define  ENUMID141_VAL55_HELP  "User trip 55 in Applications module"
#define  ENUMID141_VAL56_MNEMONIC  "t056"
#define  ENUMID141_VAL56_HELP  "User trip 56 in Applications module"
#define  ENUMID141_VAL57_MNEMONIC  "t057"
#define  ENUMID141_VAL57_HELP  "User trip 57 in Applications module"
#define  ENUMID141_VAL58_MNEMONIC  "t058"
#define  ENUMID141_VAL58_HELP  "User trip 58 in Applications module"
#define  ENUMID141_VAL59_MNEMONIC  "t059"
#define  ENUMID141_VAL59_HELP  "User trip 59 in Applications module"
#define  ENUMID141_VAL60_MNEMONIC  "t060"
#define  ENUMID141_VAL60_HELP  "User trip 60 in Applications module"
#define  ENUMID141_VAL61_MNEMONIC  "t061"
#define  ENUMID141_VAL61_HELP  "User trip 61 in Applications module"
#define  ENUMID141_VAL62_MNEMONIC  "t062"
#define  ENUMID141_VAL62_HELP  "User trip 62 in Applications module"
#define  ENUMID141_VAL63_MNEMONIC  "t063"
#define  ENUMID141_VAL63_HELP  "User trip 63 in Applications module"
#define  ENUMID141_VAL64_MNEMONIC  "t064"
#define  ENUMID141_VAL64_HELP  "User trip 64 in Applications module"
#define  ENUMID141_VAL65_MNEMONIC  "t065"
#define  ENUMID141_VAL65_HELP  "User trip 65 in Applications module"
#define  ENUMID141_VAL66_MNEMONIC  "t066"
#define  ENUMID141_VAL66_HELP  "User trip 66 in Applications module"
#define  ENUMID141_VAL67_MNEMONIC  "t067"
#define  ENUMID141_VAL67_HELP  "User trip 67 in Applications module"
#define  ENUMID141_VAL68_MNEMONIC  "t068"
#define  ENUMID141_VAL68_HELP  "User trip 68 in Applications module"
#define  ENUMID141_VAL69_MNEMONIC  "t069"
#define  ENUMID141_VAL69_HELP  "User trip 69 in Applications module"
#define  ENUMID141_VAL70_MNEMONIC  "t070"
#define  ENUMID141_VAL70_HELP  "User trip 70 in Applications module"
#define  ENUMID141_VAL71_MNEMONIC  "t071"
#define  ENUMID141_VAL71_HELP  "User trip 71 in Applications module"
#define  ENUMID141_VAL72_MNEMONIC  "t072"
#define  ENUMID141_VAL72_HELP  "User trip 72 in Applications module"
#define  ENUMID141_VAL73_MNEMONIC  "t073"
#define  ENUMID141_VAL73_HELP  "User trip 73 in Applications module"
#define  ENUMID141_VAL74_MNEMONIC  "t074"
#define  ENUMID141_VAL74_HELP  "User trip 74 in Applications module"
#define  ENUMID141_VAL75_MNEMONIC  "t075"
#define  ENUMID141_VAL75_HELP  "User trip 75 in Applications module"
#define  ENUMID141_VAL76_MNEMONIC  "t076"
#define  ENUMID141_VAL76_HELP  "User trip 76 in Applications module"
#define  ENUMID141_VAL77_MNEMONIC  "t077"
#define  ENUMID141_VAL77_HELP  "User trip 77 in Applications module"
#define  ENUMID141_VAL78_MNEMONIC  "t078"
#define  ENUMID141_VAL78_HELP  "User trip 78 in Applications module"
#define  ENUMID141_VAL79_MNEMONIC  "t079"
#define  ENUMID141_VAL79_HELP  "User trip 79 in Applications module"
#define  ENUMID141_VAL80_MNEMONIC  "t080"
#define  ENUMID141_VAL80_HELP  "User trip 80 in Applications module"
#define  ENUMID141_VAL81_MNEMONIC  "t082"
#define  ENUMID141_VAL81_HELP  "User trip 81 in Applications module"
#define  ENUMID141_VAL82_MNEMONIC  "t082"
#define  ENUMID141_VAL82_HELP  "User trip 82 in Applications module"
#define  ENUMID141_VAL83_MNEMONIC  "t083"
#define  ENUMID141_VAL83_HELP  "User trip 83 in Applications module"
#define  ENUMID141_VAL84_MNEMONIC  "t084"
#define  ENUMID141_VAL84_HELP  "User trip 84 in Applications module"
#define  ENUMID141_VAL85_MNEMONIC  "t085"
#define  ENUMID141_VAL85_HELP  "User trip 85 in Applications module"
#define  ENUMID141_VAL86_MNEMONIC  "t086"
#define  ENUMID141_VAL86_HELP  "User trip 86 in Applications module"
#define  ENUMID141_VAL87_MNEMONIC  "t087"
#define  ENUMID141_VAL87_HELP  "User trip 87 in Applications module"
#define  ENUMID141_VAL88_MNEMONIC  "t088"
#define  ENUMID141_VAL88_HELP  "User trip 88 in Applications module"
#define  ENUMID141_VAL89_MNEMONIC  "t089"
#define  ENUMID141_VAL89_HELP  "User trip 89 in Applications module"
#define  ENUMID141_VAL90_MNEMONIC  "UP div0"
#define  ENUMID141_VAL90_HELP  "User program: attempted divide by zero"
#define  ENUMID141_VAL91_MNEMONIC  "UP Par"
#define  ENUMID141_VAL91_HELP  "User program: access to non-existent parameter"
#define  ENUMID141_VAL92_MNEMONIC  "UP ro"
#define  ENUMID141_VAL92_HELP  "User program: write to read-only parameter"
#define  ENUMID141_VAL93_MNEMONIC  "UP So"
#define  ENUMID141_VAL93_HELP  "User program: read to write-only parameter"
#define  ENUMID141_VAL94_MNEMONIC  "UP ovr"
#define  ENUMID141_VAL94_HELP  "User program: out-of-range parameter write"
#define  ENUMID141_VAL95_MNEMONIC  "UP OFL"
#define  ENUMID141_VAL95_HELP  "User program: stack overflow"
#define  ENUMID141_VAL96_MNEMONIC  "UP uSEr"
#define  ENUMID141_VAL96_HELP  "User program: program requested trip"
#define  ENUMID141_VAL97_MNEMONIC  "UP udf"
#define  ENUMID141_VAL97_HELP  "User program: undefined trip"
#define  ENUMID141_VAL98_MNEMONIC  "UP ACC"
#define  ENUMID141_VAL98_HELP  "User program: cannot access program file"
#define  ENUMID141_VAL99_MNEMONIC  "t099"
#define  ENUMID141_VAL99_HELP  "User trip 99 in Applications module"
#define  ENUMID141_VAL100_MNEMONIC  "t100"
#define  ENUMID141_VAL100_HELP  "User trip 100 in Applications module"
#define  ENUMID141_VAL101_MNEMONIC  "OISn.P"
#define  ENUMID141_VAL101_HELP  "Power module rectifier snubber  over current"
#define  ENUMID141_VAL102_MNEMONIC  "Oht4.P"
#define  ENUMID141_VAL102_HELP  "Power module rectifier over temperature"
#define  ENUMID141_VAL103_MNEMONIC  "Oibr.P"
#define  ENUMID141_VAL103_HELP  "Power module braking IGBT over current"
#define  ENUMID141_VAL104_MNEMONIC  "OIAC.P"
#define  ENUMID141_VAL104_HELP  "Power module over current"
#define  ENUMID141_VAL105_MNEMONIC  "Oht2.P"
#define  ENUMID141_VAL105_HELP  "Power module heatsink over temperature"
#define  ENUMID141_VAL106_MNEMONIC  "OV.P"
#define  ENUMID141_VAL106_HELP  "Power module over voltage"
#define  ENUMID141_VAL107_MNEMONIC  "PH.P"
#define  ENUMID141_VAL107_HELP  "Power module rectifier phase loss detection"
#define  ENUMID141_VAL108_MNEMONIC  "PS.P"
#define  ENUMID141_VAL108_HELP  "Power module power supply fail"
#define  ENUMID141_VAL109_MNEMONIC  "Unid.P"
#define  ENUMID141_VAL109_HELP  "Power module unidentified trip"
#define  ENUMID141_VAL110_MNEMONIC  "t110"
#define  ENUMID141_VAL110_HELP  "User trip 110 in Applications module"
#define  ENUMID141_VAL111_MNEMONIC  "t111"
#define  ENUMID141_VAL111_HELP  "User trip 111 in Applications module"
#define  ENUMID141_VAL112_MNEMONIC  "t112"
#define  ENUMID141_VAL112_HELP  "User trip 112 in Applications module"
#define  ENUMID141_VAL113_MNEMONIC  "t113"
#define  ENUMID141_VAL113_HELP  "User trip 113 in Applications module"
#define  ENUMID141_VAL114_MNEMONIC  "t114"
#define  ENUMID141_VAL114_HELP  "User trip 114 in Applications module"
#define  ENUMID141_VAL115_MNEMONIC  "t115"
#define  ENUMID141_VAL115_HELP  "User trip 115 in Applications module"
#define  ENUMID141_VAL116_MNEMONIC  "t116"
#define  ENUMID141_VAL116_HELP  "User trip 116 in Applications module"
#define  ENUMID141_VAL117_MNEMONIC  "t117"
#define  ENUMID141_VAL117_HELP  "User trip 117 in Applications module"
#define  ENUMID141_VAL118_MNEMONIC  "t118"
#define  ENUMID141_VAL118_HELP  "User trip 118 in Applications module"
#define  ENUMID141_VAL119_MNEMONIC  "t119"
#define  ENUMID141_VAL119_HELP  "User trip 119 in Applications module"
#define  ENUMID141_VAL120_MNEMONIC  "t120"
#define  ENUMID141_VAL120_HELP  "User trip 120 in Applications module"
#define  ENUMID141_VAL121_MNEMONIC  "t121"
#define  ENUMID141_VAL121_HELP  "User trip 121 in Applications module"
#define  ENUMID141_VAL122_MNEMONIC  "t122"
#define  ENUMID141_VAL122_HELP  "User trip 122 in Applications module"
#define  ENUMID141_VAL123_MNEMONIC  "t123"
#define  ENUMID141_VAL123_HELP  "User trip 123 in Applications module"
#define  ENUMID141_VAL124_MNEMONIC  "t124"
#define  ENUMID141_VAL124_HELP  "User trip 124 in Applications module"
#define  ENUMID141_VAL125_MNEMONIC  "t125"
#define  ENUMID141_VAL125_HELP  "User trip 125 in Applications module"
#define  ENUMID141_VAL126_MNEMONIC  "t126"
#define  ENUMID141_VAL126_HELP  "User trip 126 in Applications module"
#define  ENUMID141_VAL127_MNEMONIC  "t127"
#define  ENUMID141_VAL127_HELP  "User trip 127 in Applications module"
#define  ENUMID141_VAL128_MNEMONIC  "t128"
#define  ENUMID141_VAL128_HELP  "User trip 128 in Applications module"
#define  ENUMID141_VAL129_MNEMONIC  "t129"
#define  ENUMID141_VAL129_HELP  "User trip 129 in Applications module"
#define  ENUMID141_VAL130_MNEMONIC  "t130"
#define  ENUMID141_VAL130_HELP  "User trip 130 in Applications module"
#define  ENUMID141_VAL131_MNEMONIC  "t131"
#define  ENUMID141_VAL131_HELP  "User trip 131 in Applications module"
#define  ENUMID141_VAL132_MNEMONIC  "t132"
#define  ENUMID141_VAL132_HELP  "User trip 132 in Applications module"
#define  ENUMID141_VAL133_MNEMONIC  "t133"
#define  ENUMID141_VAL133_HELP  "User trip 133 in Applications module"
#define  ENUMID141_VAL134_MNEMONIC  "t134"
#define  ENUMID141_VAL134_HELP  "User trip 134 in Applications module"
#define  ENUMID141_VAL135_MNEMONIC  "t135"
#define  ENUMID141_VAL135_HELP  "User trip 135 in Applications module"
#define  ENUMID141_VAL136_MNEMONIC  "t136"
#define  ENUMID141_VAL136_HELP  "User trip 136in Applications module"
#define  ENUMID141_VAL137_MNEMONIC  "t137"
#define  ENUMID141_VAL137_HELP  "User trip 137 in Applications module"
#define  ENUMID141_VAL138_MNEMONIC  "t138"
#define  ENUMID141_VAL138_HELP  "User trip 138 in Applications module"
#define  ENUMID141_VAL139_MNEMONIC  "t139"
#define  ENUMID141_VAL139_HELP  "User trip 139 in Applications module"
#define  ENUMID141_VAL140_MNEMONIC  "t140"
#define  ENUMID141_VAL140_HELP  "User trip 140 in Applications module"
#define  ENUMID141_VAL141_MNEMONIC  "t141"
#define  ENUMID141_VAL141_HELP  "User trip 141 in Applications module"
#define  ENUMID141_VAL142_MNEMONIC  "t142"
#define  ENUMID141_VAL142_HELP  "User trip 142 in Applications module"
#define  ENUMID141_VAL143_MNEMONIC  "t143"
#define  ENUMID141_VAL143_HELP  "User trip 143 in Applications module"
#define  ENUMID141_VAL144_MNEMONIC  "t144"
#define  ENUMID141_VAL144_HELP  "User trip 144 in Applications module"
#define  ENUMID141_VAL145_MNEMONIC  "t145"
#define  ENUMID141_VAL145_HELP  "User trip 145 in Applications module"
#define  ENUMID141_VAL146_MNEMONIC  "t146"
#define  ENUMID141_VAL146_HELP  "User trip 146 in Applications module"
#define  ENUMID141_VAL147_MNEMONIC  "t147"
#define  ENUMID141_VAL147_HELP  "User trip 147 in Applications module"
#define  ENUMID141_VAL148_MNEMONIC  "t148"
#define  ENUMID141_VAL148_HELP  "User trip 148 in Applications module"
#define  ENUMID141_VAL149_MNEMONIC  "t149"
#define  ENUMID141_VAL149_HELP  "User trip 149 in Applications module"
#define  ENUMID141_VAL150_MNEMONIC  "t150"
#define  ENUMID141_VAL150_HELP  "User trip 150 in Applications module"
#define  ENUMID141_VAL151_MNEMONIC  "t151"
#define  ENUMID141_VAL151_HELP  "User trip 151 in Applications module"
#define  ENUMID141_VAL152_MNEMONIC  "t152"
#define  ENUMID141_VAL152_HELP  "User trip 152 in Applications module"
#define  ENUMID141_VAL153_MNEMONIC  "t153"
#define  ENUMID141_VAL153_HELP  "User trip 153 in Applications module"
#define  ENUMID141_VAL154_MNEMONIC  "t154"
#define  ENUMID141_VAL154_HELP  "User trip 154 in Applications module"
#define  ENUMID141_VAL155_MNEMONIC  "t155"
#define  ENUMID141_VAL155_HELP  "User trip 155 in Applications module"
#define  ENUMID141_VAL156_MNEMONIC  "t156"
#define  ENUMID141_VAL156_HELP  "User trip 156 in Applications module"
#define  ENUMID141_VAL157_MNEMONIC  "t157"
#define  ENUMID141_VAL157_HELP  "User trip 157 in Applications module"
#define  ENUMID141_VAL158_MNEMONIC  "t158"
#define  ENUMID141_VAL158_HELP  "User trip 158 in Applications module"
#define  ENUMID141_VAL159_MNEMONIC  "t159"
#define  ENUMID141_VAL159_HELP  "User trip 159 in Applications module"
#define  ENUMID141_VAL160_MNEMONIC  "t160"
#define  ENUMID141_VAL160_HELP  "User trip 160 in Applications module"
#define  ENUMID141_VAL161_MNEMONIC  "Enc11"
#define  ENUMID141_VAL161_HELP  "Drive encoder trip: alignment failure"
#define  ENUMID141_VAL162_MNEMONIC  "Enc12"
#define  ENUMID141_VAL162_HELP  "Drive encoder trip: unidentified type"
#define  ENUMID141_VAL163_MNEMONIC  "Enc13"
#define  ENUMID141_VAL163_HELP  "Drive encoder trip: encoder turns not power of 2"
#define  ENUMID141_VAL164_MNEMONIC  "Enc14"
#define  ENUMID141_VAL164_HELP  "Drive encoder trip: defining bits too large"
#define  ENUMID141_VAL165_MNEMONIC  "Enc15"
#define  ENUMID141_VAL165_HELP  "Drive encoder trip: incorrect periods of rotation"
#define  ENUMID141_VAL166_MNEMONIC  "Enc16"
#define  ENUMID141_VAL166_HELP  "Drive encoder trip: EnDat linear encoder number of comms bits per period exceeds 255"
#define  ENUMID141_VAL167_MNEMONIC  "Enc17"
#define  ENUMID141_VAL167_HELP  "Drive encoder trip: Auto configure of rotary sincos encoder obtained non power of 2 period per rev"
#define  ENUMID141_VAL168_MNEMONIC  "t168"
#define  ENUMID141_VAL168_HELP  "User trip 168 in Applications module"
#define  ENUMID141_VAL169_MNEMONIC  "t169"
#define  ENUMID141_VAL169_HELP  "User trip 169 in Applications module"
#define  ENUMID141_VAL170_MNEMONIC  "t170"
#define  ENUMID141_VAL170_HELP  "User trip 170 in Applications module"
#define  ENUMID141_VAL171_MNEMONIC  "t171"
#define  ENUMID141_VAL171_HELP  "User trip 171 in Applications module"
#define  ENUMID141_VAL172_MNEMONIC  "t172"
#define  ENUMID141_VAL172_HELP  "User trip 172 in Applications module"
#define  ENUMID141_VAL173_MNEMONIC  "t173"
#define  ENUMID141_VAL173_HELP  "User trip 173 in Applications module"
#define  ENUMID141_VAL174_MNEMONIC  "t174"
#define  ENUMID141_VAL174_HELP  "User trip 174 in Applications module"
#define  ENUMID141_VAL175_MNEMONIC  "t175"
#define  ENUMID141_VAL175_HELP  "User trip 175 in Applications module"
#define  ENUMID141_VAL176_MNEMONIC  "ENP.Er"
#define  ENUMID141_VAL176_HELP  "Data error from electronic nameplate in f/b device"
#define  ENUMID141_VAL177_MNEMONIC  "C.boot"
#define  ENUMID141_VAL177_HELP  "Smartcard trip - missing boot file"
#define  ENUMID141_VAL178_MNEMONIC  "C.busy"
#define  ENUMID141_VAL178_HELP  "Smartcard trip - card is busy: option module has access"
#define  ENUMID141_VAL179_MNEMONIC  "C.Chg"
#define  ENUMID141_VAL179_HELP  "Smartcard trip - location already has data"
#define  ENUMID141_VAL180_MNEMONIC  "C.Optn"
#define  ENUMID141_VAL180_HELP  "Smartcard trip - source & destination drive modules different"
#define  ENUMID141_VAL181_MNEMONIC  "C.Rdo"
#define  ENUMID141_VAL181_HELP  "Smartcard trip - read-only bit set"
#define  ENUMID141_VAL182_MNEMONIC  "C.Err"
#define  ENUMID141_VAL182_HELP  "Smartcard trip - data corrupted"
#define  ENUMID141_VAL183_MNEMONIC  "C.dat"
#define  ENUMID141_VAL183_HELP  "Smartcard trip - location already has data"
#define  ENUMID141_VAL184_MNEMONIC  "C.FULL"
#define  ENUMID141_VAL184_HELP  "Smartcard trip - smartcard full"
#define  ENUMID141_VAL185_MNEMONIC  "C.Acc"
#define  ENUMID141_VAL185_HELP  "Smartcard trip - read/write fail"
#define  ENUMID141_VAL186_MNEMONIC  "C.rtg"
#define  ENUMID141_VAL186_HELP  "Smartcard trip - attempting to change dest drive ratings"
#define  ENUMID141_VAL187_MNEMONIC  "C.Typ"
#define  ENUMID141_VAL187_HELP  "Smartcard trip - parameter set not compatible with drive"
#define  ENUMID141_VAL188_MNEMONIC  "C.cpr"
#define  ENUMID141_VAL188_HELP  "Smartcard trip - values stored in drive & smartcard are different"
#define  ENUMID141_VAL189_MNEMONIC  "Enc1"
#define  ENUMID141_VAL189_HELP  "Drive encoder trip: power supply overload"
#define  ENUMID141_VAL190_MNEMONIC  "Enc2"
#define  ENUMID141_VAL190_HELP  "Drive encoder trip: wire break"
#define  ENUMID141_VAL191_MNEMONIC  "Enc3"
#define  ENUMID141_VAL191_HELP  "Drive encoder trip: UVW phase offset incorrect"
#define  ENUMID141_VAL192_MNEMONIC  "Enc4"
#define  ENUMID141_VAL192_HELP  "Drive encoder trip: feedback device comms failure"
#define  ENUMID141_VAL193_MNEMONIC  "Enc5"
#define  ENUMID141_VAL193_HELP  "Drive encoder trip: checksum or CRC error"
#define  ENUMID141_VAL194_MNEMONIC  "Enc6"
#define  ENUMID141_VAL194_HELP  "Drive encoder trip: encoder has indicated an error"
#define  ENUMID141_VAL195_MNEMONIC  "Enc7"
#define  ENUMID141_VAL195_HELP  "Drive encoder trip: initialization failed"
#define  ENUMID141_VAL196_MNEMONIC  "Enc8"
#define  ENUMID141_VAL196_HELP  "Drive encoder trip: auto config on power up failed"
#define  ENUMID141_VAL197_MNEMONIC  "Enc9"
#define  ENUMID141_VAL197_HELP  "Drive encoder trip: missing speed / feedback module"
#define  ENUMID141_VAL198_MNEMONIC  "Enc10"
#define  ENUMID141_VAL198_HELP  "Drive encoder trip: servo mode phasing failure"
#define  ENUMID141_VAL199_MNEMONIC  "dESt"
#define  ENUMID141_VAL199_HELP  "Two or more params writing to same destination param"
#define  ENUMID141_VAL200_MNEMONIC  "SL1.HF"
#define  ENUMID141_VAL200_HELP  "Solutions module slot 1: hardware fault"
#define  ENUMID141_VAL201_MNEMONIC  "SL1.tO"
#define  ENUMID141_VAL201_HELP  "Solutions module slot 1: watchdog timeout"
#define  ENUMID141_VAL202_MNEMONIC  "SL1.Er"
#define  ENUMID141_VAL202_HELP  "Solutions module slot 1: error detected"
#define  ENUMID141_VAL203_MNEMONIC  "SL1.nF"
#define  ENUMID141_VAL203_HELP  "Solutions module slot 1: module removed"
#define  ENUMID141_VAL204_MNEMONIC  "SL1.dF"
#define  ENUMID141_VAL204_HELP  "Solutions module slot 1: module changed"
#define  ENUMID141_VAL205_MNEMONIC  "SL2.HF"
#define  ENUMID141_VAL205_HELP  "Solutions module slot 2: hardware fault"
#define  ENUMID141_VAL206_MNEMONIC  "SL2.tO"
#define  ENUMID141_VAL206_HELP  "Solutions module slot 2: watchdog timeout"
#define  ENUMID141_VAL207_MNEMONIC  "SL2.Er"
#define  ENUMID141_VAL207_HELP  "Solutions module slot 2: error detected"
#define  ENUMID141_VAL208_MNEMONIC  "SL2.nF"
#define  ENUMID141_VAL208_HELP  "Solutions module slot 2: module removed"
#define  ENUMID141_VAL209_MNEMONIC  "SL2.dF"
#define  ENUMID141_VAL209_HELP  "Solutions module slot 2: module changed"
#define  ENUMID141_VAL210_MNEMONIC  "SL3.HF"
#define  ENUMID141_VAL210_HELP  "Solutions module slot 3: hardware fault"
#define  ENUMID141_VAL211_MNEMONIC  "SL3.tO"
#define  ENUMID141_VAL211_HELP  "Solutions module slot 3: watchdog timeout"
#define  ENUMID141_VAL212_MNEMONIC  "SL3.Er"
#define  ENUMID141_VAL212_HELP  "Solutions module slot 3: error detected"
#define  ENUMID141_VAL213_MNEMONIC  "SL3.nF"
#define  ENUMID141_VAL213_HELP  "Solutions module slot 3: module removed"
#define  ENUMID141_VAL214_MNEMONIC  "SL3.dF"
#define  ENUMID141_VAL214_HELP  "Solutions module slot 3: module changed"
#define  ENUMID141_VAL215_MNEMONIC  "SL.rtd"
#define  ENUMID141_VAL215_HELP  "Solutions module trip: mode changed"
#define  ENUMID141_VAL216_MNEMONIC  "t216"
#define  ENUMID141_VAL216_HELP  "User trip 216 in Applications module"
#define  ENUMID141_VAL217_MNEMONIC  "t217"
#define  ENUMID141_VAL217_HELP  "User trip 217 in Applications module"
#define  ENUMID141_VAL218_MNEMONIC  "HF18"
#define  ENUMID141_VAL218_HELP  "Hardware fault 18: not used"
#define  ENUMID141_VAL219_MNEMONIC  "HF19"
#define  ENUMID141_VAL219_HELP  "Hardware fault 19: not used"
#define  ENUMID141_VAL220_MNEMONIC  "HF20"
#define  ENUMID141_VAL220_HELP  "Power stage recognition: serial code error"
#define  ENUMID141_VAL221_MNEMONIC  "HF21"
#define  ENUMID141_VAL221_HELP  "Power stage recognition: unrecognized frame size"
#define  ENUMID141_VAL222_MNEMONIC  "HF22"
#define  ENUMID141_VAL222_HELP  "Power stage recognition: multi-module frame size mismatch"
#define  ENUMID141_VAL223_MNEMONIC  "HF23"
#define  ENUMID141_VAL223_HELP  "Power stage recognition: multi-module voltage rating mismatch"
#define  ENUMID141_VAL224_MNEMONIC  "HF24"
#define  ENUMID141_VAL224_HELP  "Power stage recognition: unrecognized drive size"
#define  ENUMID141_VAL225_MNEMONIC  "HF25"
#define  ENUMID141_VAL225_HELP  "Current feedback offset error"
#define  ENUMID141_VAL226_MNEMONIC  "HF26"
#define  ENUMID141_VAL226_HELP  "Soft start relay failed to close"
#define  ENUMID141_VAL227_MNEMONIC  "HF27"
#define  ENUMID141_VAL227_HELP  "Power stage thermistor 1 fault"
#define  ENUMID141_VAL228_MNEMONIC  "HF28"
#define  ENUMID141_VAL228_HELP  "Power stage thermistor 2 fault"
#define  ENUMID141_VAL229_MNEMONIC  "HF29"
#define  ENUMID141_VAL229_HELP  "Control board thermistor fault"
#define  ENUMID141_VAL230_MNEMONIC  "HF30"
#define  ENUMID141_VAL230_HELP  "DCCT wired break trip from power module"
#define  ENUMID141_VAL231_MNEMONIC  "HF31"
#define  ENUMID141_VAL231_HELP  "Aux fan failure from power module"
#define  ENUMID141_VAL232_MNEMONIC  "HF32"
#define  ENUMID141_VAL232_HELP  "Hardware fault 32: not used"
#define  ENUMID142_VAL0_MNEMONIC  "Ab"
#define  ENUMID142_VAL0_HELP  "Quadrature"
#define  ENUMID142_VAL1_MNEMONIC  "Fd"
#define  ENUMID142_VAL1_HELP  "Frequency and direction"
#define  ENUMID142_VAL2_MNEMONIC  "SSI.Gray"
#define  ENUMID142_VAL2_HELP  "SSI output in Gray code"
#define  ENUMID142_VAL3_MNEMONIC  "SSI.Bin"
#define  ENUMID142_VAL3_HELP  "SSI output in binary code"
#define  ENUMID142_VAL4_MNEMONIC  "AB.L"
#define  ENUMID142_VAL4_HELP  "Quadrature with marker LOCK"
#define  ENUMID142_VAL5_MNEMONIC  "FD.L"
#define  ENUMID142_VAL5_HELP  "Frequency and direction with marker LOCK"
#define  ENUMID142_VAL6_MNEMONIC  "H.drv"
#define  ENUMID142_VAL6_HELP  "Drive ABZ input signals routed through hardware"
#define  ENUMID142_VAL7_MNEMONIC  "H.int"
#define  ENUMID142_VAL7_HELP  "Solutions Module ABZ input signals routed through hardware"
#define  ENUMID143_VAL0_MNEMONIC  "ANSI"
#define  ENUMID143_VAL1_MNEMONIC  "rtu"
#define  ENUMID143_VAL2_MNEMONIC  "Lcd"
#define  ENUMID144_VAL0_MNEMONIC  "nonE"
#define  ENUMID144_VAL1_MNEMONIC  "Ph Enl"
#define  ENUMID144_VAL2_MNEMONIC  "Ph Init"
#define  ENUMID145_VAL0_MNEMONIC  "0"
#define  ENUMID145_VAL0_HELP  "Select input 1"
#define  ENUMID145_VAL1_MNEMONIC  "1"
#define  ENUMID145_VAL1_HELP  "Select input 2"
#define  ENUMID145_VAL2_MNEMONIC  "2"
#define  ENUMID145_VAL2_HELP  "Add"
#define  ENUMID145_VAL3_MNEMONIC  "3"
#define  ENUMID145_VAL3_HELP  "Subtract"
#define  ENUMID145_VAL4_MNEMONIC  "4"
#define  ENUMID145_VAL4_HELP  "Multiply"
#define  ENUMID145_VAL5_MNEMONIC  "5"
#define  ENUMID145_VAL5_HELP  "Divide"
#define  ENUMID145_VAL6_MNEMONIC  "6"
#define  ENUMID145_VAL6_HELP  "Time constant"
#define  ENUMID145_VAL7_MNEMONIC  "7"
#define  ENUMID145_VAL7_HELP  "Linear ramp"
#define  ENUMID145_VAL8_MNEMONIC  "8"
#define  ENUMID145_VAL8_HELP  "Modulus"
#define  ENUMID145_VAL9_MNEMONIC  "9"
#define  ENUMID145_VAL9_HELP  "Powers"
#define  ENUMID145_VAL10_MNEMONIC  "10"
#define  ENUMID145_VAL10_HELP  "Sectional control"
#define  ENUMID146_VAL0_MNEMONIC  "VoLt"
#define  ENUMID146_VAL0_HELP  "Analogue input 0 - 10V"
#define  ENUMID146_VAL1_MNEMONIC  "dig"
#define  ENUMID146_VAL1_HELP  "Digital input 24V"
#define  ENUMID147_VAL0_MNEMONIC  "3"
#define  ENUMID147_VAL0_HELP  "3kHz"
#define  ENUMID147_VAL1_MNEMONIC  "6"
#define  ENUMID147_VAL1_HELP  "6kHz"
#define  ENUMID147_VAL2_MNEMONIC  "12"
#define  ENUMID147_VAL2_HELP  "12kHz"
#define  ENUMID147_VAL3_MNEMONIC  "18"
#define  ENUMID147_VAL3_HELP  "18kHz"
#define  ENUMID148_VAL0_MNEMONIC  "Fr"
#define  ENUMID148_VAL0_HELP  "Frequency output"
#define  ENUMID148_VAL1_MNEMONIC  "Ld"
#define  ENUMID148_VAL1_HELP  "Load output"
#define  ENUMID148_VAL2_MNEMONIC  "A"
#define  ENUMID148_VAL2_HELP  "Output current"
#define  ENUMID148_VAL3_MNEMONIC  "Por"
#define  ENUMID148_VAL3_HELP  "Power"
#define  ENUMID148_VAL4_MNEMONIC  "USEr"
#define  ENUMID148_VAL4_HELP  "Allow 7.19 to be setup by user"
#define  ENUMID149_VAL0_MNEMONIC  "no"
#define  ENUMID149_VAL0_HELP  "No Action"
#define  ENUMID149_VAL1_MNEMONIC  "rEAd"
#define  ENUMID149_VAL1_HELP  "Read parameters"
#define  ENUMID149_VAL2_MNEMONIC  "Prog"
#define  ENUMID149_VAL2_HELP  "Write parameters"
#define  ENUMID149_VAL3_MNEMONIC  "boot"
#define  ENUMID149_VAL3_HELP  "Set card as master"
#define  ENUMID150_VAL0_MNEMONIC  "no"
#define  ENUMID150_VAL1_MNEMONIC  "Eur"
#define  ENUMID150_VAL1_HELP  "Eurpoean"
#define  ENUMID150_VAL2_MNEMONIC  "USA"
#define  ENUMID151_VAL0_MNEMONIC  "L1"
#define  ENUMID151_VAL0_HELP  "Level 1"
#define  ENUMID151_VAL1_MNEMONIC  "L2"
#define  ENUMID151_VAL1_HELP  "Level 2"
#define  ENUMID151_VAL2_MNEMONIC  "L3"
#define  ENUMID151_VAL2_HELP  "Level 3"
#define  ENUMID151_VAL3_MNEMONIC  "Loc"
#define  ENUMID151_VAL3_HELP  "Lock after reset"
#define  ENUMID152_VAL0_MNEMONIC  "2.4"
#define  ENUMID152_VAL0_HELP  "2400"
#define  ENUMID152_VAL1_MNEMONIC  "4.8"
#define  ENUMID152_VAL1_HELP  "4800"
#define  ENUMID152_VAL2_MNEMONIC  "9.6"
#define  ENUMID152_VAL2_HELP  "9600"
#define  ENUMID152_VAL3_MNEMONIC  "19.2"
#define  ENUMID152_VAL3_HELP  "19200"
#define  ENUMID152_VAL4_MNEMONIC  "38.4"
#define  ENUMID152_VAL4_HELP  "38400"
#define  ENUMID153_VAL0_MNEMONIC  "no trip"
#define  ENUMID153_VAL0_HELP  "no trip"
#define  ENUMID153_VAL1_MNEMONIC  "UU"
#define  ENUMID153_VAL1_HELP  "DC Link under voltage"
#define  ENUMID153_VAL2_MNEMONIC  "OU"
#define  ENUMID153_VAL2_HELP  "DC Link over voltage"
#define  ENUMID153_VAL3_MNEMONIC  "OI.AC"
#define  ENUMID153_VAL3_HELP  "AC instantaneous over current"
#define  ENUMID153_VAL4_MNEMONIC  "OI.br"
#define  ENUMID153_VAL4_HELP  "Braking resistor instantaneous current trip"
#define  ENUMID153_VAL5_MNEMONIC  "PS"
#define  ENUMID153_VAL5_HELP  "Internal drive power supply trip"
#define  ENUMID153_VAL6_MNEMONIC  "Et"
#define  ENUMID153_VAL6_HELP  "External trip"
#define  ENUMID153_VAL7_MNEMONIC  "O.SPd"
#define  ENUMID153_VAL7_HELP  "Overspeed"
#define  ENUMID153_VAL8_MNEMONIC  "PS.10V"
#define  ENUMID153_VAL8_HELP  "10V user power supply overload"
#define  ENUMID153_VAL9_MNEMONIC  "PS.24V"
#define  ENUMID153_VAL9_HELP  "24V internal power supply overload"
#define  ENUMID153_VAL10_MNEMONIC  "t010"
#define  ENUMID153_VAL10_HELP  "User trip 10 in Applications module"
#define  ENUMID153_VAL11_MNEMONIC  "tunE1"
#define  ENUMID153_VAL11_HELP  "Position f/b did not change during autotune"
#define  ENUMID153_VAL12_MNEMONIC  "tunE2"
#define  ENUMID153_VAL12_HELP  "Position f/b direction incorrect during autotune"
#define  ENUMID153_VAL13_MNEMONIC  "tunE3"
#define  ENUMID153_VAL13_HELP  "Encoder commutation signals incorrect during autotune"
#define  ENUMID153_VAL14_MNEMONIC  "tunE4"
#define  ENUMID153_VAL14_HELP  "Encoder U commutation signal fail during autotune"
#define  ENUMID153_VAL15_MNEMONIC  "tunE5"
#define  ENUMID153_VAL15_HELP  "Encoder V commutation signal fail during autotune"
#define  ENUMID153_VAL16_MNEMONIC  "tunE6"
#define  ENUMID153_VAL16_HELP  "Encoder W commutation signal fail during autotune"
#define  ENUMID153_VAL17_MNEMONIC  "tunE7"
#define  ENUMID153_VAL17_HELP  "Motor no of poles set incorrectly"
#define  ENUMID153_VAL18_MNEMONIC  "tunE"
#define  ENUMID153_VAL18_HELP  "Autotune stopped before completion"
#define  ENUMID153_VAL19_MNEMONIC  "It.br"
#define  ENUMID153_VAL19_HELP  "Braking resistor overload timed out"
#define  ENUMID153_VAL20_MNEMONIC  "It.AC"
#define  ENUMID153_VAL20_HELP  "Output current overload timed out"
#define  ENUMID153_VAL21_MNEMONIC  "O.ht1"
#define  ENUMID153_VAL21_HELP  "Overheat (Drive thermal model protection)"
#define  ENUMID153_VAL22_MNEMONIC  "O.ht2"
#define  ENUMID153_VAL22_HELP  "Overheat (Heat sink thermistor protection)"
#define  ENUMID153_VAL23_MNEMONIC  "O.CtL"
#define  ENUMID153_VAL23_HELP  "Drive control board over temperature"
#define  ENUMID153_VAL24_MNEMONIC  "th"
#define  ENUMID153_VAL24_HELP  "Motor thermistor trip"
#define  ENUMID153_VAL25_MNEMONIC  "thS"
#define  ENUMID153_VAL25_HELP  "Motor thermistor short circuit"
#define  ENUMID153_VAL26_MNEMONIC  "O.Ld1"
#define  ENUMID153_VAL26_HELP  "Overload on digital output: 24V & digital current > 200mA"
#define  ENUMID153_VAL27_MNEMONIC  "O.ht3"
#define  ENUMID153_VAL27_HELP  "Drive overheat based on thermal model"
#define  ENUMID153_VAL28_MNEMONIC  "cL1"
#define  ENUMID153_VAL28_HELP  "Analog input 2 current loss"
#define  ENUMID153_VAL29_MNEMONIC  "cL3"
#define  ENUMID153_VAL29_HELP  "Analog input 3 current loss"
#define  ENUMID153_VAL30_MNEMONIC  "SCL"
#define  ENUMID153_VAL30_HELP  "Serial comms loss to remote keypad"
#define  ENUMID153_VAL31_MNEMONIC  "EEF"
#define  ENUMID153_VAL31_HELP  "EEPROM failure"
#define  ENUMID153_VAL32_MNEMONIC  "Ph"
#define  ENUMID153_VAL32_HELP  "AC voltage input phase loss or large supply imbalance"
#define  ENUMID153_VAL33_MNEMONIC  "rS"
#define  ENUMID153_VAL33_HELP  "Resistance measurement failure"
#define  ENUMID153_VAL34_MNEMONIC  "PAd"
#define  ENUMID153_VAL34_HELP  "Keypad removed during speed ref transfer"
#define  ENUMID153_VAL35_MNEMONIC  "CL.bit"
#define  ENUMID153_VAL35_HELP  "Trip initiated from control word"
#define  ENUMID153_VAL36_MNEMONIC  "t036"
#define  ENUMID153_VAL36_HELP  "User trip 36 in Applications module"
#define  ENUMID153_VAL37_MNEMONIC  "t037"
#define  ENUMID153_VAL37_HELP  "User trip 37 in Applications module"
#define  ENUMID153_VAL38_MNEMONIC  "t038"
#define  ENUMID153_VAL38_HELP  "User trip 38 in Applications module"
#define  ENUMID153_VAL39_MNEMONIC  "L.SYNC"
#define  ENUMID153_VAL39_HELP  "Regen sinusoidal rectifier sync failure"
#define  ENUMID153_VAL40_MNEMONIC  "t040"
#define  ENUMID153_VAL40_HELP  "User trip 40 in Applications module"
#define  ENUMID153_VAL41_MNEMONIC  "t041"
#define  ENUMID153_VAL41_HELP  "User trip 41 in Applications module"
#define  ENUMID153_VAL42_MNEMONIC  "t042"
#define  ENUMID153_VAL42_HELP  "User trip 42 in Applications module"
#define  ENUMID153_VAL43_MNEMONIC  "t043"
#define  ENUMID153_VAL43_HELP  "User trip 43 in Applications module"
#define  ENUMID153_VAL44_MNEMONIC  "t044"
#define  ENUMID153_VAL44_HELP  "User trip 44 in Applications module"
#define  ENUMID153_VAL45_MNEMONIC  "t045"
#define  ENUMID153_VAL45_HELP  "User trip 45 in Applications module"
#define  ENUMID153_VAL46_MNEMONIC  "t046"
#define  ENUMID153_VAL46_HELP  "User trip 46 in Applications module"
#define  ENUMID153_VAL47_MNEMONIC  "t047"
#define  ENUMID153_VAL47_HELP  "User trip 47 in Applications module"
#define  ENUMID153_VAL48_MNEMONIC  "t048"
#define  ENUMID153_VAL48_HELP  "User trip 48 in Applications module"
#define  ENUMID153_VAL49_MNEMONIC  "t049"
#define  ENUMID153_VAL49_HELP  "User trip 49 in Applications module"
#define  ENUMID153_VAL50_MNEMONIC  "t050"
#define  ENUMID153_VAL50_HELP  "User trip 50 in Applications module"
#define  ENUMID153_VAL51_MNEMONIC  "t051"
#define  ENUMID153_VAL51_HELP  "User trip 51 in Applications module"
#define  ENUMID153_VAL52_MNEMONIC  "t052"
#define  ENUMID153_VAL52_HELP  "User trip 52 in Applications module"
#define  ENUMID153_VAL53_MNEMONIC  "t053"
#define  ENUMID153_VAL53_HELP  "User trip 53 in Applications module"
#define  ENUMID153_VAL54_MNEMONIC  "t054"
#define  ENUMID153_VAL54_HELP  "User trip 54 in Applications module"
#define  ENUMID153_VAL55_MNEMONIC  "t055"
#define  ENUMID153_VAL55_HELP  "User trip 55 in Applications module"
#define  ENUMID153_VAL56_MNEMONIC  "t056"
#define  ENUMID153_VAL56_HELP  "User trip 56 in Applications module"
#define  ENUMID153_VAL57_MNEMONIC  "t057"
#define  ENUMID153_VAL57_HELP  "User trip 57 in Applications module"
#define  ENUMID153_VAL58_MNEMONIC  "t058"
#define  ENUMID153_VAL58_HELP  "User trip 58 in Applications module"
#define  ENUMID153_VAL59_MNEMONIC  "t059"
#define  ENUMID153_VAL59_HELP  "User trip 59 in Applications module"
#define  ENUMID153_VAL60_MNEMONIC  "t060"
#define  ENUMID153_VAL60_HELP  "User trip 60 in Applications module"
#define  ENUMID153_VAL61_MNEMONIC  "t061"
#define  ENUMID153_VAL61_HELP  "User trip 61 in Applications module"
#define  ENUMID153_VAL62_MNEMONIC  "t062"
#define  ENUMID153_VAL62_HELP  "User trip 62 in Applications module"
#define  ENUMID153_VAL63_MNEMONIC  "t063"
#define  ENUMID153_VAL63_HELP  "User trip 63 in Applications module"
#define  ENUMID153_VAL64_MNEMONIC  "t064"
#define  ENUMID153_VAL64_HELP  "User trip 64 in Applications module"
#define  ENUMID153_VAL65_MNEMONIC  "t065"
#define  ENUMID153_VAL65_HELP  "User trip 65 in Applications module"
#define  ENUMID153_VAL66_MNEMONIC  "t066"
#define  ENUMID153_VAL66_HELP  "User trip 66 in Applications module"
#define  ENUMID153_VAL67_MNEMONIC  "t067"
#define  ENUMID153_VAL67_HELP  "User trip 67 in Applications module"
#define  ENUMID153_VAL68_MNEMONIC  "t068"
#define  ENUMID153_VAL68_HELP  "User trip 68 in Applications module"
#define  ENUMID153_VAL69_MNEMONIC  "t069"
#define  ENUMID153_VAL69_HELP  "User trip 69 in Applications module"
#define  ENUMID153_VAL70_MNEMONIC  "t070"
#define  ENUMID153_VAL70_HELP  "User trip 70 in Applications module"
#define  ENUMID153_VAL71_MNEMONIC  "t071"
#define  ENUMID153_VAL71_HELP  "User trip 71 in Applications module"
#define  ENUMID153_VAL72_MNEMONIC  "t072"
#define  ENUMID153_VAL72_HELP  "User trip 72 in Applications module"
#define  ENUMID153_VAL73_MNEMONIC  "t073"
#define  ENUMID153_VAL73_HELP  "User trip 73 in Applications module"
#define  ENUMID153_VAL74_MNEMONIC  "t074"
#define  ENUMID153_VAL74_HELP  "User trip 74 in Applications module"
#define  ENUMID153_VAL75_MNEMONIC  "t075"
#define  ENUMID153_VAL75_HELP  "User trip 75 in Applications module"
#define  ENUMID153_VAL76_MNEMONIC  "t076"
#define  ENUMID153_VAL76_HELP  "User trip 76 in Applications module"
#define  ENUMID153_VAL77_MNEMONIC  "t077"
#define  ENUMID153_VAL77_HELP  "User trip 77 in Applications module"
#define  ENUMID153_VAL78_MNEMONIC  "t078"
#define  ENUMID153_VAL78_HELP  "User trip 78 in Applications module"
#define  ENUMID153_VAL79_MNEMONIC  "t079"
#define  ENUMID153_VAL79_HELP  "User trip 79 in Applications module"
#define  ENUMID153_VAL80_MNEMONIC  "t080"
#define  ENUMID153_VAL80_HELP  "User trip 80 in Applications module"
#define  ENUMID153_VAL81_MNEMONIC  "t082"
#define  ENUMID153_VAL81_HELP  "User trip 81 in Applications module"
#define  ENUMID153_VAL82_MNEMONIC  "t082"
#define  ENUMID153_VAL82_HELP  "User trip 82 in Applications module"
#define  ENUMID153_VAL83_MNEMONIC  "t083"
#define  ENUMID153_VAL83_HELP  "User trip 83 in Applications module"
#define  ENUMID153_VAL84_MNEMONIC  "t084"
#define  ENUMID153_VAL84_HELP  "User trip 84 in Applications module"
#define  ENUMID153_VAL85_MNEMONIC  "t085"
#define  ENUMID153_VAL85_HELP  "User trip 85 in Applications module"
#define  ENUMID153_VAL86_MNEMONIC  "t086"
#define  ENUMID153_VAL86_HELP  "User trip 86 in Applications module"
#define  ENUMID153_VAL87_MNEMONIC  "t087"
#define  ENUMID153_VAL87_HELP  "User trip 87 in Applications module"
#define  ENUMID153_VAL88_MNEMONIC  "t088"
#define  ENUMID153_VAL88_HELP  "User trip 88 in Applications module"
#define  ENUMID153_VAL89_MNEMONIC  "t089"
#define  ENUMID153_VAL89_HELP  "User trip 89 in Applications module"
#define  ENUMID153_VAL90_MNEMONIC  "UP div0"
#define  ENUMID153_VAL90_HELP  "User program: attempted divide by zero"
#define  ENUMID153_VAL91_MNEMONIC  "UP Par"
#define  ENUMID153_VAL91_HELP  "User program: access to non-existent parameter"
#define  ENUMID153_VAL92_MNEMONIC  "UP ro"
#define  ENUMID153_VAL92_HELP  "User program: write to read-only parameter"
#define  ENUMID153_VAL93_MNEMONIC  "UP So"
#define  ENUMID153_VAL93_HELP  "User program: read to write-only parameter"
#define  ENUMID153_VAL94_MNEMONIC  "UP ovr"
#define  ENUMID153_VAL94_HELP  "User program: out-of-range parameter write"
#define  ENUMID153_VAL95_MNEMONIC  "UP OFL"
#define  ENUMID153_VAL95_HELP  "User program: stack overflow"
#define  ENUMID153_VAL96_MNEMONIC  "UP uSEr"
#define  ENUMID153_VAL96_HELP  "User program: program requested trip"
#define  ENUMID153_VAL97_MNEMONIC  "UP udf"
#define  ENUMID153_VAL97_HELP  "User program: undefined trip"
#define  ENUMID153_VAL98_MNEMONIC  "UP ACC"
#define  ENUMID153_VAL98_HELP  "User program: cannot access program file"
#define  ENUMID153_VAL99_MNEMONIC  "t099"
#define  ENUMID153_VAL99_HELP  "User trip 99 in Applications module"
#define  ENUMID153_VAL100_MNEMONIC  "t100"
#define  ENUMID153_VAL100_HELP  "User trip 100 in Applications module"
#define  ENUMID153_VAL101_MNEMONIC  "OISn.P"
#define  ENUMID153_VAL101_HELP  "Power module rectifier snubber  over current"
#define  ENUMID153_VAL102_MNEMONIC  "Oht4.P"
#define  ENUMID153_VAL102_HELP  "Power module rectifier over temperature"
#define  ENUMID153_VAL103_MNEMONIC  "Oibr.P"
#define  ENUMID153_VAL103_HELP  "Power module braking IGBT over current"
#define  ENUMID153_VAL104_MNEMONIC  "OIAC.P"
#define  ENUMID153_VAL104_HELP  "Power module over current"
#define  ENUMID153_VAL105_MNEMONIC  "Oht2.P"
#define  ENUMID153_VAL105_HELP  "Power module heatsink over temperature"
#define  ENUMID153_VAL106_MNEMONIC  "OV.P"
#define  ENUMID153_VAL106_HELP  "Power module over voltage"
#define  ENUMID153_VAL107_MNEMONIC  "PH.P"
#define  ENUMID153_VAL107_HELP  "Power module rectifier phase loss detection"
#define  ENUMID153_VAL108_MNEMONIC  "PS.P"
#define  ENUMID153_VAL108_HELP  "Power module power supply fail"
#define  ENUMID153_VAL109_MNEMONIC  "Unid.P"
#define  ENUMID153_VAL109_HELP  "Power module unidentified trip"
#define  ENUMID153_VAL110_MNEMONIC  "t110"
#define  ENUMID153_VAL110_HELP  "User trip 110 in Applications module"
#define  ENUMID153_VAL111_MNEMONIC  "t111"
#define  ENUMID153_VAL111_HELP  "User trip 111 in Applications module"
#define  ENUMID153_VAL112_MNEMONIC  "t112"
#define  ENUMID153_VAL112_HELP  "User trip 112 in Applications module"
#define  ENUMID153_VAL113_MNEMONIC  "t113"
#define  ENUMID153_VAL113_HELP  "User trip 113 in Applications module"
#define  ENUMID153_VAL114_MNEMONIC  "t114"
#define  ENUMID153_VAL114_HELP  "User trip 114 in Applications module"
#define  ENUMID153_VAL115_MNEMONIC  "t115"
#define  ENUMID153_VAL115_HELP  "User trip 115 in Applications module"
#define  ENUMID153_VAL116_MNEMONIC  "t116"
#define  ENUMID153_VAL116_HELP  "User trip 116 in Applications module"
#define  ENUMID153_VAL117_MNEMONIC  "t117"
#define  ENUMID153_VAL117_HELP  "User trip 117 in Applications module"
#define  ENUMID153_VAL118_MNEMONIC  "t118"
#define  ENUMID153_VAL118_HELP  "User trip 118 in Applications module"
#define  ENUMID153_VAL119_MNEMONIC  "t119"
#define  ENUMID153_VAL119_HELP  "User trip 119 in Applications module"
#define  ENUMID153_VAL120_MNEMONIC  "t120"
#define  ENUMID153_VAL120_HELP  "User trip 120 in Applications module"
#define  ENUMID153_VAL121_MNEMONIC  "t121"
#define  ENUMID153_VAL121_HELP  "User trip 121 in Applications module"
#define  ENUMID153_VAL122_MNEMONIC  "t122"
#define  ENUMID153_VAL122_HELP  "User trip 122 in Applications module"
#define  ENUMID153_VAL123_MNEMONIC  "t123"
#define  ENUMID153_VAL123_HELP  "User trip 123 in Applications module"
#define  ENUMID153_VAL124_MNEMONIC  "t124"
#define  ENUMID153_VAL124_HELP  "User trip 124 in Applications module"
#define  ENUMID153_VAL125_MNEMONIC  "t125"
#define  ENUMID153_VAL125_HELP  "User trip 125 in Applications module"
#define  ENUMID153_VAL126_MNEMONIC  "t126"
#define  ENUMID153_VAL126_HELP  "User trip 126 in Applications module"
#define  ENUMID153_VAL127_MNEMONIC  "t127"
#define  ENUMID153_VAL127_HELP  "User trip 127 in Applications module"
#define  ENUMID153_VAL128_MNEMONIC  "t128"
#define  ENUMID153_VAL128_HELP  "User trip 128 in Applications module"
#define  ENUMID153_VAL129_MNEMONIC  "t129"
#define  ENUMID153_VAL129_HELP  "User trip 129 in Applications module"
#define  ENUMID153_VAL130_MNEMONIC  "t130"
#define  ENUMID153_VAL130_HELP  "User trip 130 in Applications module"
#define  ENUMID153_VAL131_MNEMONIC  "t131"
#define  ENUMID153_VAL131_HELP  "User trip 131 in Applications module"
#define  ENUMID153_VAL132_MNEMONIC  "t132"
#define  ENUMID153_VAL132_HELP  "User trip 132 in Applications module"
#define  ENUMID153_VAL133_MNEMONIC  "t133"
#define  ENUMID153_VAL133_HELP  "User trip 133 in Applications module"
#define  ENUMID153_VAL134_MNEMONIC  "t134"
#define  ENUMID153_VAL134_HELP  "User trip 134 in Applications module"
#define  ENUMID153_VAL135_MNEMONIC  "t135"
#define  ENUMID153_VAL135_HELP  "User trip 135 in Applications module"
#define  ENUMID153_VAL136_MNEMONIC  "t136"
#define  ENUMID153_VAL136_HELP  "User trip 136in Applications module"
#define  ENUMID153_VAL137_MNEMONIC  "t137"
#define  ENUMID153_VAL137_HELP  "User trip 137 in Applications module"
#define  ENUMID153_VAL138_MNEMONIC  "t138"
#define  ENUMID153_VAL138_HELP  "User trip 138 in Applications module"
#define  ENUMID153_VAL139_MNEMONIC  "t139"
#define  ENUMID153_VAL139_HELP  "User trip 139 in Applications module"
#define  ENUMID153_VAL140_MNEMONIC  "t140"
#define  ENUMID153_VAL140_HELP  "User trip 140 in Applications module"
#define  ENUMID153_VAL141_MNEMONIC  "t141"
#define  ENUMID153_VAL141_HELP  "User trip 141 in Applications module"
#define  ENUMID153_VAL142_MNEMONIC  "t142"
#define  ENUMID153_VAL142_HELP  "User trip 142 in Applications module"
#define  ENUMID153_VAL143_MNEMONIC  "t143"
#define  ENUMID153_VAL143_HELP  "User trip 143 in Applications module"
#define  ENUMID153_VAL144_MNEMONIC  "t144"
#define  ENUMID153_VAL144_HELP  "User trip 144 in Applications module"
#define  ENUMID153_VAL145_MNEMONIC  "t145"
#define  ENUMID153_VAL145_HELP  "User trip 145 in Applications module"
#define  ENUMID153_VAL146_MNEMONIC  "t146"
#define  ENUMID153_VAL146_HELP  "User trip 146 in Applications module"
#define  ENUMID153_VAL147_MNEMONIC  "t147"
#define  ENUMID153_VAL147_HELP  "User trip 147 in Applications module"
#define  ENUMID153_VAL148_MNEMONIC  "t148"
#define  ENUMID153_VAL148_HELP  "User trip 148 in Applications module"
#define  ENUMID153_VAL149_MNEMONIC  "t149"
#define  ENUMID153_VAL149_HELP  "User trip 149 in Applications module"
#define  ENUMID153_VAL150_MNEMONIC  "t150"
#define  ENUMID153_VAL150_HELP  "User trip 150 in Applications module"
#define  ENUMID153_VAL151_MNEMONIC  "t151"
#define  ENUMID153_VAL151_HELP  "User trip 151 in Applications module"
#define  ENUMID153_VAL152_MNEMONIC  "t152"
#define  ENUMID153_VAL152_HELP  "User trip 152 in Applications module"
#define  ENUMID153_VAL153_MNEMONIC  "t153"
#define  ENUMID153_VAL153_HELP  "User trip 153 in Applications module"
#define  ENUMID153_VAL154_MNEMONIC  "t154"
#define  ENUMID153_VAL154_HELP  "User trip 154 in Applications module"
#define  ENUMID153_VAL155_MNEMONIC  "t155"
#define  ENUMID153_VAL155_HELP  "User trip 155 in Applications module"
#define  ENUMID153_VAL156_MNEMONIC  "t156"
#define  ENUMID153_VAL156_HELP  "User trip 156 in Applications module"
#define  ENUMID153_VAL157_MNEMONIC  "t157"
#define  ENUMID153_VAL157_HELP  "User trip 157 in Applications module"
#define  ENUMID153_VAL158_MNEMONIC  "t158"
#define  ENUMID153_VAL158_HELP  "User trip 158 in Applications module"
#define  ENUMID153_VAL159_MNEMONIC  "t159"
#define  ENUMID153_VAL159_HELP  "User trip 159 in Applications module"
#define  ENUMID153_VAL160_MNEMONIC  "t160"
#define  ENUMID153_VAL160_HELP  "User trip 160 in Applications module"
#define  ENUMID153_VAL161_MNEMONIC  "Enc11"
#define  ENUMID153_VAL161_HELP  "Drive encoder trip: alignment failure"
#define  ENUMID153_VAL162_MNEMONIC  "Enc12"
#define  ENUMID153_VAL162_HELP  "Drive encoder trip: unidentified type"
#define  ENUMID153_VAL163_MNEMONIC  "Enc13"
#define  ENUMID153_VAL163_HELP  "Drive encoder trip: encoder turns not power of 2"
#define  ENUMID153_VAL164_MNEMONIC  "Enc14"
#define  ENUMID153_VAL164_HELP  "Drive encoder trip: defining bits too large"
#define  ENUMID153_VAL165_MNEMONIC  "Enc15"
#define  ENUMID153_VAL165_HELP  "Drive encoder trip: incorrect periods of rotation"
#define  ENUMID153_VAL166_MNEMONIC  "Enc16"
#define  ENUMID153_VAL166_HELP  "Drive encoder trip: EnDat linear encoder number of comms bits per period exceeds 255"
#define  ENUMID153_VAL167_MNEMONIC  "Enc17"
#define  ENUMID153_VAL167_HELP  "Drive encoder trip: Auto configure of rotary sincos encoder obtained non power of 2 period per rev"
#define  ENUMID153_VAL168_MNEMONIC  "t168"
#define  ENUMID153_VAL168_HELP  "User trip 168 in Applications module"
#define  ENUMID153_VAL169_MNEMONIC  "t169"
#define  ENUMID153_VAL169_HELP  "User trip 169 in Applications module"
#define  ENUMID153_VAL170_MNEMONIC  "t170"
#define  ENUMID153_VAL170_HELP  "User trip 170 in Applications module"
#define  ENUMID153_VAL171_MNEMONIC  "t171"
#define  ENUMID153_VAL171_HELP  "User trip 171 in Applications module"
#define  ENUMID153_VAL172_MNEMONIC  "t172"
#define  ENUMID153_VAL172_HELP  "User trip 172 in Applications module"
#define  ENUMID153_VAL173_MNEMONIC  "t173"
#define  ENUMID153_VAL173_HELP  "User trip 173 in Applications module"
#define  ENUMID153_VAL174_MNEMONIC  "t174"
#define  ENUMID153_VAL174_HELP  "User trip 174 in Applications module"
#define  ENUMID153_VAL175_MNEMONIC  "t175"
#define  ENUMID153_VAL175_HELP  "User trip 175 in Applications module"
#define  ENUMID153_VAL176_MNEMONIC  "ENP.Er"
#define  ENUMID153_VAL176_HELP  "Data error from electronic nameplate in f/b device"
#define  ENUMID153_VAL177_MNEMONIC  "t177"
#define  ENUMID153_VAL177_HELP  "User trip 177 in Applications module"
#define  ENUMID153_VAL178_MNEMONIC  "t178"
#define  ENUMID153_VAL178_HELP  "User trip 178 in Applications module"
#define  ENUMID153_VAL179_MNEMONIC  "C.Chg"
#define  ENUMID153_VAL179_HELP  "Smartcard trip - location already has data"
#define  ENUMID153_VAL180_MNEMONIC  "C.Optn"
#define  ENUMID153_VAL180_HELP  "Smartcard trip - source & destination drive modules different"
#define  ENUMID153_VAL181_MNEMONIC  "C.Rdo"
#define  ENUMID153_VAL181_HELP  "Smartcard trip - read-only bit set"
#define  ENUMID153_VAL182_MNEMONIC  "C.Err"
#define  ENUMID153_VAL182_HELP  "Smartcard trip - data corrupted"
#define  ENUMID153_VAL183_MNEMONIC  "C.dat"
#define  ENUMID153_VAL183_HELP  "Smartcard trip - location already has data"
#define  ENUMID153_VAL184_MNEMONIC  "C.FULL"
#define  ENUMID153_VAL184_HELP  "Smartcard trip - smartcard full"
#define  ENUMID153_VAL185_MNEMONIC  "C.Acc"
#define  ENUMID153_VAL185_HELP  "Smartcard trip - read/write fail"
#define  ENUMID153_VAL186_MNEMONIC  "C.rtg"
#define  ENUMID153_VAL186_HELP  "Smartcard trip - attempting to change dest drive ratings"
#define  ENUMID153_VAL187_MNEMONIC  "C.Typ"
#define  ENUMID153_VAL187_HELP  "Smartcard trip - parameter set not compatible with drive"
#define  ENUMID153_VAL188_MNEMONIC  "C.cpr"
#define  ENUMID153_VAL188_HELP  "Smartcard trip - values stored in drive & smartcard are different"
#define  ENUMID153_VAL189_MNEMONIC  "O.cL"
#define  ENUMID153_VAL189_HELP  "Overload on current loop input"
#define  ENUMID153_VAL190_MNEMONIC  "Enc2"
#define  ENUMID153_VAL190_HELP  "Drive encoder trip: wire break"
#define  ENUMID153_VAL191_MNEMONIC  "Enc3"
#define  ENUMID153_VAL191_HELP  "Drive encoder trip: UVW phase offset incorrect"
#define  ENUMID153_VAL192_MNEMONIC  "Enc4"
#define  ENUMID153_VAL192_HELP  "Drive encoder trip: feedback device comms failure"
#define  ENUMID153_VAL193_MNEMONIC  "Enc5"
#define  ENUMID153_VAL193_HELP  "Drive encoder trip: checksum or CRC error"
#define  ENUMID153_VAL194_MNEMONIC  "Enc6"
#define  ENUMID153_VAL194_HELP  "Drive encoder trip: encoder has indicated an error"
#define  ENUMID153_VAL195_MNEMONIC  "Enc7"
#define  ENUMID153_VAL195_HELP  "Drive encoder trip: initialization failed"
#define  ENUMID153_VAL196_MNEMONIC  "Enc8"
#define  ENUMID153_VAL196_HELP  "Drive encoder trip: auto config on power up failed"
#define  ENUMID153_VAL197_MNEMONIC  "Enc9"
#define  ENUMID153_VAL197_HELP  "Drive encoder trip: missing speed / feedback module"
#define  ENUMID153_VAL198_MNEMONIC  "Enc10"
#define  ENUMID153_VAL198_HELP  "Drive encoder trip: servo mode phasing failure"
#define  ENUMID153_VAL199_MNEMONIC  "dESt"
#define  ENUMID153_VAL199_HELP  "Two or more params writing to same destination param"
#define  ENUMID153_VAL200_MNEMONIC  "SL.HF"
#define  ENUMID153_VAL200_HELP  "Solutions module slot 1: hardware fault"
#define  ENUMID153_VAL201_MNEMONIC  "SL.tO"
#define  ENUMID153_VAL201_HELP  "Solutions module slot 1: watchdog timeout"
#define  ENUMID153_VAL202_MNEMONIC  "SL.Er"
#define  ENUMID153_VAL202_HELP  "Solutions module slot 1: error detected"
#define  ENUMID153_VAL203_MNEMONIC  "SL.nF"
#define  ENUMID153_VAL203_HELP  "Solutions module slot 1: module removed"
#define  ENUMID153_VAL204_MNEMONIC  "SL.dF"
#define  ENUMID153_VAL204_HELP  "Solutions module slot 1: module changed"
#define  ENUMID153_VAL205_MNEMONIC  "SL2.HF"
#define  ENUMID153_VAL205_HELP  "Solutions module slot 2: hardware fault"
#define  ENUMID153_VAL206_MNEMONIC  "SL2.tO"
#define  ENUMID153_VAL206_HELP  "Solutions module slot 2: watchdog timeout"
#define  ENUMID153_VAL207_MNEMONIC  "SL2.Er"
#define  ENUMID153_VAL207_HELP  "Solutions module slot 2: error detected"
#define  ENUMID153_VAL208_MNEMONIC  "SL2.nF"
#define  ENUMID153_VAL208_HELP  "Solutions module slot 2: module removed"
#define  ENUMID153_VAL209_MNEMONIC  "SL2.dF"
#define  ENUMID153_VAL209_HELP  "Solutions module slot 2: module changed"
#define  ENUMID153_VAL210_MNEMONIC  "SL3.HF"
#define  ENUMID153_VAL210_HELP  "Solutions module slot 3: hardware fault"
#define  ENUMID153_VAL211_MNEMONIC  "SL3.tO"
#define  ENUMID153_VAL211_HELP  "Solutions module slot 3: watchdog timeout"
#define  ENUMID153_VAL212_MNEMONIC  "SL3.Er"
#define  ENUMID153_VAL212_HELP  "Solutions module slot 3: error detected"
#define  ENUMID153_VAL213_MNEMONIC  "SL3.nF"
#define  ENUMID153_VAL213_HELP  "Solutions module slot 3: module removed"
#define  ENUMID153_VAL214_MNEMONIC  "SL3.dF"
#define  ENUMID153_VAL214_HELP  "Solutions module slot 3: module changed"
#define  ENUMID153_VAL215_MNEMONIC  "SL.rtd"
#define  ENUMID153_VAL215_HELP  "Solutions module trip: mode changed"
#define  ENUMID153_VAL216_MNEMONIC  "t216"
#define  ENUMID153_VAL216_HELP  "User trip 216 in Applications module"
#define  ENUMID153_VAL217_MNEMONIC  "t217"
#define  ENUMID153_VAL217_HELP  "User trip 217 in Applications module"
#define  ENUMID153_VAL218_MNEMONIC  "HF18"
#define  ENUMID153_VAL218_HELP  "Hardware fault 18: not used"
#define  ENUMID153_VAL219_MNEMONIC  "HF19"
#define  ENUMID153_VAL219_HELP  "Hardware fault 19: not used"
#define  ENUMID153_VAL220_MNEMONIC  "HF20"
#define  ENUMID153_VAL220_HELP  "Power stage recognition: serial code error"
#define  ENUMID153_VAL221_MNEMONIC  "HF21"
#define  ENUMID153_VAL221_HELP  "Power stage recognition: unrecognized frame size"
#define  ENUMID153_VAL222_MNEMONIC  "HF22"
#define  ENUMID153_VAL222_HELP  "Power stage recognition: multi-module frame size mismatch"
#define  ENUMID153_VAL223_MNEMONIC  "HF23"
#define  ENUMID153_VAL223_HELP  "Power stage recognition: multi-module voltage rating mismatch"
#define  ENUMID153_VAL224_MNEMONIC  "HF24"
#define  ENUMID153_VAL224_HELP  "Power stage recognition: unrecognized drive size"
#define  ENUMID153_VAL225_MNEMONIC  "HF25"
#define  ENUMID153_VAL225_HELP  "Current feedback offset error"
#define  ENUMID153_VAL226_MNEMONIC  "HF26"
#define  ENUMID153_VAL226_HELP  "Soft start relay failed to close"
#define  ENUMID153_VAL227_MNEMONIC  "HF27"
#define  ENUMID153_VAL227_HELP  "Power stage thermistor 1 fault"
#define  ENUMID153_VAL228_MNEMONIC  "HF28"
#define  ENUMID153_VAL228_HELP  "Power stage thermistor 2 fault"
#define  ENUMID153_VAL229_MNEMONIC  "HF29"
#define  ENUMID153_VAL229_HELP  "Control board thermistor fault"
#define  ENUMID153_VAL230_MNEMONIC  "HF30"
#define  ENUMID153_VAL230_HELP  "DCCT wired break trip from power module"
#define  ENUMID153_VAL231_MNEMONIC  "HF31"
#define  ENUMID153_VAL231_HELP  "Aux fan failure from power module"
#define  ENUMID153_VAL232_MNEMONIC  "HF32"
#define  ENUMID153_VAL232_HELP  "Hardware fault 32: not used"
#define  ENUMID154_VAL0_MNEMONIC  "1"
#define  ENUMID154_VAL0_HELP  "1kHz"
#define  ENUMID154_VAL1_MNEMONIC  "2"
#define  ENUMID154_VAL1_HELP  "2kHz"
#define  ENUMID154_VAL2_MNEMONIC  "5"
#define  ENUMID154_VAL2_HELP  "5kHz"
#define  ENUMID154_VAL3_MNEMONIC  "10"
#define  ENUMID154_VAL3_HELP  "10kHz"
#define  ENUMID155_VAL0_MNEMONIC  "AI.AV"
#define  ENUMID155_VAL0_HELP  "Local / Remote"
#define  ENUMID155_VAL1_MNEMONIC  "AV.Pr"
#define  ENUMID155_VAL1_HELP  "Voltage input or 3 presets"
#define  ENUMID155_VAL2_MNEMONIC  "AI.Pr"
#define  ENUMID155_VAL2_HELP  "Current input or 3 presets"
#define  ENUMID155_VAL3_MNEMONIC  "Pr"
#define  ENUMID155_VAL3_HELP  "4 Presets"
#define  ENUMID155_VAL4_MNEMONIC  "PAd"
#define  ENUMID155_VAL4_HELP  "Keypad"
#define  ENUMID155_VAL5_MNEMONIC  "E.Pot"
#define  ENUMID155_VAL5_HELP  "Electronic pot"
#define  ENUMID155_VAL6_MNEMONIC  "tor"
#define  ENUMID155_VAL6_HELP  "Torque mode"
#define  ENUMID155_VAL7_MNEMONIC  "Pid"
#define  ENUMID155_VAL7_HELP  "PID mode"
#define  ENUMID155_VAL8_MNEMONIC  "HUAC"
#define  ENUMID155_VAL8_HELP  "HVAC mode"
#define  ENUMID155_VAL9_MNEMONIC  "OPEn"
#define  ENUMID155_VAL9_HELP  "User configurable"
#define  ENUMID156_VAL0_MNEMONIC  "L1"
#define  ENUMID156_VAL0_HELP  "Level 1"
#define  ENUMID156_VAL1_MNEMONIC  "L2"
#define  ENUMID156_VAL1_HELP  "Level 2"
#define  ENUMID156_VAL2_MNEMONIC  "L3"
#define  ENUMID156_VAL2_HELP  "Level 3"
#define  ENUMID156_VAL3_MNEMONIC  "LoC"
#define  ENUMID156_VAL3_HELP  "Lock security code"
#define  ENUMID157_VAL0_MNEMONIC  "Voltage"
#define  ENUMID157_VAL0_HELP  "Voltage mode"
#define  ENUMID157_VAL1_MNEMONIC  "Current"
#define  ENUMID157_VAL1_HELP  "Current mode"
#define  ENUMID158_VAL0_MNEMONIC  "0-20"
#define  ENUMID158_VAL0_HELP  "0-20mA"
#define  ENUMID158_VAL1_MNEMONIC  "20-0"
#define  ENUMID158_VAL1_HELP  "20-0mA"
#define  ENUMID158_VAL2_MNEMONIC  "4-20"
#define  ENUMID158_VAL2_HELP  "4-20mA (trip on loss)"
#define  ENUMID158_VAL3_MNEMONIC  "20-4"
#define  ENUMID158_VAL3_HELP  "20-4mA (trip on loss)"
#define  ENUMID158_VAL4_MNEMONIC  "4-.20"
#define  ENUMID158_VAL4_HELP  "4-20mA (no trip on loss)"
#define  ENUMID158_VAL5_MNEMONIC  "20-.4"
#define  ENUMID158_VAL5_HELP  "20-4mA (no trip on loss)"
#define  ENUMID158_VAL6_MNEMONIC  "VOlt"
#define  ENUMID158_VAL6_HELP  "-10V - +10V"
#define  ENUMID159_VAL0_MNEMONIC  "dig"
#define  ENUMID159_VAL0_HELP  "Digital input"
#define  ENUMID159_VAL1_MNEMONIC  "th"
#define  ENUMID159_VAL1_HELP  "Thermistor input"
#define  ENUMID159_VAL2_MNEMONIC  "Fr"
#define  ENUMID159_VAL2_HELP  "Frequency input"
#define  ENUMID159_VAL3_MNEMONIC  "Fr.hr"
#define  ENUMID159_VAL3_HELP  "High resolution frequency input"
#define  ENUMID160_VAL0_MNEMONIC  "n=0"
#define  ENUMID160_VAL0_HELP  "At zero speed"
#define  ENUMID160_VAL1_MNEMONIC  "At.SP"
#define  ENUMID160_VAL1_HELP  "At speed"
#define  ENUMID160_VAL2_MNEMONIC  "Lo.SP"
#define  ENUMID160_VAL2_HELP  "At minimum speed"
#define  ENUMID160_VAL3_MNEMONIC  "hEAL"
#define  ENUMID160_VAL3_HELP  "Drive healthy"
#define  ENUMID160_VAL4_MNEMONIC  "Act"
#define  ENUMID160_VAL4_HELP  "Drive active"
#define  ENUMID160_VAL5_MNEMONIC  "ALAr"
#define  ENUMID160_VAL5_HELP  "General drive alarm"
#define  ENUMID160_VAL6_MNEMONIC  "I.Lt"
#define  ENUMID160_VAL6_HELP  "Current limit active"
#define  ENUMID160_VAL7_MNEMONIC  "At.Ld"
#define  ENUMID160_VAL7_HELP  "At 100% load"
#define  ENUMID160_VAL8_MNEMONIC  "USEr"
#define  ENUMID160_VAL8_HELP  "User programmable"
#define  ENUMID161_VAL0_MNEMONIC  "0"
#define  ENUMID161_VAL0_HELP  "None"
#define  ENUMID161_VAL1_MNEMONIC  "1"
#define  ENUMID161_VAL1_HELP  "Initial"
#define  ENUMID161_VAL2_MNEMONIC  "2"
#define  ENUMID161_VAL2_HELP  "Background"
#define  ENUMID161_VAL3_MNEMONIC  "3"
#define  ENUMID161_VAL3_HELP  "Clock"
#define  ENUMID161_VAL4_MNEMONIC  "4"
#define  ENUMID161_VAL4_HELP  "Error"
#define  ENUMID161_VAL5_MNEMONIC  "5"
#define  ENUMID161_VAL5_HELP  "Pos0"
#define  ENUMID161_VAL6_MNEMONIC  "6"
#define  ENUMID161_VAL6_HELP  "Pos1"
#define  ENUMID161_VAL7_MNEMONIC  "7"
#define  ENUMID161_VAL7_HELP  "Event"
#define  ENUMID161_VAL8_MNEMONIC  "8"
#define  ENUMID161_VAL8_HELP  "Event1"
#define  ENUMID161_VAL9_MNEMONIC  "9"
#define  ENUMID161_VAL9_HELP  "Event2"
#define  ENUMID161_VAL10_MNEMONIC  "10"
#define  ENUMID161_VAL10_HELP  "Event3"
#define  ENUMID161_VAL11_MNEMONIC  "11"
#define  ENUMID161_VAL11_HELP  "APC (Motion Controller)"
#define  ENUMID161_VAL50_MNEMONIC  "50"
#define  ENUMID161_VAL50_HELP  "System"
#define  ENUMID162_VAL0_MNEMONIC  "3"
#define  ENUMID162_VAL0_HELP  "3 kHz"
#define  ENUMID162_VAL1_MNEMONIC  "6"
#define  ENUMID162_VAL1_HELP  "4 kHz"
#define  ENUMID162_VAL2_MNEMONIC  "12"
#define  ENUMID162_VAL2_HELP  "6 kHz"
#define  ENUMID162_VAL3_MNEMONIC  "16"
#define  ENUMID162_VAL3_HELP  "8 kHz"
#define  ENUMID163_VAL0_MNEMONIC  "in"
#define  ENUMID163_VAL0_HELP  "Digital input"
#define  ENUMID163_VAL1_MNEMONIC  "out"
#define  ENUMID163_VAL1_HELP  "Digital output"
#define  ENUMID163_VAL2_MNEMONIC  "Fr"
#define  ENUMID163_VAL2_HELP  "Frequency output"
#define  ENUMID163_VAL3_MNEMONIC  "PuLS"
#define  ENUMID163_VAL3_HELP  "PWM output"
#define  ENUMID164_VAL0_MNEMONIC  "OFF"
#define  ENUMID164_VAL1_MNEMONIC  "On"
#define  ENUMID165_VAL0_MNEMONIC  "Secs."
#define  ENUMID165_VAL1_MNEMONIC  "Mins."
#define  ENUMID166_VAL0_MNEMONIC  "Forward"
#define  ENUMID166_VAL1_MNEMONIC  "Reverse"
#define  ENUMID167_VAL0_MNEMONIC  "0"
#define  ENUMID167_VAL0_HELP  "No function"
#define  ENUMID167_VAL1_MNEMONIC  "1"
#define  ENUMID167_VAL1_HELP  "Forward/reverse toggle"
#define  ENUMID167_VAL2_MNEMONIC  "2"
#define  ENUMID167_VAL2_HELP  "Run reverse"
#define  ENUMID167_VAL3_MNEMONIC  "3"
#define  ENUMID167_VAL3_HELP  "Jog"
#define  ENUMID167_VAL4_MNEMONIC  "4"
#define  ENUMID167_VAL4_HELP  "Hand off auto"
#define  ENUMID167_VAL5_MNEMONIC  "5"
#define  ENUMID167_VAL5_HELP  "Function"
#define  ENUMID167_VAL6_MNEMONIC  "6"
#define  ENUMID167_VAL6_HELP  "Forward/reverse toggle (LCD)"
#define  ENUMID168_VAL0_MNEMONIC  "0-20"
#define  ENUMID168_VAL0_HELP  "0-20mA"
#define  ENUMID168_VAL1_MNEMONIC  "20-0"
#define  ENUMID168_VAL1_HELP  "20-0mA"
#define  ENUMID168_VAL2_MNEMONIC  "4-20"
#define  ENUMID168_VAL2_HELP  "4-20mA (trip on loss)"
#define  ENUMID168_VAL3_MNEMONIC  "20-4"
#define  ENUMID168_VAL3_HELP  "20-4mA (trip on loss)"
#define  ENUMID168_VAL4_MNEMONIC  "4-.20"
#define  ENUMID168_VAL4_HELP  "4-20mA (no trip on loss)"
#define  ENUMID168_VAL5_MNEMONIC  "20-.4"
#define  ENUMID168_VAL5_HELP  "20-4mA (no trip on loss)"
#define  ENUMID168_VAL6_MNEMONIC  "VoLt"
#define  ENUMID168_VAL6_HELP  "0 to +10V"
#define  ENUMID168_VAL7_MNEMONIC  "dig"
#define  ENUMID168_VAL7_HELP  "0 to +24V"
#define  ENUMID169_VAL0_MNEMONIC  "Ur S"
#define  ENUMID169_VAL0_HELP  "Measured on start"
#define  ENUMID169_VAL1_MNEMONIC  "Ur"
#define  ENUMID169_VAL1_HELP  "No measurement"
#define  ENUMID169_VAL2_MNEMONIC  "Fd"
#define  ENUMID169_VAL2_HELP  "Fixed boost mode"
#define  ENUMID169_VAL3_MNEMONIC  "Ur A"
#define  ENUMID169_VAL3_HELP  "Measured at first enable"
#define  ENUMID169_VAL4_MNEMONIC  "Ur I"
#define  ENUMID169_VAL4_HELP  "Measured at power-up"
#define  ENUMID169_VAL5_MNEMONIC  "SrE"
#define  ENUMID169_VAL5_HELP  "Square law characteristic"
#define  ENUMID170_VAL0_MNEMONIC  "AI.AV"
#define  ENUMID170_VAL0_HELP  "Analogue inputs"
#define  ENUMID170_VAL1_MNEMONIC  "AV.Pr"
#define  ENUMID170_VAL1_HELP  "Voltage input or 3 presets"
#define  ENUMID170_VAL2_MNEMONIC  "AI.Pr"
#define  ENUMID170_VAL2_HELP  "Current input or 3 presets"
#define  ENUMID170_VAL3_MNEMONIC  "Pr"
#define  ENUMID170_VAL3_HELP  "4 presets"
#define  ENUMID170_VAL4_MNEMONIC  "PAd"
#define  ENUMID170_VAL4_HELP  "Keypad"
#define  ENUMID170_VAL5_MNEMONIC  "Prc"
#define  ENUMID170_VAL5_HELP  "Precision reference"
#define  ENUMID171_VAL0_MNEMONIC  "diS"
#define  ENUMID171_VAL0_HELP  "Disabled"
#define  ENUMID171_VAL1_MNEMONIC  "StoP"
#define  ENUMID171_VAL1_HELP  "Stop"
#define  ENUMID171_VAL2_MNEMONIC  "rd.th"
#define  ENUMID171_VAL2_HELP  "Ride-through"
#define  ENUMID172_VAL0_MNEMONIC  "0"
#define  ENUMID172_VAL0_HELP  "Zero"
#define  ENUMID172_VAL1_MNEMONIC  "LASt"
#define  ENUMID172_VAL1_HELP  "Last value used"
#define  ENUMID172_VAL2_MNEMONIC  "PrS1"
#define  ENUMID172_VAL2_HELP  "Preset 1 (Pr 1.21)"
#define  ENUMID173_VAL0_MNEMONIC  "Auto"
#define  ENUMID173_VAL0_HELP  "Auto speed negotiation"
#define  ENUMID173_VAL1_MNEMONIC  "10"
#define  ENUMID173_VAL1_HELP  "10 Mbps Ethernet"
#define  ENUMID173_VAL2_MNEMONIC  "100"
#define  ENUMID173_VAL2_HELP  "100 Mbps Ethernet"
#define  ENUMID174_VAL0_MNEMONIC  "0"
#define  ENUMID174_VAL0_HELP  "Auto duplex mode negotiation"
#define  ENUMID174_VAL1_MNEMONIC  "1"
#define  ENUMID174_VAL1_HELP  "Full duplex"
#define  ENUMID174_VAL2_MNEMONIC  "2"
#define  ENUMID174_VAL2_HELP  "Half duplex"
#define  ENUMID175_VAL0_MNEMONIC  "Auto Off"
#define  ENUMID175_VAL0_HELP  "Auto crossover off"
#define  ENUMID175_VAL1_MNEMONIC  "Auto On"
#define  ENUMID175_VAL1_HELP  "Auto crossover on"
#define  ENUMID176_VAL0_MNEMONIC  "Auto"
#define  ENUMID176_VAL0_HELP  "Ethernet Speed not configured"
#define  ENUMID176_VAL1_MNEMONIC  "10"
#define  ENUMID176_VAL1_HELP  "10 Mbps Ethernet"
#define  ENUMID176_VAL2_MNEMONIC  "100"
#define  ENUMID176_VAL2_HELP  "100 Mbps Ethernet"
#define  ENUMID177_VAL0_MNEMONIC  "0"
#define  ENUMID177_VAL0_HELP  "Duplex mode not configured"
#define  ENUMID177_VAL1_MNEMONIC  "1"
#define  ENUMID177_VAL1_HELP  "Full duplex"
#define  ENUMID177_VAL2_MNEMONIC  "2"
#define  ENUMID177_VAL2_HELP  "Half duplex"
#define  ENUMID178_VAL0_MNEMONIC  "0"
#define  ENUMID178_VAL1_MNEMONIC  "250"
#define  ENUMID178_VAL2_MNEMONIC  "500"
#define  ENUMID178_VAL3_MNEMONIC  "750"
#define  ENUMID178_VAL4_MNEMONIC  "1000"
#define  ENUMID178_VAL5_MNEMONIC  "1250"
#define  ENUMID179_VAL0_MNEMONIC  "512"
#define  ENUMID179_VAL1_MNEMONIC  "1024"
#define  ENUMID179_VAL2_MNEMONIC  "2048"
#define  ENUMID179_VAL3_MNEMONIC  "4096"
#define  ENUMID180_VAL0_MNEMONIC  "Normal"
#define  ENUMID180_VAL0_HELP  "Real-time clock normal"
#define  ENUMID180_VAL1_MNEMONIC  "+1 Hour"
#define  ENUMID180_VAL1_HELP  "Real-time clock +1 hour"
#define  ENUMID181_VAL0_MNEMONIC  "0-20"
#define  ENUMID181_VAL0_HELP  "0-20mA"
#define  ENUMID181_VAL1_MNEMONIC  "20-0"
#define  ENUMID181_VAL1_HELP  "20-0mA"
#define  ENUMID181_VAL2_MNEMONIC  "4-20"
#define  ENUMID181_VAL2_HELP  "4-20mA"
#define  ENUMID181_VAL3_MNEMONIC  "20-4"
#define  ENUMID181_VAL3_HELP  "20-4mA"
#define  ENUMID181_VAL4_MNEMONIC  "VOlt"
#define  ENUMID181_VAL4_HELP  "0 - +10V"
#define  ENUMID182_VAL0_MNEMONIC  "s/1000 Hz"
#define  ENUMID182_VAL1_MNEMONIC  "s/100 Hz"
#define  ENUMID182_VAL2_MNEMONIC  "s/10 Hz"
#define  ENUMID183_VAL0_MNEMONIC  "3"
#define  ENUMID183_VAL1_MNEMONIC  "4"
#define  ENUMID183_VAL2_MNEMONIC  "6"
#define  ENUMID183_VAL3_MNEMONIC  "8"
#define  ENUMID183_VAL4_MNEMONIC  "12"
#define  ENUMID183_VAL5_MNEMONIC  "16"
#define  ENUMID183_VAL6_MNEMONIC  "6 rED"
#define  ENUMID183_VAL7_MNEMONIC  "12 rED"
#define  ENUMID184_VAL0_MNEMONIC  "Host"
#define  ENUMID184_VAL0_HELP  "Host mode"
#define  ENUMID184_VAL1_MNEMONIC  "Enc.Only"
#define  ENUMID184_VAL1_HELP  "Encoder only mode"
#define  ENUMID185_VAL0_MNEMONIC  "0"
#define  ENUMID185_VAL0_HELP  "Filtering disabled"
#define  ENUMID185_VAL1_MNEMONIC  "1"
#define  ENUMID185_VAL1_HELP  "Filtering enabled"
#define  ENUMID186_VAL0_MNEMONIC  "2"
#define  ENUMID186_VAL0_HELP  "2 mbps"
#define  ENUMID186_VAL1_MNEMONIC  "4"
#define  ENUMID186_VAL1_HELP  "4 mbps"
#define  ENUMID186_VAL2_MNEMONIC  "8"
#define  ENUMID186_VAL2_HELP  "8 mbps"
#define  ENUMID186_VAL3_MNEMONIC  "16"
#define  ENUMID186_VAL3_HELP  "16 mbps"
#define  ENUMID187_VAL0_MNEMONIC  "0"
#define  ENUMID187_VAL0_HELP  "Drive encoder"
#define  ENUMID187_VAL1_MNEMONIC  "1"
#define  ENUMID187_VAL1_HELP  "Position fb Slot 1"
#define  ENUMID187_VAL2_MNEMONIC  "2"
#define  ENUMID187_VAL2_HELP  "Position fb Slot 2"
#define  ENUMID187_VAL3_MNEMONIC  "3"
#define  ENUMID187_VAL3_HELP  "Position fb Slot 3"
#define  ENUMID188_VAL0_MNEMONIC  "0"
#define  ENUMID188_VAL0_HELP  "Normal operation"
#define  ENUMID188_VAL1_MNEMONIC  "1"
#define  ENUMID188_VAL1_HELP  "Continuous light mode"
#define  ENUMID188_VAL2_MNEMONIC  "2"
#define  ENUMID188_VAL2_HELP  "Zero bit stream mode"
#define  ENUMID189_VAL0_MNEMONIC  "Ab"
#define  ENUMID189_VAL0_HELP  "Quadrature incremental"
#define  ENUMID189_VAL1_MNEMONIC  "Fd"
#define  ENUMID189_VAL1_HELP  "Incremental with F/D output"
#define  ENUMID189_VAL2_MNEMONIC  "Fr"
#define  ENUMID189_VAL2_HELP  "Incremental with F/R output"
#define  ENUMID189_VAL3_MNEMONIC  "Ab.Servo"
#define  ENUMID189_VAL3_HELP  "Quadrature incremental with commutation"
#define  ENUMID189_VAL4_MNEMONIC  "Fd.Servo"
#define  ENUMID189_VAL4_HELP  "Incremental with F/D and commutation outputs"
#define  ENUMID189_VAL5_MNEMONIC  "Fr.Servo"
#define  ENUMID189_VAL5_HELP  "Incremental with F/R and commutation outputs"
#define  ENUMID189_VAL6_MNEMONIC  "SC"
#define  ENUMID189_VAL6_HELP  "SinCos"
#define  ENUMID189_VAL7_MNEMONIC  "SC.Hiper"
#define  ENUMID189_VAL7_HELP  "SinCos with HiperFace"
#define  ENUMID189_VAL8_MNEMONIC  "EnDAt"
#define  ENUMID189_VAL8_HELP  "EnDAt"
#define  ENUMID189_VAL9_MNEMONIC  "SC.EnDAt"
#define  ENUMID189_VAL9_HELP  "SinCos with EnDAt"
#define  ENUMID189_VAL10_MNEMONIC  "SSI"
#define  ENUMID189_VAL10_HELP  "SSI"
#define  ENUMID189_VAL11_MNEMONIC  "SC.SSI"
#define  ENUMID189_VAL11_HELP  "SinCos with SSI"
#define  ENUMID189_VAL12_MNEMONIC  "SC.Servo"
#define  ENUMID189_VAL12_HELP  "SinCos with UVW"
#define  ENUMID190_VAL0_MNEMONIC  "0"
#define  ENUMID190_VAL0_HELP  "Select input 1"
#define  ENUMID190_VAL1_MNEMONIC  "1"
#define  ENUMID190_VAL1_HELP  "Select input 2"
#define  ENUMID190_VAL2_MNEMONIC  "2"
#define  ENUMID190_VAL2_HELP  "Add"
#define  ENUMID190_VAL3_MNEMONIC  "3"
#define  ENUMID190_VAL3_HELP  "Subtract"
#define  ENUMID190_VAL4_MNEMONIC  "4"
#define  ENUMID190_VAL4_HELP  "Multiply"
#define  ENUMID190_VAL5_MNEMONIC  "5"
#define  ENUMID190_VAL5_HELP  "Divide"
#define  ENUMID190_VAL6_MNEMONIC  "6"
#define  ENUMID190_VAL6_HELP  "Time constant"
#define  ENUMID190_VAL7_MNEMONIC  "7"
#define  ENUMID190_VAL7_HELP  "Linear ramp"
#define  ENUMID190_VAL8_MNEMONIC  "8"
#define  ENUMID190_VAL8_HELP  "Modulus"
#define  ENUMID190_VAL9_MNEMONIC  "9"
#define  ENUMID190_VAL9_HELP  "Powers"
#define  ENUMID190_VAL10_MNEMONIC  "10"
#define  ENUMID190_VAL10_HELP  "Sectional control"
#define  ENUMID190_VAL11_MNEMONIC  "11"
#define  ENUMID190_VAL11_HELP  "External rectifier monitor"
#define  ENUMID191_VAL0_MNEMONIC  "Fr"
#define  ENUMID191_VAL0_HELP  "Frequency output"
#define  ENUMID191_VAL1_MNEMONIC  "Ld"
#define  ENUMID191_VAL1_HELP  "Load output"
#define  ENUMID191_VAL2_MNEMONIC  "A"
#define  ENUMID191_VAL2_HELP  "Output current"
#define  ENUMID191_VAL3_MNEMONIC  "Por"
#define  ENUMID191_VAL3_HELP  "Power"
#define  ENUMID191_VAL4_MNEMONIC  "n=0"
#define  ENUMID191_VAL4_HELP  "At zero speed"
#define  ENUMID191_VAL5_MNEMONIC  "At.SP"
#define  ENUMID191_VAL5_HELP  "At speed"
#define  ENUMID191_VAL6_MNEMONIC  "Lo.SP"
#define  ENUMID191_VAL6_HELP  "At minimum speed"
#define  ENUMID191_VAL7_MNEMONIC  "hEAL"
#define  ENUMID191_VAL7_HELP  "Drive healthy"
#define  ENUMID191_VAL8_MNEMONIC  "act"
#define  ENUMID191_VAL8_HELP  "Drive active"
#define  ENUMID191_VAL9_MNEMONIC  "alar"
#define  ENUMID191_VAL9_HELP  "General drive alarm"
#define  ENUMID191_VAL10_MNEMONIC  "l.Lt"
#define  ENUMID191_VAL10_HELP  "Current limit active"
#define  ENUMID191_VAL11_MNEMONIC  "At.Ld"
#define  ENUMID191_VAL11_HELP  "At 100% load"
#define  ENUMID191_VAL12_MNEMONIC  "USEr"
#define  ENUMID191_VAL12_HELP  "Allow 7.19 to be setup by user"
#define  ENUMID192_VAL0_MNEMONIC  "Open"
#define  ENUMID192_VAL0_HELP  "All parameters"
#define  ENUMID192_VAL1_MNEMONIC  "LoC"
#define  ENUMID192_VAL1_HELP  "Lock security code"
#define  ENUMID193_VAL0_MNEMONIC  "VOLt"
#define  ENUMID193_VAL0_HELP  "Voltage mode"
#define  ENUMID193_VAL1_MNEMONIC  "dig"
#define  ENUMID193_VAL1_HELP  "Digital mode"
#define  ENUMID194_VAL0_MNEMONIC  "dig"
#define  ENUMID194_VAL0_HELP  "Digital input"
#define  ENUMID194_VAL1_MNEMONIC  "Fr"
#define  ENUMID194_VAL1_HELP  "Frequency input"
#define  ENUMID194_VAL2_MNEMONIC  "FrPr"
#define  ENUMID194_VAL2_HELP  "Frequency input precision"
#define  ENUMID195_VAL0_MNEMONIC  "200"
#define  ENUMID195_VAL1_MNEMONIC  "400"
#define  ENUMID196_VAL0_MNEMONIC  "5.000"
#define  ENUMID196_VAL0_HELP  "5 Mbps"
#define  ENUMID196_VAL1_MNEMONIC  "2.500"
#define  ENUMID196_VAL1_HELP  "2.5 Mbps"
#define  ENUMID196_VAL2_MNEMONIC  "1.250"
#define  ENUMID196_VAL2_HELP  "1.25 Mbps"
#define  ENUMID196_VAL3_MNEMONIC  "0.625"
#define  ENUMID196_VAL3_HELP  "625 kbps"
#define  ENUMID197_VAL0_MNEMONIC  "0"
#define  ENUMID197_VAL0_HELP  "No error"
#define  ENUMID197_VAL1_MNEMONIC  "1"
#define  ENUMID197_VAL1_HELP  "Cam array too small"
#define  ENUMID197_VAL2_MNEMONIC  "2"
#define  ENUMID197_VAL2_HELP  "Can segment overrun"
#define  ENUMID197_VAL3_MNEMONIC  "3"
#define  ENUMID197_VAL3_HELP  "Cam size zero"
#define  ENUMID197_VAL4_MNEMONIC  "4"
#define  ENUMID197_VAL4_HELP  "Cam absolute rest fail"
#define  ENUMID198_VAL0_MNEMONIC  "rESEt"
#define  ENUMID198_VAL0_HELP  "Zero"
#define  ENUMID198_VAL1_MNEMONIC  "LASt"
#define  ENUMID198_VAL1_HELP  "Last value used"
#define  ENUMID198_VAL2_MNEMONIC  "PrS1"
#define  ENUMID198_VAL2_HELP  "Preset 1 (Pr 1.21)"
#define  ENUMID199_VAL0_MNEMONIC  "Halt"
#define  ENUMID199_VAL0_HELP  "Halt Program"
#define  ENUMID199_VAL1_MNEMONIC  "Run/Clip"
#define  ENUMID199_VAL1_HELP  "Run Program: Out of Range = Clip"
#define  ENUMID199_VAL2_MNEMONIC  "Run/Trip"
#define  ENUMID199_VAL2_HELP  "Run Program: Out of Range = Trip"
#define  ENUMID200_VAL0_MNEMONIC  "FWD"
#define  ENUMID200_VAL0_HELP  "Forward (OFF)"
#define  ENUMID200_VAL1_MNEMONIC  "REV"
#define  ENUMID200_VAL1_HELP  "Reverse (On)"
#define  ENUMID201_VAL0_MNEMONIC  "0"
#define  ENUMID201_VAL0_HELP  "Disabled"
#define  ENUMID201_VAL1_MNEMONIC  "1"
#define  ENUMID201_VAL1_HELP  "Detect All Frequencies"
#define  ENUMID201_VAL2_MNEMONIC  "2"
#define  ENUMID201_VAL2_HELP  "Detect Positive Frequencies Only"
#define  ENUMID201_VAL3_MNEMONIC  "3"
#define  ENUMID201_VAL3_HELP  "Detect Negative Frequencies Only"
