#define SkTrCode1String		"UU"
#define SkTrCode2String		"OU"
#define SkTrCode3String		"OI.AC"
#define SkTrCode4String		"OI.br"
#define SkTrCode6String		"Et"
#define SkTrCode7String		"O.SPd"
#define SkTrCode18String	"tunE"
#define SkTrCode19String	"It.br"
#define SkTrCode20String	"It.AC"
#define SkTrCode21String	"O.ht1"
#define SkTrCode22String	"O.ht2"
#define SkTrCode24String	"th"
#define SkTrCode26String	"O.Ld1"
#define SkTrCode27String	"O.ht3"
#define SkTrCode28String	"cL1"
#define SkTrCode30String	"SCL"
#define SkTrCode31String	"EEF"
#define SkTrCode32String	"PH"
#define SkTrCode33String	"rS"
#define SkTrCode35String	"CL.bt"
#define SkTrCode40String	"t040"
#define SkTrCode90String	"t090"
#define SkTrCode91String	"t091"
#define SkTrCode92String	"t092"
#define SkTrCode94String	"t094"
#define SkTrCode95String	"t095"
#define SkTrCode96String	"t096"
#define SkTrCode97String	"t097"
#define SkTrCode98String	"t098"
#define SkTrCode99String	"t099"
#define SkTrCode102String	"O.ht4"
#define SkTrCode182String	"C.Err"
#define SkTrCode183String	"C.dAt"
#define SkTrCode185String	"C.Acc"
#define SkTrCode186String	"C.rtg"
#define SkTrCode189String	"O.Cl"
#define SkTrCode199String	"dESt"
#define SkTrCode200String	"SL.HF"
#define SkTrCode202String	"SL.tO"
#define SkTrCode202String	"SL.Er"
#define SkTrCode203String	"SL.nF"
#define SkTrCode204String	"SL.dF"
#define SkTrCode220String	"HF20"
#define SkTrCode221String	"HF21"
#define SkTrCode222String	"HF22"
#define SkTrCode223String	"HF23"
#define SkTrCode224String	"HF24"
#define SkTrCode225String	"HF25"
#define SkTrCode226String	"HF26"
#define SkTrCode227String	"HF27"
#define SkTrCode228String	"HF28"
#define SkTrCode229String	"HF29"
#define SkTrCode230String	"HF30"
#define SkTrCode231String	"HF31"
#define SkTrCode232String	"HF32"


#define SkTrCode1Cause		"DC bus under voltage - Low AC supply voltage. Low DC Bus voltage when drive supplied by external DC power supply."
#define SkTrCode2Cause		"DC bus over voltage. Drive voltage rating Instantaneous trip (200V drives trip at 415VDC, 400V drives trip at 830VDC"
#define SkTrCode3Cause		"AC instantaneous over current."
#define SkTrCode4Cause		"Braking resistor instantaneous current trip."
#define SkTrCode6Cause		"External trip - User has configured digtal input to activate this trip"
#define SkTrCode7Cause		"Motor overspeed"
#define SkTrCode18Cause		"Auto-tune stopped before completion (see description of Pr 5.12 in Drive User Guide for further detail)."
#define SkTrCode19Cause		"I^2t on braking resistor (see description of Pr 10.31 in Drive User Guide for further detail)"
#define SkTrCode20Cause		"I^2t on drive output current (see description of Pr 4.15 in Drive User Guide for further detail)"
#define SkTrCode21Cause		"Drive over-heat (IGBT junctions) based on thermal model (see description of Pr 5.18 in Drive User Guide for further detail)"
#define SkTrCode22Cause		"Drive over-heat based on heatsink temperature (see description of Pr 7.04 in Drive User Guide for further detail)"
#define SkTrCode24Cause		"Motor thermistor trip"
#define SkTrCode26Cause		"+24V or Digital output overload"
#define SkTrCode27Cause		"Drive over-heat based on thermal model (see description of Pr 7.35 in Drive User Guide for further detail) The drive will attempt to stop the motor before tripping. If the motor does not stop in 10 seconds the drive trips immediately."
#define SkTrCode28Cause		"Analogue input 1 current mode: current loss (see description of Pr 7.06 in Drive User Guide for further detail)"
#define SkTrCode30Cause		"Serial comms timeout with external keypad on drives comms port"
#define SkTrCode31Cause		"Internal drive EEPROM failure. All the parameters are set to default. The trip can only be removed by entering a load default command (see description of Pr 11.43 in Drive User Guide for further detail)"
#define SkTrCode32Cause		"High input voltage phase imbalance or input phase loss. Normally a motor load of between 50 and 100% of drive rating is required to trigger the trip. The drive will attempt to stop the motor before tripping."
#define SkTrCode33Cause		"Failure to measure resistance during auto-tune or when starting in open-loop voltage modes 0 or 3. This is either because the resistance exceeds the maximum measurable value or no motor connected to drive (see description of Pr 5.12, 5.14, and 5.17 in Drive User Guide for further detail)"
#define SkTrCode35Cause		"Trip initiated from the control word (see description of Pr 6.42 in Drive User Guide for further detail)"
#define SkTrCode40Cause		"User Trip"
#define SkTrCode90Cause		"PLC ladder program attempted divide by zero"
#define SkTrCode91Cause		"PLC ladder program attempted access to non-existent parameter"
#define SkTrCode92Cause		"PLC ladder program attempted write to a read only parameter"
#define SkTrCode94Cause		"PLC ladder program attempted to write a value to a parameter which is out of range"
#define SkTrCode95Cause		"PLC ladder program virtual memory stack overflow"
#define SkTrCode96Cause		"PLC ladder program invalid operating system call"
#define SkTrCode97Cause		"PLC ladder program enabled with no LogicStick inserted or LogicStick removed"
#define SkTrCode98Cause		"PLC ladder program invalid instruction"
#define SkTrCode99Cause		"PLC ladder program invalid function block argument"
#define SkTrCode102Cause	"Power module rectifier over temperature"
#define SkTrCode182Cause	"SmartStick data error: The file access is corrupted. Pr 11.42 is set to 3 or 4 and a parameter is changed in menu 0 before reset is activated."
#define SkTrCode183Cause	"Data does not exist: An attempt has been made to transfer data from a blank SmartStick or data block that does not exist or verify after write fail."
#define SkTrCode185Cause	"SmartStick read/write fail: The drive cannot communicate with the SmartStick either because it is faulty or is not fitted in the drive. Removing a stick during an access will cause this trip."
#define SkTrCode186Cause	"Rating change: The parameters loaded to the drive from a SmartStick are for a drive of a different voltage or current rating. No rating dependent parameters have been transferred."
#define SkTrCode189Cause	"Overload on current loop input"
#define SkTrCode199Cause	"Destination parameter clash"
#define SkTrCode200Cause	"Option module hardware fault. This could occur because the module cannot be identified, or the module has not indicated it is running within 5s of drive power-up, or an internal hardware fault has occurred in the module."
#define SkTrCode201Cause	"Option module watchdog timeout. The module has started the watchdog system, but has not subsequently serviced the watchdog within the timeout period."
#define SkTrCode202Cause	"Option module error. The module has detected an error and tripped the drive. The reason for the error is stored in Pr x.50 (where x is 15, 16, or 17 for Slot 1, 2, or 3 respectively0"
#define SkTrCode203Cause	"Option module not fitted. The option module is identified by the drive by an option code. The drive stores the codes of the modules fitted when the drive parameters are saved. The stored codes are compared with the codes from the option modules at power-up. If a module is not present, but a code is stored in drive EEPROM to indicate that it should be fitted the drive trips. If the module is removed after power-up the drive produces this trip within 4ms."
#define SkTrCode204Cause	"Option module different fitted. The option module is identified by the drive by an option code. The drive stores the codes of the modules fitted when the drive parameters are saved. The stored codes are compared with the codes from the option modules at power-up. If a module is different to the code stored in drive EEPROM the drive trips."
#define SkTrCode220Cause	"Hardware Fault 20 (see Table 10-19 in Drive User Guide for further detail)"
#define SkTrCode221Cause	"Hardware Fault 21 (see Table 10-19 in Drive User Guide for further detail)"
#define SkTrCode222Cause	"Hardware Fault 22 (see Table 10-19 in Drive User Guide for further detail)"
#define SkTrCode223Cause	"Hardware Fault 23 (see Table 10-19 in Drive User Guide for further detail)"
#define SkTrCode224Cause	"Hardware Fault 24 (see Table 10-19 in Drive User Guide for further detail)"
#define SkTrCode225Cause	"Hardware Fault 25 (see Table 10-19 in Drive User Guide for further detail)"
#define SkTrCode226Cause	"Hardware Fault 26 (see Table 10-19 in Drive User Guide for further detail)"
#define SkTrCode227Cause	"Hardware Fault 27 (see Table 10-19 in Drive User Guide for further detail)"
#define SkTrCode228Cause	"Hardware Fault 28 (see Table 10-19 in Drive User Guide for further detail)"
#define SkTrCode229Cause	"Hardware Fault 29 (see Table 10-19 in Drive User Guide for further detail)"
#define SkTrCode230Cause	"Hardware Fault 30 (see Table 10-19 in Drive User Guide for further detail)"
#define SkTrCode231Cause	"Hardware Fault 31 (see Table 10-19 in Drive User Guide for further detail)"
#define SkTrCode232Cause	"Hardware Fault 32 (see Table 10-19 in Drive User Guide for further detail)"

#define CAUSE_LABEL "Cause"
#define RESOLUTION_LABEL "Resolution"